<?php

function startmain()
{

 htmlheader();

 global $CONFIG;
 global $adminlogin;
 global $clientid;

 require $CONFIG['adir'].'/include/edit/alias/functions.php';
 require $CONFIG['adir'].'/include/edit/alias/forms.php';

#################################################################### route

 // get mode
 $mode=gp_str('mode');
 $me_id=gp_int('id');

 $me_alias= strtolower(gp_str('m_alias'));
 $me_hostid= gp_int('m_hostid');
 $me_domid= gp_int('m_domid');
 $me_goto= strtolower(gp_str('m_goto'));

 // new alias
 if ($mode=="new") {
    echo '<h2>Új alias felvétele</h2>';

    edit_alias();

 // save new
 } elseif ($mode=="save") {
    echo '<h2>Új alias létrehozása</h2>';

    check_form_validator();

    if (!(check_domain($me_domid))) { unset($me_domid); }
    if (!(check_host($me_hostid))) { unset($me_hostid); }

    if (
	mand_str($me_alias, 'Alias név') &&
	check_format_alnum_ext($me_alias, 'Alias név') &&
	opt_int($me_hostid,'Host') &&
	(!$me_hostid || check_host($me_hostid)) &&
	mand_int($me_domid,'Domain') &&
	check_domain($me_domid) &&
	check_exist_mailalias($me_alias, $me_domid, $me_hostid) &&
	mand_str($me_goto, 'A cél') &&
	check_format_multirow_email($me_goto)
	)
    {

	$me_alias=str_replace('*','',$me_alias);

	insert_alias($me_alias, $me_hostid, $me_domid, $me_goto);

	closewindow("alias");

    } else {
	edit_alias($me_domid, $me_hostid, $me_alias, $me_goto);
    }

 //edit alias
 } elseif ($mode=="edit" && (nonzero($me_id))) {
    echo '<h2>Alias módosítása</h2>';

    if (!(check_alias($me_id))) { suicide(); }

    modify_alias($me_id);

 //update alias
 } elseif ($mode=="update" && nonzero($me_id)) {
    echo '<h2>Alias mentése</h2>';

    check_form_validator();

    if (!(check_alias($me_id))) { suicide(); }
    if (
	mand_str($me_goto, 'A cél') &&
	check_format_multirow_email($me_goto)
	)
    {
	update_alias($me_id, $me_goto);

	closewindow("alias");

    } else {
	modify_alias($me_id);
    }

 //ask to delete alias
 } elseif ($mode=="del" && nonzero($me_id)) {
    echo '<h2>Alias törlése</h2>';

    if (!(check_alias($me_id))) { suicide(); }

    ask_del($me_id);

 //finally delete alias
 } elseif ($mode=="finaldel" && nonzero($me_id)) {
    echo '<h2>Alias törlése</h2>';

    check_form_validator();

    if (!(check_alias($me_id))) { suicide(); }

    final_del($me_id);

    closewindow("alias");

 // ask toggle
 } elseif ($mode=="toggle" && nonzero($me_id)) {
    echo '<h2>Alias ki-bekapcsolása</h2>';

    if (!(check_alias($me_id))) { suicide(); }

    ask_toggle_alias($me_id);

 //toggle on-off
 } elseif ($mode=="finaltoggle" && nonzero($me_id)) {
    echo '<h2>Alias ki-bekapcsolása</h2>';

    check_form_validator();

    if (!(check_alias($me_id))) { suicide(); }

    toggle_alias($me_id);

    closewindow("alias");

 } else {
    echo '<h4>Hibás paraméterezés.</h4>';
    pageclose();
    die();
 }

 DBclose();
 pageclose();
 exit (0);

}

?>