<?php

function edit_client ($ce_name=NULL, $ce_quota=500, $ce_mailquota=2000, $ce_email=NULL, $ce_password1=NULL, $ce_password2=NULL, $ce_node=1) {

	global $adminlogin;
	global $CONFIG;

	require_once($CONFIG['adir'].'/include/dropdown.function.php');

	if ($adminlogin==1) {

		if ($adminlogin==1)
		{
		    echo "<h5><a href=\"".$_SERVER['SCRIPT_NAME']."?f=client&e=3&mode=edit\"><u>CSV import</u></a></h5>\n";
		}

	    // Form + table start
	    echo "<form action=\"".$_SERVER['SCRIPT_NAME']."?f=client&e=1&mode=save\" method=\"post\" name=\"sysadminform\">\n";
	    add_form_validator();
	    echo "<table class=\"edittable\">\n";

	    // client
	    echo "<tr>\n";
	    echo "<td><strong>Ügyfélnév:</strong></td>\n";
	    echo "<td>";
	    echo "<input type=\"text\" name=\"c_name\" value=\"$ce_name\">";
	    echo "</td>\n";
	    echo "</tr>\n";


	    // node
	    if ($CONFIG['nodes']>1) {
		echo "<tr>\n";
		echo "<td><strong>Szerver:</strong></td>\n";
		echo "<td>";
		dropdown_node($ce_node);
		echo "</td>\n";
		echo "</tr>\n";
	    }

    	    // password 1
    	    echo "<tr>\n";
    	    echo "<td><strong>Jelszó:</strong></td>\n";
    	    echo "<td><input type=\"password\" name=\"c_password1\" value=\"$ce_password1\"></td>\n";
    	    echo "</tr>\n";

    	    // password 2
    	    echo "<tr>\n";
    	    echo "<td><strong>Jelszó újra:</strong></td>\n";
    	    echo "<td><input type=\"password\" name=\"c_password2\" value=\"$ce_password2\"></td>\n";
    	    echo "</tr>\n";

    	    //comment
    	    echo "<tr>\n";
    	    echo "<td></td>\n";
    	    echo "<td><i>Üresen hagyott jelszó esetén a rendszer automatikusan generál egyet.</i></td>\n";
    	    echo "</tr>\n";

	    //admin email
	    echo "<tr>\n";
	    echo "<td><strong>Admin e-mail:</strong></td>\n";
	    echo "<td><input type=\"text\" name=\"c_email\" value=\"$ce_email\"></td>\n";
	    echo "</tr>\n";

	    // quota
	    echo "<tr>\n";
	    echo "<td><strong>Tárhelyméret:</strong></td>\n";
	    echo "<td><input type=\"text\" name=\"c_quota\" value=\"$ce_quota\"> MB</td>\n";
	    echo "</tr>\n";

    	    //comment
    	    echo "<tr>\n";
    	    echo "<td></td>\n";
    	    echo "<td><i>Korlátlan webtárhely beállításához <b>0</b>-t kell megadni.</i></td>\n";
    	    echo "</tr>\n";

	    // mailquota
	    echo "<tr>\n";
	    echo "<td><strong>E-mail tárhely:</strong></td>\n";
	    echo "<td><input type=\"text\" name=\"c_mailquota\" value=\"$ce_mailquota\"> MB</td>\n";
	    echo "</tr>\n";

	    //submit
	    echo "<tr>\n";
	    echo "<td></td>\n";
	    echo "<td><input type=\"submit\" value=\"OK\"> <input type=\"button\" value=\"Mégse\" onmouseup=\"javascript:self.close()\"></td>\n";
	    echo "<td></td>\n";
	    echo "</tr>\n";

	    //form end
	    echo "</table>\n";
	    echo "</form>\n";

	    setformfocus();

	} else {
	    echo "<h4>Új ügyfél hozzáadásához nincs jogosultsága.</h4>\n";
	}
}

function modify_client ($ce_id, $ce_quota=NULL, $ce_mailquota=NULL, $ce_email=NULL, $ce_password1=NULL, $ce_password2=NULL) {

	global $adminlogin;
	global $CONFIG;

    	$csql ="SELECT name, password, quota, mailquota, email, node
		FROM client
		WHERE id=\"$ce_id\";";

    	$cResult=DBquery($csql);
    	$cRow=$cResult->fetch_assoc();

	if ($ce_password1 == NULL) { $ce_password1 = $cRow['password']; }
	if ($ce_password2 == NULL) { $ce_password2 = $cRow['password']; }
	if ($ce_email == NULL) { $ce_email = $cRow['email']; }
	if ($ce_quota == NULL) { $ce_quota = $cRow['quota']; }
	if ($ce_mailquota == NULL) { $ce_mailquota = $cRow['mailquota']; }

	$ce_name=$cRow['name'];

	// Form + table start
	echo "<form action=\"".$_SERVER['SCRIPT_NAME']."?f=client&e=1&mode=update&id=$ce_id\" method=\"post\" name=\"sysadminform\">\n";
	add_form_validator();
	echo "<table class=\"edittable\">\n";

	if ($adminlogin==1) {
	    //client
	    echo "<tr>\n";
	    echo "<td><strong>Ügyfélnév:</strong></td>\n";
	    echo "<td>";
	    echo "$ce_name";
	    echo "</td>\n";
	    echo "</tr>\n";
	}

	if ($CONFIG['nodes']>1) {
	    //node
	    echo "<tr>\n";
	    echo "<td><strong>Szerver:</strong></td>\n";
	    echo "<td>";
	    echo $cRow['node'];
	    echo ".szerver</td>\n";
	    echo "</tr>\n";
	}

    	// password 1
    	echo "<tr>\n";
    	echo "<td><strong>Jelszó:</strong></td>\n";
    	echo "<td><input type=\"password\" name=\"c_password1\" value=\"$ce_password1\"></td>\n";
    	echo "</tr>\n";

    	// password 2
    	echo "<tr>\n";
    	echo "<td><strong>Jelszó újra:</strong></td>\n";
    	echo "<td><input type=\"password\" name=\"c_password2\" value=\"$ce_password2\"></td>\n";
    	echo "</tr>\n";

    	//comment
    	echo "<tr>\n";
//    	echo "<td></td>\n";
    	echo "<td colspan=\"2\"><i>Üresen hagyott jelszó esetén a rendszer automatikusan generál egyet.</i></td>\n";
    	echo "</tr>\n";

	//admin email
	echo "<tr>\n";
	echo "<td><strong>Admin e-mail:</strong></td>\n";
	echo "<td><input type=\"text\" name=\"c_email\" value=\"$ce_email\"></td>\n";
	echo "</tr>\n";


	if ($adminlogin==1) {

    	    // quota
            echo "<tr>\n";
            echo "<td><strong>Tárhelyméret:</strong></td>\n";
            echo "<td><input type=\"text\" name=\"c_quota\" value=\"$ce_quota\"> MB</td>\n";
            echo "</tr>\n";

    	    //comment
    	    echo "<tr>\n";
    	    echo "<td></td>\n";
    	    echo "<td><i>Korlátlan webtárhely beállításához <b>0</b>-t kell megadni.</i></td>\n";
    	    echo "</tr>\n";

    	    // mailquota
            echo "<tr>\n";
            echo "<td><strong>E-mail tárhely:</strong></td>\n";
            echo "<td><input type=\"text\" name=\"c_mailquota\" value=\"$ce_mailquota\"> MB</td>\n";
            echo "</tr>\n";
	}

	//submit
	echo "<tr>\n";
	echo "<td></td>\n";
	echo "<td><input type=\"submit\" value=\"OK\"> <input type=\"button\" value=\"Mégse\" onmouseup=\"javascript:self.close()\"></td>\n";
	echo "<td></td>\n";
	echo "</tr>\n";

	//form end
	echo "</table>\n";
	echo "</form>\n";
	setformfocus();
}

function ask_del($cliid) {

    global $adminlogin;

    if ($adminlogin==1) {

	$cliname=get_client($cliid);

	// Form + table start
	echo "<form action=\"".$_SERVER['SCRIPT_NAME']."?f=client&e=1&mode=finaldel&id=$cliid\" method=\"post\" name=\"sysadminform\">\n";
	add_form_validator();
	echo "<table class=\"edittable\">\n";

	//comment
	echo "<tr>\n";
	echo "<td>Valóban törölni szeretné <b>$cliname</b> ügyfelet? Az ügyfél törlésével a hozzá tartozó weboldalak, postafiókok, aliasok, adatbázisok, repository kapcsolatok és FTP elérések is törlődnek!</td>\n";
	echo "</tr>\n";

	//submit
	echo "<tr>\n";
	echo "<td><input type=\"submit\" value=\"OK\"> <input type=\"button\" value=\"Mégse\" onmouseup=\"javascript:self.close()\"></td>\n";
	echo "</tr>\n";

	//form end
	echo "</table>\n";
	echo "</form>\n";

    } else {
	    echo "<h4>Ügyfél törléséhez nincs jogosultsága.</h4>\n";
    }

}

function ask_toggle_client($cliid) {

    global $adminlogin;

    if ($adminlogin==1) {

	$clidata=get_client_data($cliid);
	$cliname=$clidata['name'];

	if ($clidata['active']==1) { $kb="ki"; } else { $kb="be"; }

	// Form + table start
	echo "<form action=\"".$_SERVER['SCRIPT_NAME']."?f=client&e=1&mode=finaltoggle&id=$cliid\" method=\"post\" name=\"sysadminform\">\n";
	add_form_validator();
	echo "<table class=\"edittable\">\n";

	//comment
	echo "<tr>\n";
	if ($clidata['active']==1)
	{
		echo "<td>Valóban szeretné kikapcsolni <b>$cliname</b> ügyfelet? Az ügyfél kikapcsolásával a hozzá tartozó domainek, weboldalak és postafiókok működésképtelenné válnak.</td>\n";
	}
	else
	{
		echo "<td>Valóban szeretné bekapcsolni <b>$cliname</b> ügyfelet?</td>\n";
	}
	echo "</tr>\n";

	//submit
	echo "<tr>\n";
	echo "<td><input type=\"submit\" value=\"OK\"> <input type=\"button\" value=\"Mégse\" onmouseup=\"javascript:self.close()\"></td>\n";
	echo "</tr>\n";

	//form end
	echo "</table>\n";
	echo "</form>\n";

    } else {
	    echo "<h4>Ügyfél ki-bekapcsolásához nincs jogosultsága.</h4>\n";
    }

}

function ask_toggle_suspend_client($cliid) {

    global $adminlogin;

    if ($adminlogin==1) {

	$clidata=get_client_data($cliid);
	$cliname=$clidata['name'];

	if ($clidata['suspend']==1) { $susp="korlátozni"; } else { $setact=1; $kb="be"; }

	// Form + table start
	echo "<form action=\"".$_SERVER['SCRIPT_NAME']."?f=client&e=1&mode=finalsuspend&id=$cliid\" method=\"post\" name=\"sysadminform\">\n";
	add_form_validator();
	echo "<table class=\"edittable\">\n";

	//comment
	echo "<tr>\n";
	if ($clidata['suspend']==1)
	{
		echo "<td>Valóban szeretné feloldani <b>$cliname</b> korlátozását?</td>\n";
	}
	else
	{
		echo "<td>Valóban szeretné korlátozni <b>$cliname</b> ügyfelet? Az ügyfél minden szolgáltatása tovább üzemel, de semmilyen adatához nem fog tudni hozzáférni.</td>\n";
	}
	echo "</tr>\n";

	//submit
	echo "<tr>\n";
	echo "<td><input type=\"submit\" value=\"OK\"> <input type=\"button\" value=\"Mégse\" onmouseup=\"javascript:self.close()\"></td>\n";
	echo "</tr>\n";

	//form end
	echo "</table>\n";
	echo "</form>\n";

    }
    else
    {
	echo "<h4>Ügyfél korlátozásához nincs jogosultsága.</h4>\n";
    }

}

