<?php

function insert_client($ce_name, $ce_quota, $ce_mailquota, $ce_email, $ce_password, $ce_node=1)
{

	global $adminlogin;

	if ($adminlogin==1)
	{
		$nsql="INSERT INTO client SET name='$ce_name', password='$ce_password', email='$ce_email', quota='$ce_quota', mailquota='$ce_mailquota', node='$ce_node'; ";
		check_mysql_query($nsql);

		echo "<h4><b>$ce_name</b> ügyfelet létrehoztuk.</h4>\n";
		logme("Client created: $ce_name, node: $ce_node, email: $ce_email, quota:$ce_quota, mailquota:$ce_mailquota");

		activate_config('mysql_update', $ce_node);
		apply_activation();

	}
	else
	{
		echo "<h4>Új ügyfél létrehozásához nincs jogosultsága.</h4>\n";
		logme("WARNING! tried to create client $ce_name without rights!",1);
	}


}

function update_client($ce_id, $ce_quota, $ce_mailquota, $ce_email, $ce_password)
{

	global $adminlogin;

	if ($adminlogin==1)
	{
		$usql="UPDATE client SET password='$ce_password', email='$ce_email', quota=$ce_quota, mailquota=$ce_mailquota WHERE id='$ce_id';";
		check_mysql_query($usql);
		echo "<h4>Az ügyféladatokat megváltoztattuk.</h4>\n";
		logme("Client changed: ".get_client($ce_id).", email: $ce_email, quota: $ce_quota mailquota: $ce_mailquota");
	} else {
		$usql="UPDATE client SET password='$ce_password', email='$ce_email' WHERE id='$ce_id';";
		check_mysql_query($usql);
		echo "<h4>Az adatokat megváltoztattuk.</h4>\n";
		logme("Client changed (by client): ".get_client($ce_id).", email: $ce_email");
	}
	$node=get_node_client($ce_id, true);
	activate_config('mysql_update', $node);
	apply_activation();
}

function toggle_client($clientid)
{
	global $adminlogin;

	if ($adminlogin==1)
	{
#		$gsql="SELECT active FROM client WHERE id='$clientid';";
#		$gResult=DBquery($gsql);
#		$gRow=$gResult->fetch_assoc();
#		$active=$gRow['active'];
		$clidata=get_client_data($clientid);
		$clientname=$clidata['name'];
		$active=$clidata['active'];

		$node=get_node_client($clientid, true);

		if ($active==1) { $setact=0; $kb="ki"; } else { $setact=1; $kb="be"; }

		$tsql="UPDATE client SET active='$setact' WHERE id='$clientid';";
		check_mysql_query($tsql);

		echo "<h4>Az ügyfelet ".$kb."kapcsoltuk.</h4>\n";
		logme("Client toggle ($setact): ".$clientname);

		$dsql="SELECT domain.id AS domid FROM domain LEFT JOIN client ON domain.clientid=client.id WHERE client.id='$clientid';";
		if (check_mysql_result($dsql))
		{
			//change all client domains
			$dusql="UPDATE `domain` SET `modified`=NOW() WHERE `clientid`='$clientid';";
			check_mysql_query($dusql);

			activate_config('bind_update');
			activate_config('opendkim_update');
			activate_config('mysql_update', $node);
			activate_config('apache_update', $node);
			apply_activation();
			echo "<h4>Az ügyfél domainjeit és weboldalait 1 percen belül ".$kb."kapcsoljuk.</h4>\n";
		}
	}
	else
	{
		echo "<h4>Ügyfél ki-bekapcsolásához nincs jogosultsága.</h4>\n";
		logme("WARNING! Tried to toggle client without rights: ".$clientname, 1);
	}

}

function toggle_suspend_client($clientid)
{
	global $adminlogin;

	if ($adminlogin==1)
	{
#		$gsql="SELECT suspend FROM client WHERE id='$clientid';";
#		$gResult=DBquery($gsql);
#		$gRow=$gResult->fetch_assoc();
#		$suspend=$gRow['suspend'];
		$clidata=get_client_data($clientid);
		$clientname=$clidata['name'];
		$suspend=$clidata['suspend'];

		$node=get_node_client($clientid, true);

		if ($suspend==1) { $setsusp=0; $kb="ki"; } else { $setsusp=1; $kb="be"; }

		$tsql="UPDATE client SET suspend='$setsusp' WHERE id='$clientid';";
		check_mysql_query($tsql);

		activate_config('mysql_update', $node);
		apply_activation();

		echo "<h4>Az ügyfél korlátozását ".$kb."kapcsoltuk.</h4>\n";
		logme("Client suspend toggle ($setsusp): ".$clientname);
	}
	else
	{
		echo "<h4>Ügyfél korlátozásához nincs jogosultsága.</h4>\n";
		logme("WARNING! Tried to suspend client without rights: ".$clientname, 1);
	}

}

function final_del($cliid)
{
	global $adminlogin;

	$clientname=get_client($cliid);
	$node=get_node_client($cliid, true);

	if ($adminlogin==1)
	{
		// mail_users
		$dsql="DELETE mail_users.* FROM mail_users
			LEFT JOIN domain ON mail_users.domainid=domain.id
			LEFT JOIN client ON domain.clientid=client.id
			WHERE client.id='$cliid';";
		check_mysql_query($dsql);
		// mail_aliases
		$dsql="DELETE mail_aliases.* FROM mail_aliases
			LEFT JOIN domain ON mail_aliases.domainid=domain.id
			LEFT JOIN client ON domain.clientid=client.id
			WHERE client.id='$cliid';";
		check_mysql_query($dsql);

		// deploy
		$dsql="DELETE `deploy`.* FROM `deploy`
			LEFT JOIN `vhosts` ON `deploy`.`vhostid`=`vhosts`.`id` 
			LEFT JOIN `domain` ON `vhosts`.`domainid`=`domain`.`id`
			LEFT JOIN `client` ON `domain`.`clientid`=`client`.`id`
			WHERE `client`.`id`='$cliid';";
		check_mysql_query($dsql);

		// vhosts
		$dsql="DELETE vhosts.* FROM vhosts
			LEFT JOIN domain ON vhosts.domainid=domain.id
			LEFT JOIN client ON domain.clientid=client.id
			WHERE client.id='$cliid';";
		check_mysql_query($dsql);

		// domain records
		$dsql="DELETE dom_records.* FROM dom_records
			LEFT JOIN domain ON dom_records.domainid=domain.id
			LEFT JOIN client ON domain.clientid=client.id
			WHERE client.id='$cliid';";
		check_mysql_query($dsql);
		// domain hosts
		$dsql="DELETE dom_host.* FROM dom_host
			LEFT JOIN domain ON dom_host.domainid=domain.id
			LEFT JOIN client ON domain.clientid=client.id
			WHERE client.id='$cliid';";
		check_mysql_query($dsql);

		// domains
		$dsql="DELETE domain.* FROM domain
			LEFT JOIN client ON domain.clientid=client.id
			WHERE client.id='$cliid';";
		check_mysql_query($dsql);

		// mysql databases
		$dsql="DELETE mysql.* FROM mysql
			LEFT JOIN client ON mysql.clientid=client.id
			WHERE client.id='$cliid';";
		check_mysql_query($dsql);

		// client FTP
		$dsql="DELETE cli_ftp.* FROM cli_ftp
			LEFT JOIN client ON cli_ftp.clientid=client.id
			WHERE client.id='$cliid';";
		check_mysql_query($dsql);

		// client
		$dsql="DELETE FROM client WHERE id='$cliid';";
		check_mysql_query($dsql);

		// STATS

		// ftp stats
		$dssql="DELETE FROM `stats_ftp` WHERE `clientid`='$cliid';";
	    check_mysql_query($dssql);

		// mysql stats
		$dssql="DELETE FROM `stats_mysql` WHERE `clientid`='$cliid';";
	    check_mysql_query($dssql);

		// mail stats
		$dssql="DELETE `stats_mail`.* FROM `stats_mail` LEFT JOIN `mail_users` ON `stats_mail`.`mailid`=`mail_users`.`id` WHERE `mail_users`.`id` IS NULL;";
		check_mysql_query($dssql);

		// vhost stats
		$dssql="DELETE `stats_vhost`.* FROM `stats_vhost` LEFT JOIN `vhosts` ON `stats_vhost`.`vhostid`=`vhosts`.`id` WHERE `vhosts`.`id` IS NULL;";
		check_mysql_query($dssql);


		activate_config('bind_update');
		activate_config('opendkim_update');
		activate_config('apache_update', $node);
		activate_config('ssl_update', $node);
		activate_config('mysql_update', $node);
		apply_activation();

		echo "<h4>Az ügyfelet töröltük.</h4>";
		logme("Client deleted: $clientname");
	}
	else
	{
		echo "<h4>Ügyfél törléséhez nincs jogosultsága.</h4>\n";
		logme("WARNING! Tried to delete client without rights: $clientname", 1);
	}

}

/*
function activate_domain_config()
{
	$asql="UPDATE var SET `value`=1 WHERE `key`='bind_update';";
	check_mysql_query($asql);
}

function activate_vhost_config()
{
	$asql="UPDATE var SET `value`=1 WHERE `key`='apache_update';";
	check_mysql_query($asql);
}

function activate_mysql_config()
{
	$asql="UPDATE var SET `value`=1 WHERE `key`='mysql_update';";
	check_mysql_query($asql);
}

function activate_ssl_gen()
{
	$asql="UPDATE var SET `value`=1 WHERE `key`='ssl_update';";
	check_mysql_query($asql);
}
*/

?>
