<?php

function insert_deploy($de_vhid, $de_repo, $de_branch, $de_login, $de_password, $de_hook_pre, $de_hook_post) {
    global $CONFIG;

    $node=get_node_vhost($de_vhid,true);
    $vhostname=get_vhost($de_vhid);

	$di_branch=nullquote($de_branch);
	$di_hook_pre=nullquote($de_hook_pre);
	$di_hook_post=nullquote($de_hook_post);

    $nsql="INSERT INTO `deploy` SET `vhostid`='$de_vhid', `repo_address`='$de_repo', `branch`=$di_branch, `login`='$de_login', `password`='$de_password', `hook_pre`=$di_hook_pre, `hook_post`=$di_hook_post, `deploy`='1'; ";
    check_mysql_query($nsql);
    activate_config('deploy',$node);
    apply_activation();
    echo "<h4>A(z) <b>$vhostname</b> weboldalt összekapcsoltuk a repository-val.</h4>";
    logme("Autodeploy created: $vhostname");
}

function update_deploy($deployid, $de_hook_pre, $de_hook_post) {

	$vhostname=get_deploy_vhost($deployid);

	$di_hook_pre=nullquote($de_hook_pre);
	$di_hook_post=nullquote($de_hook_post);

    $dsql="UPDATE deploy SET `hook_pre`=$di_hook_pre, `hook_post`=$di_hook_post WHERE id='$deployid';";
    check_mysql_query($dsql);
    echo "<h4>A(z) <b>$vhostname</b> weboldal hook scriptjeit módosítottuk.</h4>";
    logme("Autodeploy changed: $vhostname");
}

function final_deploy($deployid) {

    $node=get_node_deploy($deployid,true);
	$vhostname=get_deploy_vhost($deployid);

    $dsql="UPDATE deploy SET `deploy`=1 WHERE id='$deployid';";
    check_mysql_query($dsql);
    activate_config('deploy',$node);
    apply_activation();
    echo "<h4>A(z) <b>$vhostname</b> weboldal tartalmát frissítjük (deploy/checkout).</h4>";
    logme("Autodeploy: $vhostname");
}

function final_del($deployid) {

    $node=get_node_deploy($deployid,true);
	$vhostname=get_deploy_vhost($deployid);

    $dsql="DELETE FROM `deploy` WHERE id='$deployid';";
    check_mysql_query($dsql);
    activate_config('deploy',$node);
    apply_activation();
    echo "<h4>A(z) <b>$vhostname</b> weboldal és a repository kapcsolatát megszüntettük.</h4>";
    logme("Autodeploy deleted: $vhostname");
}

/*
function activate_deploy($node=NULL) {
    if (!(is_null($node))) {
	if ($node==0)
	{
	    $asql="UPDATE var SET `value`=1 WHERE `key`='deploy';";
	} else
	{
	    $asql="UPDATE var SET `value`=1 WHERE `key`='deploy' AND `node`='$node';";
	}
	check_mysql_query($asql);
    }
}
*/
