<?php

function edit_domain ($de_cliid=NULL, $de_domain=NULL, $de_dns=1, $de_ip=NULL, $de_mxon=1, $de_mx=NULL, $de_spf=NULL, $de_dkim=NULL, $de_dmarc=NULL) {

	global $clientid;
	global $adminlogin;
	global $CONFIG;

	if ($de_mxon == 1) { $de_mx=NULL; }
	if ($de_dns == 1) { $de_dkim=0; }

	if ($adminlogin==1)
	{
	    echo "<h5><a href=\"".$_SERVER['SCRIPT_NAME']."?f=domain&e=3&mode=edit\"><u>CSV import</u></a></h5>\n";
	}

	// Form + table start
	echo "<form action=\"".$_SERVER['SCRIPT_NAME']."?f=domain&e=1&mode=save\" method=\"post\" name=\"sysadminform\">\n";
	add_form_validator();
	echo "<table class=\"edittable\">\n";

	require_once($CONFIG['adir'].'/include/dropdown.function.php');

	echo "<tr>\n";
	echo "<td><strong>Ügyfél:</strong></td>\n";
	echo "<td>\n";
	dropdown_clients($de_cliid);
	echo "</td>\n";
	echo "</tr>\n";

	// domain
	echo "<tr>\n";
	echo "<td><strong>Domainnév:</strong></td>\n";
	echo "<td>";
	echo "<input type=\"text\" name=\"d_domain\" value=\"$de_domain\">";
	echo "</td>\n";
	echo "</tr>\n";

	// DNS
	echo "<tr>\n";
	echo "<td><strong>DNS szolgáltatás:</strong></td>\n";
	    echo "<td><select name=\"d_dns\" onChange=\"Javascript:switchfield('d_ip',document.sysadminform.d_dns.value,0);switchfield('d_dkim',document.sysadminform.d_dns.value,1)\">";
	    echo "<option value=\"1\"";
	    if ("$de_dns"=="1") { echo " selected "; }
	    echo ">bekapcsolva</option><option value=\"0\"";
	    if ("$de_dns"=="0") { echo " selected "; }
	    echo ">kikapcsolva</option></td>";
	echo "</tr>\n";

	//comment
	echo "<tr>\n";
	echo "<td colspan=\"2\"><i>Csak akkor kapcsoljuk ki, ha a névszerver már működik <b>más szolgáltatónál</b>.</i></td>\n";
	echo "</tr>\n";

	// IP
	$ipdis='';
	if ( $de_dns == 0 ) { $ipdis="disabled"; }
	echo "<tr>\n";
	echo "<td><strong>Elsődleges IP cím:</strong></td>\n";
	echo "<td><input type=\"text\" name=\"d_ip\" value=\"$de_ip\" $ipdis></td>\n";
	echo "</tr>\n";

	//comment
	echo "<tr>\n";
	echo "<td colspan=\"2\"><i>Csak akkor kell megadni IP címet, ha a domain <b>más szerverre</b> mutat.</i></td>\n";
	echo "</tr>\n";

	// Mail
	echo "<tr>\n";
	echo "<td><strong>Levelezés:</strong></td>\n";
	    echo "<td><select name=\"d_mxon\" onChange=\"Javascript:switchfield('d_mx',document.sysadminform.d_mxon.value,1)\">";
	    echo "<option value=\"1\"";
	    if ("$de_mxon"=="1") { echo " selected "; }
	    echo ">bekapcsolva (helyben)</option><option value=\"0\"";
	    if ("$de_mxon"=="0") { echo " selected "; }
	    echo ">kikapcsolva (külső MX)</option></td>";
	echo "</tr>\n";

	// MX
	if ( $de_mxon == 1 ) { $mxdis="disabled"; }
	echo "<tr>\n";
	echo "<td><strong>MX rekordok:</strong><br />(soronként egy)</td>\n";
	echo "<td><textarea rows=\"3\" cols=\"30\" name=\"d_mx\" $mxdis>$de_mx</textarea></td>\n";
	echo "</tr>\n";

	//comment
	echo "<tr>\n";
	echo "<td colspan=\"3\"><i>Csak akkor kell megadni MX rekordot, ha a levelezés <b>más szerveren</b> van.<br />";
	echo "Ez esetben kérjük felsorolni az MX rekordokat (pl. 10 mail.domain.hu. )</i></td>\n";
	echo "</tr>\n";

	// SPF
	echo "<tr>\n";
	//echo "<td><strong>SPF rekord:</strong></td>\n";
	//echo "<td>v=spf1 a mx <input type=\"text\" name=\"d_spf\" value=\"$de_spf\" placeholder=\"~all\"></td>\n";
	echo "<td><div style=\"display: flex; justify-content: space-between;\"><span style=\"text-align: left;\"><strong>SPF rekord:</strong></span><span style=\"text-align: right;\">v=spf1 a mx</span></div></td>\n";
	//echo "<td><textarea rows=\"3\" cols=\"30\" name=\"d_spf\" placeholder=\"~all\">$de_spf</textarea></td>\n";
	echo "<td><input type=\"text\" name=\"d_spf\" value=\"$de_spf\" placeholder=\"~all\"></td>\n";
	echo "</tr>\n";

	//comment
	echo "<tr>\n";
	echo "<td colspan=\"3\"><i>Csak akkor szükséges kitölteni, ha <b>külső levelező szolgáltatást</b> is használunk.<br />";
	echo "Üresen hagyva az alapértelmezett SPF rekord (v=spf1 a mx ~all) lép életbe.<br />\n";
	echo "A rekord eleje automatikus, csak a mechanizmusokat kell megadni. (pl. ip4:1.2.3.4 a:domain.hu -all)</i></td>\n";
	echo "</tr>\n";

	// DMARC
	echo "<tr>\n";
	echo "<td><div style=\"display: flex; justify-content: space-between;\"><span style=\"text-align: left;\"><strong>DMARC rekord:</strong></span><span style=\"text-align: right;\">v=DMARC1;</span></div></td>\n";
	echo "<td><input type=\"text\" name=\"d_dmarc\" value=\"$de_dmarc\" placeholder=\"p=none;\"></td>\n";
	echo "</tr>\n";

	//comment
	echo "<tr>\n";
	echo "<td colspan=\"3\"><i>Csak akkor szükséges kitölteni, ha el szeretnénk térni az alapértelmezett szabálytól.<br />";
	echo "A rekord eleje automatikus, csak a paramétereket kell megadni. (pl. p=quarantine;)</i></td>\n";
	echo "</tr>\n";

	// DKIM
	if ( $de_dns == 1 ) { $dkimdis="disabled"; }
	echo "<tr>\n";
	echo "<td><strong>DKIM aláírás mindeképp:</strong></td>\n";
	    echo "<td><select name=\"d_dkim\" $dkimdis>";
	    echo "<option value=\"0\"";
	    if ("$de_dkim"=="0") { echo " selected "; }
	    echo ">kikapcsolva (javasolt)</option><option value=\"1\"";
	    if ("$de_dkim"=="1") { echo " selected "; }
	    echo ">bekapcsolva (külső DNS)</option></td>";
	echo "</tr>\n";

	//comment
	echo "<tr>\n";
	echo "<td colspan=\"3\"><i>Csak akkor szükséges bekapcsolni, ha a domainhez <b>külső DNS szolgáltatást</b> használunk,<br />\n";
	echo "<b>működik levelezés</b> a domainen és a külső DNS szerverben <b>már felvettük</b> a DKIM rekordot.</td>\n";
	echo "</tr>\n";

	//submit
	echo "<tr>\n";
	echo "<td></td>\n";
	echo "<td><input type=\"submit\" value=\"OK\"> <input type=\"button\" value=\"Mégse\" onmouseup=\"javascript:self.close()\"></td>\n";
	echo "<td></td>\n";
	echo "</tr>\n";

	//form end
	echo "</table>\n";
	echo "</form>\n";
	setformfocus();

}

function modify_domain ($de_id, $de_dns=NULL, $de_ip=NULL, $de_mxon=NULL, $de_mx=NULL, $de_spf=NULL, $de_dkim=NULL, $de_dmarc=NULL) {

	global $clientid;
	global $adminlogin;


    	$dsql ="SELECT domain.name AS domainname,
			domain.dns AS dns,
			domain.ip AS ip,
			domain.mx AS mx,
			domain.spf AS spf,
			domain.dkim AS dkim,
			domain.dmarc AS dmarc,
			(domain.mx IS NULL) AS mxon
		FROM domain
		WHERE domain.id=\"$de_id\";";

    	$dResult=DBquery($dsql);
    	$dRow=$dResult->fetch_assoc();

	if ($de_dns == NULL) { $de_dns = $dRow['dns']; }
	if ($de_ip == NULL) { $de_ip = $dRow['ip']; }
	if ($de_mx == NULL) { $de_mx = $dRow['mx']; }
	if ($de_mxon == NULL) { $de_mxon = $dRow['mxon']; }
	if ($de_spf == NULL) { $de_spf = $dRow['spf']; }
	if ($de_dkim == NULL) { $de_dkim = $dRow['dkim']; }
	if ($de_dmarc == NULL) { $de_dmarc = $dRow['dmarc']; }

	if ($de_mxon == 1) { $de_mx=NULL; }
	if ($de_dns == 1) { $de_dkim=0; }

	if ($de_mxon == 1)
	{
		$def_dmarc="p=none;";
	}
	else
	{
		$def_dmarc="p=none;";
	}

	// Form + table start
	echo "<form action=\"".$_SERVER['SCRIPT_NAME']."?f=domain&e=1&mode=update&id=$de_id\" method=\"post\" name=\"sysadminform\">\n";
	add_form_validator();
	echo "<table class=\"edittable\">\n";

	// domain start
	echo "<tr>\n";
	echo "<td><strong>Domainnév:</strong></td>\n";
	echo "<td>$dRow[domainname]</td>\n";
	echo "</tr>\n";

	// DNS
	echo "<tr>\n";
	echo "<td><strong>DNS szolgáltatás:</strong></td>\n";
	    echo "<td><select name=\"d_dns\" onChange=\"Javascript:switchfield('d_ip',document.sysadminform.d_dns.value,0);switchfield('d_dkim',document.sysadminform.d_dns.value,1)\">";
	    echo "<option value=\"1\"";
	    if ("$de_dns"=="1") { echo " selected "; }
	    echo ">bekapcsolva</option><option value=\"0\"";
	    if ("$de_dns"=="0") { echo " selected "; }
	    echo ">kikapcsolva</option></td>";
	echo "</tr>\n";

	//comment
	echo "<tr>\n";
	echo "<td colspan=\"2\"><i>Csak akkor kapcsoljuk ki, ha a névszerver már működik <b>más szolgáltatónál</b>.</i></td>\n";
	echo "</tr>\n";

	// IP
	$ipdis='';
	if ( $de_dns == 0 ) { $ipdis="disabled"; }
	echo "<tr>\n";
	echo "<td><strong>Elsődleges IP cím:</strong></td>\n";
	echo "<td><input type=\"text\" name=\"d_ip\" value=\"$de_ip\" $ipdis></td>\n";
	echo "</tr>\n";

	//comment
	echo "<tr>\n";
	echo "<td colspan=\"2\"><i>Csak akkor kell megadni IP címet, ha a domain <b>más szerverre</b> mutat.</i></td>\n";
	echo "</tr>\n";

	// Mail
	echo "<tr>\n";
	echo "<td><strong>Levelezés:</strong></td>\n";
	    echo "<td><select name=\"d_mxon\" onChange=\"Javascript:switchfield('d_mx',document.sysadminform.d_mxon.value,1)\">";
	    echo "<option value=\"1\"";
	    if ("$de_mxon"=="1") { echo " selected "; }
	    echo ">bekapcsolva (helyben)</option><option value=\"0\"";
	    if ("$de_mxon"=="0") { echo " selected "; }
	    echo ">kikapcsolva (külső MX)</option></td>";
	echo "</tr>\n";

	// MX
	if ( $de_mxon == 1 ) { $mxdis="disabled"; }
	echo "<tr>\n";
	echo "<td><strong>MX rekordok:</strong><br />(soronként egy)</td>\n";
	echo "<td><textarea rows=\"3\" cols=\"30\" name=\"d_mx\" $mxdis>$de_mx</textarea></td>\n";
	echo "</tr>\n";

	//comment
	echo "<tr>\n";
	echo "<td colspan=\"3\"><i>Csak akkor kell megadni MX rekordot, ha a levelezés <b>más szerveren</b> van.<br />";
	echo "Ez esetben kérjük felsorolni az MX rekordokat (pl. 10 mail.domain.hu. )</i></td>\n";
	echo "</tr>\n";

	// SPF
	echo "<tr>\n";
	//echo "<td><strong>SPF rekord:</strong></td>\n";
	//echo "<td>v=spf1 a mx <input type=\"text\" name=\"d_spf\" value=\"$de_spf\" placeholder=\"~all\"></td>\n";
	echo "<td><div style=\"display: flex; justify-content: space-between;\"><span style=\"text-align: left;\"><strong>SPF rekord:</strong></span><span style=\"text-align: right;\">v=spf1 a mx</span></div></td>\n";
	//echo "<td><textarea rows=\"3\" cols=\"30\" name=\"d_spf\" placeholder=\"~all\">$de_spf</textarea></td>\n";
	echo "<td><input type=\"text\" name=\"d_spf\" value=\"$de_spf\" placeholder=\"~all\"></td>\n";
	echo "</tr>\n";

	//comment
	echo "<tr>\n";
	echo "<td colspan=\"3\"><i>Csak akkor szükséges kitölteni, ha <b>külső levelező szolgáltatást</b> is használunk.<br />";
	echo "Üresen hagyva az alapértelmezett SPF rekord (v=spf1 a mx ~all) lép életbe.<br />\n";
	echo "A rekord eleje automatikus, csak a mechanizmusokat kell megadni. (pl. ip4:1.2.3.4 a:domain.hu -all)</i></td>\n";
	echo "</tr>\n";

	// DMARC
	echo "<tr>\n";
	echo "<td><div style=\"display: flex; justify-content: space-between;\"><span style=\"text-align: left;\"><strong>DMARC rekord:</strong></span><span style=\"text-align: right;\">v=DMARC1;</span></div></td>\n";
	echo "<td><input type=\"text\" name=\"d_dmarc\" value=\"$de_dmarc\" placeholder=\"$def_dmarc\"></td>\n";
	echo "</tr>\n";

	//comment
	echo "<tr>\n";
	echo "<td colspan=\"3\"><i>Csak akkor szükséges kitölteni, ha el szeretnénk térni az alapértelmezett szabálytól.<br />";
	echo "A rekord eleje automatikus, csak a paramétereket kell megadni. (pl. p=quarantine;)</i></td>\n";
	echo "</tr>\n";

	// DKIM
	if ( $de_dns == 1 ) { $dkimdis="disabled"; }
	echo "<tr>\n";
	echo "<td><strong>DKIM aláírás mindeképp:</strong></td>\n";
	    echo "<td><select name=\"d_dkim\" $dkimdis>";
	    echo "<option value=\"0\"";
	    if ("$de_dkim"=="0") { echo " selected "; }
	    echo ">kikapcsolva (javasolt)</option><option value=\"1\"";
	    if ("$de_dkim"=="1") { echo " selected "; }
	    echo ">bekapcsolva (külső DNS)</option></td>";
	echo "</tr>\n";

	//comment
	echo "<tr>\n";
	echo "<td colspan=\"3\"><i>Csak akkor szükséges bekapcsolni, ha a domainhez <b>külső DNS szolgáltatást</b> használunk,<br />\n";
	echo "<b>működik levelezés</b> a domainen és a külső DNS szerverben <b>már felvettük</b> a DKIM rekordot.</td>\n";
	echo "</tr>\n";

	//submit
	echo "<tr>\n";
	echo "<td></td>\n";
	echo "<td><input type=\"submit\" value=\"OK\"> <input type=\"button\" value=\"Mégse\" onmouseup=\"javascript:self.close()\"></td>\n";
	echo "</tr>\n";

	//form end
	echo "</table>\n";
	echo "</form>\n";
	setformfocus();
}

function ask_del($domainid) {

    global $clientid;

    $domname=get_domain($domainid);

    // Form + table start
    echo "<form action=\"".$_SERVER['SCRIPT_NAME']."?f=domain&e=1&mode=finaldel&id=$domainid\" method=\"post\" name=\"sysadminform\">\n";
    add_form_validator();
    echo "<table class=\"edittable\">\n";

    //comment
    echo "<tr>\n";
    echo "<td>Valóban törölni szeretné a <b>$domname</b> domaint? A domain törlésével a hozzá tartozó weboldalak, repository kapcsolatok, postafiókok, aliasok is törlődnek!</td>\n";
    echo "</tr>\n";

    //submit
    echo "<tr>\n";
    echo "<td><input type=\"submit\" value=\"OK\"> <input type=\"button\" value=\"Mégse\" onmouseup=\"javascript:self.close()\"></td>\n";
    echo "</tr>\n";

    //form end
    echo "</table>\n";
    echo "</form>\n";
}

function ask_toggle_domain($domainid) {

    global $clientid;

    $domdata=get_domain_data($domainid);
    $domname=$domdata['uniname_html'];

    // Form + table start
    echo "<form action=\"".$_SERVER['SCRIPT_NAME']."?f=domain&e=1&mode=finaltoggle&id=$domainid\" method=\"post\" name=\"sysadminform\">\n";
    add_form_validator();
    echo "<table class=\"edittable\">\n";

    //comment
    echo "<tr>\n";
    if ($domdata['active']==1)
    {
	echo "<td>Valóban szeretné kikapcsolni a <b>$domname</b> domaint? A domain kikapcsolásával a hozzá tartozó weboldalak, postafiókok működése is szünetel.</td>\n";
    }
    else
    {
	echo "<td>Valóban szeretné bekapcsolni a <b>$domname</b> domaint?</td>\n";
    }
    echo "</tr>\n";

    //submit
    echo "<tr>\n";
    echo "<td><input type=\"submit\" value=\"OK\"> <input type=\"button\" value=\"Mégse\" onmouseup=\"javascript:self.close()\"></td>\n";
    echo "</tr>\n";

    //form end
    echo "</table>\n";
    echo "</form>\n";
}
