<?php

function edit_domrec ($re_host=NULL, $re_domid=NULL, $re_type=NULL, $re_value=NULL) {

	global $clientid;
	global $adminlogin;
	global $CONFIG;

	    // Form + table start
	    echo "<form action=\"".$_SERVER['SCRIPT_NAME']."?f=domrec&e=1&mode=save\" method=\"post\" name=\"sysadminform\">\n";
	    add_form_validator();
	    echo "<table class=\"edittable\">\n";

	    require_once($CONFIG['adir'].'/include/dropdown.function.php');

	    //comment
            echo "<tr>\n";
            echo "<td colspan=\"3\"><i><b>FIGYELEM! Csak hozzáértő felhasználóknak!</b></i></td>\n";
            echo "</tr>\n";


	    echo "<tr>\n";
	    echo "<td><strong>Domain:</strong></td>\n";
	    echo "<td>\n";
    	    dropdown_domains($re_domid);
	    echo "</td>\n";
	    echo "</tr>\n";

	    // host
	    echo "<tr>\n";
	    echo "<td><strong>Rekord (host)név:</strong></td>\n";
	    echo "<td>";
	    echo "<input type=\"text\" name=\"r_host\" value=\"$re_host\">";
	    echo "</td>\n";
	    echo "</tr>\n";

            //comment
            echo "<tr>\n";
            echo "<td colspan=\"3\"><i>Ha a rekord magára a domainre vonatkozik, kérjük a <b>@</b> jelet használni.</i></td>\n";
            echo "</tr>\n";
    
	    // DNS record type
	    echo "<tr>\n";
	    echo "<td><strong>Rekord típus:</strong></td>\n";
	    echo "<td>\n";
    	    dropdown_rec_type($re_type);
	    echo "</td>\n";
	    echo "</tr>\n";

	    // value
	    $re_value=trim($re_value,'"');
	    echo "<tr>\n";
	    echo "<td><strong>Érték:</strong></td>\n";
            echo "<td><textarea rows=\"4\" cols=\"30\" name=\"r_value\">$re_value</textarea></td>\n";
	    echo "</tr>\n";

            //comment
            echo "<tr>\n";
            echo "<td colspan=\"3\"><i>Új <b>A</b> rekordot felvenni az <b>Aldomainek</b> menüpontban lehetséges.</i></td>\n";
            echo "</tr>\n";

            echo "<tr>\n";
            echo "<td colspan=\"3\"><i>Az <b>SPF</b> rekordot a rendszer automatikusan kezeli.<br />\n";
            echo "Módosítani, kiegészíteni a domain beállításainál lehet.</i></td>\n";
            echo "</tr>\n";

            echo "<tr>\n";
            echo "<td colspan=\"3\"><i>NS, MX, CNAME, SRV rekordok esetén az <b>Érték</b> host, vagy host+domain lehet.<br />\n";
            echo "Ha nincs lezárva ponttal (.), akkor a domainnév automatikusan hozzáfűződik.</i></td>\n";
            echo "</tr>\n";


	    //submit
	    echo "<tr>\n";
	    echo "<td></td>\n";
	    echo "<td><input type=\"submit\" value=\"OK, tudom mit csinálok\"> <input type=\"button\" value=\"Mégse\" onmouseup=\"javascript:self.close()\"></td>\n";
	    echo "<td></td>\n";
	    echo "</tr>\n";

	    //form end
	    echo "</table>\n";
	    echo "</form>\n";
	    setformfocus();

}

function modify_domrec($re_id, $re_value=NULL) {

	global $CONFIG;
	global $clientid;
	global $adminlogin;

    	    $dsql ="SELECT dom_records.id AS domrecid,
			dom_records.host AS host,
			dom_records.type AS type,
			dom_records.value AS value,
			domain.name AS domname
		FROM dom_records
		LEFT JOIN domain ON dom_records.domainid=domain.id
		WHERE dom_records.id=\"$re_id\";";

    	    $dResult=DBquery($dsql);
    	    $dRow=$dResult->fetch_assoc();

	    if ($re_value == NULL) { $re_value = $dRow['value']; }

	    // Form + table start
	    echo "<form action=\"".$_SERVER['SCRIPT_NAME']."?f=domrec&e=1&mode=update&id=$re_id\" method=\"post\" name=\"sysadminform\">\n";
	    add_form_validator();
	    echo "<table class=\"edittable\">\n";

	    //comment
            echo "<tr>\n";
            echo "<td colspan=\"3\"><i><b>FIGYELEM! Csak hozzáértő felhasználóknak!</b></i></td>\n";
            echo "</tr>\n";

	    // host start
	    echo "<tr>\n";
	    echo "<td><strong>Rekord (host)név:</strong></td>\n";
	    if ($dRow['host']=='@') {
		echo "<td><b>$dRow[domname]</b></td>\n";
	    } else
	    {
		echo "<td><b>$dRow[host]</b>.$dRow[domname]</td>\n";
	    }
	    echo "</tr>\n";

	    // DNS record type
	    echo "<tr>\n";
	    echo "<td><strong>Rekord típus:</strong></td>\n";
	    echo "<td>\n";
	    echo $dRow['type'];
	    echo "</td>\n";
	    echo "</tr>\n";

	    // value
	    $re_value=trim($re_value,'"');
	    echo "<tr>\n";
	    echo "<td><strong>Érték:</strong></td>\n";
            echo "<td><textarea rows=\"4\" cols=\"30\" name=\"r_value\">$re_value</textarea></td>\n";
	    echo "</tr>\n";

            //comment
            echo "<tr>\n";
            echo "<td colspan=\"3\"><i>Az A, AAAA, NS, MX, CNAME, SRV rekordok végét ponttal (.) le kell zárni.<br />\n";
            echo "Ha a lezárás hiányzik, akkor automatikusan hozzáfűződik a domainnév.</i></td>\n";
            echo "</tr>\n";

	    //submit
	    echo "<tr>\n";
	    echo "<td></td>\n";
	    echo "<td><input type=\"submit\" value=\"OK, tudom mit csinálok\"> <input type=\"button\" value=\"Mégse\" onmouseup=\"javascript:self.close()\"></td>\n";
	    echo "</tr>\n";

	    //form end
	    echo "</table>\n";
	    echo "</form>\n";
	    setformfocus();

}

function ask_del($re_id) {

    global $clientid;

    $domrecname=get_domrec($re_id);

    // Form + table start
    echo "<form action=\"".$_SERVER['SCRIPT_NAME']."?f=domrec&e=1&mode=finaldel&id=$re_id\" method=\"post\" name=\"sysadminform\">\n";
    add_form_validator();
    echo "<table class=\"edittable\">\n";

    //comment
    echo "<tr>\n";
    echo "<td>Valóban törölni szeretné a <b>$domrecname</b> DNS rekordot?</td>\n";
    echo "</tr>\n";

    //submit
    echo "<tr>\n";
    echo "<td><input type=\"submit\" value=\"OK\"> <input type=\"button\" value=\"Mégse\" onmouseup=\"javascript:self.close()\"></td>\n";
    echo "</tr>\n";

    //form end
    echo "</table>\n";
    echo "</form>\n";
}

function ask_toggle_domrec($re_id) {

    global $clientid;

    $domrecname=get_domrec($re_id);
    $domrecdata=get_domrec_data($re_id);

    if ($domrecdata['active']==1) { $kb="ki"; } else { $kb="be"; }

    // Form + table start
    echo "<form action=\"".$_SERVER['SCRIPT_NAME']."?f=domrec&e=1&mode=finaltoggle&id=$re_id\" method=\"post\" name=\"sysadminform\">\n";
    add_form_validator();
    echo "<table class=\"edittable\">\n";

    //comment
    echo "<tr>\n";
    echo "<td>Valóban szeretné ".$kb."kapcsolni a <b>$domrecname</b> DNS rekordot?</td>\n";
    echo "</tr>\n";

    //submit
    echo "<tr>\n";
    echo "<td><input type=\"submit\" value=\"OK\"> <input type=\"button\" value=\"Mégse\" onmouseup=\"javascript:self.close()\"></td>\n";
    echo "</tr>\n";

    //form end
    echo "</table>\n";
    echo "</form>\n";
}

