<?php

function insert_domrec($re_host, $re_domid, $re_type, $re_value) {

    global $adminlogin;

    $re_domname=get_domain($re_domid);

#    if ($adminlogin==1) {

	if ($re_type=="TXT") {
		$re_value=split_domrec_txt($re_value);
    }

	//restricted
#	$nsql="INSERT INTO dom_records SET `domainid`='$re_domid', `host`='$re_host', `type`='$re_type', `value`='$re_value', modified=NOW(); ";
#	check_mysql_query($nsql);

	//unrestricted, safe, prepared statement
	$nsql="INSERT INTO dom_records SET `domainid`=?, `host`=?, `type`=?, `value`=?, modified=NOW(); ";
	$nvalues=array('isss', $re_domid, $re_host, $re_type, $re_value);
	DBquery_prep($nsql, $nvalues);

	activate_config('bind_update');
	apply_activation();
	echo "<h4>A <b>$re_host.$re_domname</b> $re_type DNS rekordot létrehoztuk.</h4>";
	logme("DNS record created: $re_host.$re_domname [$re_type]");
#    }
}

function update_domrec($re_id, $re_value) {

    global $adminlogin;

	$rectype=get_domrec_type($re_id);

	if ($rectype=="TXT") {
		$re_value=split_domrec_txt($re_value);
    }

	//restricted
#	$usql="UPDATE dom_records SET `value`='$re_value', modified=NOW() WHERE id='$re_id';";
#	check_mysql_query($usql);

	//unrestricted, safe, prepared statement
	$usql="UPDATE dom_records SET `value`=?, modified=NOW() WHERE id='$re_id';";
	$uvalues=array('s', $re_value);
	DBquery_prep($usql, $uvalues);

	activate_config('bind_update');
	apply_activation();
	echo "<h4>A DNS rekordot megváltoztattuk.</h4>";
	logme("DNS record changed: ".get_domrec($re_id));
}

function toggle_domrec($re_id) {

    $gsql="SELECT active FROM dom_records WHERE id='$re_id';";
    $gResult=DBquery($gsql);
    $gRow=$gResult->fetch_assoc();
    $active=$gRow['active'];

    if ($active==1) { $setact=0; $kb="ki"; } else { $setact=1; $kb="be"; }

    $tsql="UPDATE dom_records SET active='$setact', modified=NOW() WHERE id='$re_id';";
    check_mysql_query($tsql);
    activate_config('bind_update');
    apply_activation();
    echo "<h4>A DNS rekordot ".$kb."kapcsoltuk.</h4>";
    logme("DNS record toggle($setact): ".get_domrec($re_id));

}

function final_del($re_id) {

    $recname=get_domrec($re_id);

	//get domain id
	$domainid=get_domrec_domainid($re_id);

    //delete dns record
    $dsql="DELETE FROM dom_records WHERE id='$re_id';";
    check_mysql_query($dsql);

	$dsql="UPDATE domain SET modified=NOW() WHERE id='$domainid';";
    check_mysql_query($dsql);

    activate_config('bind_update');
    apply_activation();
    echo "<h4>A DNS rekordot töröltük.</h4>";
    logme("DNS record deleted: ".$recname);
}

/*
function activate_domain_config() {
    $asql="UPDATE var SET `value`=1 WHERE `key`='bind_update';";
    check_mysql_query($asql);
}
*/
