<?php

function startmain()
{

 htmlheader();

 global $CONFIG;
 global $adminlogin;
 global $clientid;

 require $CONFIG['adir'].'/include/edit/ftp/functions.php';
 require $CONFIG['adir'].'/include/edit/ftp/forms.php';

#################################################################### route

 // get mode
 $mode=gp_str('mode');
 $fe_id=gp_int('id');

 $fe_name= strtolower(gp_str('f_name'));
 $fe_dir= gp_str('f_dir');
 $fe_quota= gp_int('f_quota');
 $fe_password1= gp_str('f_password1');
 $fe_password2= gp_str('f_password2');


 // new FTP
 if ($mode=="new") {
    echo '<h2>Új FTP felvétele</h2>';

    edit_ftp();

 // save new
 } elseif ($mode=="save") {
    echo '<h2>Új FTP elérés létrehozása</h2>';

    check_form_validator();

    if ($clientid == 0) { $fe_cliid=gp_int('cliid'); } else { $fe_cliid=$clientid; }
    $maxquota=get_quota($fe_cliid);

    if (
	mand_int($fe_cliid, 'Ügyfél') &&
	check_client($fe_cliid) &&
	mand_str($fe_name, 'Login') &&
	check_format_alnum($fe_name, 'Login') &&
	check_exist_cliftp($fe_name, $fe_cliid) &&
	mand_str($fe_dir, 'Alkönyvtár') &&
	opt_int($fe_quota,'Tárhely') &&
	check_quota($fe_quota, $maxquota) &&
	opt_pass($fe_password1, $fe_password2, $fe_name, '')
	)
    {
	$fe_password=gen_pass($fe_password1);
	if (!($fe_quota > 0)) { $fe_quota=$maxquota; }

	insert_ftp($fe_cliid, $fe_name, $fe_dir, $fe_quota, $fe_password);

	//if ($fe_password != $fe_password1) { $pause=1; }

	closewindow("ftp");

    } else {

	edit_ftp ($fe_cliid, $fe_name, $fe_dir, $fe_quota, $fe_password1, $fe_password2);

    }

 //change ftp account
 } elseif ($mode=="edit" && (nonzero($fe_id))) {
    echo '<h2>FTP elérés módosítása</h2>';

    if (!(check_ftp($fe_id))) { suicide(); }

    modify_ftp($fe_id);

 //save changed ftp
 } elseif ($mode=="update" && nonzero($fe_id)) {
    echo '<h2>FTP elérés mentése</h2>';

    check_form_validator();

    if (!(check_ftp($fe_id))) { suicide(); }

    $maxquota=get_quota_ftp($fe_id);
    $fe_name=get_ftp_userpart($fe_id);
    $fe_oldpass=get_ftppass($fe_id);

    if (
	mand_str($fe_dir, 'Alkönyvtár') &&
	opt_int($fe_quota,'Tárhely') &&
	check_quota($fe_quota, $maxquota) &&
	opt_pass($fe_password1, $fe_password2, $fe_name, $fe_oldpass)
	)
    {

	$fe_password=gen_pass($fe_password1);

	if (!($fe_quota > 0)) { $fe_quota=$maxquota; }

	update_ftp($fe_id, $fe_dir, $fe_quota, $fe_password);

	//if ($fe_password != $fe_password1) { $pause=1; }

	closewindow("ftp");

    } else {
	modify_ftp($fe_id, $fe_dir, $fe_quota, $fe_password1, $fe_password2);
    }

 //ask to delete FTP
 } elseif ($mode=="del" && nonzero($fe_id)) {
    echo '<h2>FTP elérés törlése</h2>';

    if (!(check_ftp($fe_id))) { suicide(); }

    ask_del($fe_id);    

 //finally delete FTP
 } elseif ($mode=="finaldel" && nonzero($fe_id)) {
    echo '<h2>FTP elérés törlése</h2>';

    check_form_validator();

    if (!(check_ftp($fe_id))) { suicide(); }

    final_del($fe_id);

    closewindow("ftp");

 //ask toggle
 } elseif ($mode=="toggle" && nonzero($fe_id)) {
    echo '<h2>FTP elérés ki-bekapcsolása</h2>';

    if (!(check_ftp($fe_id))) { suicide(); }

    ask_toggle_ftp($fe_id);

 //toggle on-off
 } elseif ($mode=="finaltoggle" && nonzero($fe_id)) {
    echo '<h2>FTP elérés ki-bekapcsolása</h2>';

    check_form_validator();

    if (!(check_ftp($fe_id))) { suicide(); }

    toggle_ftp($fe_id);

    closewindow("ftp");

 } else {
    echo '<h4>Hibás paraméterezés.</h4>';
    pageclose();
    die();
 }

    DBclose();
    pageclose();
    exit (0);
}
?>