<?php

function edit_ftp ($fe_cliid=0, $fe_name='', $fe_dir='', $fe_quota='', $fe_password1='', $fe_password2='') {

	global $clientid;
	global $CONFIG;

	if ($clientid != 0) {
	    $maxquota=get_quota($clientid);
	    if ($maxquota==0) {
		$maxqstr="<span class=\"red\">korlátlan</span>";
	    } else {
		$maxqstr="$maxquota MB";
	    }
	} else {
	    $maxqstr="a felhasználói maximum";
	}

	require_once($CONFIG['adir'].'/include/dropdown.function.php');

	// Form + table start
	echo "<form action=\"".$_SERVER['SCRIPT_NAME']."?f=ftp&e=1&mode=save\" method=\"post\" name=\"sysadminform\">\n";
	add_form_validator();
	echo "<table class=\"edittable\">\n";

	// login start
	echo "<tr>\n";
	echo "<td><strong>FTP Login:</strong></td>\n";

	// login
	echo "<td align=\"right\">";
	dropdown_clients($fe_cliid,0,"javascript:client2vhdir();");
	echo ".</td>";
	echo "<td>";
	echo "<input type=\"text\" name=\"f_name\" value=\"$fe_name\">";

	// login end
	echo "</td>\n";
	echo "</tr>\n";

	//dir prefix (for webdir and subdir)
	if ($clientid == 0) { $cliname="[<i>ügyfél</i>]"; } else { $cliname=get_client($clientid); }

	// webdir
	echo "<tr>\n";
	echo "<td><strong>Alkönyvtár:</strong></td>\n";
	echo "<td align=\"right\">".$CONFIG['vdir']."/$cliname/</td>\n";
	echo "<td>";
	dropdown_vhostdir("javascript:document.sysadminform.f_dir.value=document.sysadminform.m_vhostdir.value;");
	dropdown_client2vhdir();
	echo "</td>\n";
	echo "</tr>\n";

	// subdir
	echo "<tr>\n";
	echo "<td></td>\n";
	echo "<td align=\"right\">".$CONFIG['vdir']."/$cliname/</td>\n";
	echo "<td><input type=\"text\" name=\"f_dir\" value=\"$fe_dir\"></td>\n";
	echo "</tr>\n";


	// quota
	echo "<tr>\n";
	echo "<td><strong>Tárhelyméret:</strong></td>\n";
	echo "<td></td>\n";
	echo "<td><input type=\"text\" name=\"f_quota\" value=\"$fe_quota\"> MB</td>\n";
	echo "</tr>\n";

	//comment
	echo "<tr>\n";
	echo "<td colspan=\"3\"><i>Üresen hagyott tárhelyméret esetén <b>$maxqstr</b> kerül beállításra.</i></td>\n";
	echo "</tr>\n";

	// password 1
	echo "<tr>\n";
	echo "<td><strong>Jelszó:</strong></td>\n";
	echo "<td></td>\n";
	echo "<td><input type=\"password\" name=\"f_password1\" value=\"$fe_password1\"></td>\n";
	echo "</tr>\n";

	// password 2
	echo "<tr>\n";
	echo "<td><strong>Jelszó újra:</strong></td>\n";
	echo "<td></td>\n";
	echo "<td><input type=\"password\" name=\"f_password2\" value=\"$fe_password2\"></td>\n";
	echo "</tr>\n";

	//comment
	echo "<tr>\n";
	echo "<td colspan=\"3\"><i>Üresen hagyott jelszó esetén a rendszer automatikusan generál egyet.</i></td>\n";
	echo "</tr>\n";

	//submit
	echo "<tr>\n";
	echo "<td></td>\n";
	echo "<td></td>\n";
	echo "<td><input type=\"submit\" value=\"OK\"> <input type=\"button\" value=\"Mégse\" onmouseup=\"javascript:self.close()\"></td>\n";
	echo "</tr>\n";

	//form end
	echo "</table>\n";
	echo "</form>\n";
	setformfocus();
}

function modify_ftp ($fe_id, $fe_dir='', $fe_quota=NULL, $fe_password1='', $fe_password2='') {

	global $clientid;
	global $CONFIG;

	if ($clientid != 0) {
	    $maxquota=get_quota($clientid);
	    if ($maxquota==0) {
		$maxqstr="<span class=\"red\">korlátlan</span>";
	    } else {
		$maxqstr="$maxquota MB";
	    }
	} else {
	    $maxqstr="a felhasználói maximum";
	}

    	$csql ="SELECT cli_ftp.name AS name, client.name AS clientname,
			cli_ftp.password AS password,
			cli_ftp.subdir AS subdir,
			cli_ftp.quota AS quota
		FROM cli_ftp
		LEFT JOIN client ON cli_ftp.clientid=client.id
		WHERE cli_ftp.id=\"$fe_id\";";

        $cResult=DBquery($csql);
        $cRow=$cResult->fetch_assoc();

        $cliname=$cRow['clientname'];
	$ftpname=$cRow['name'];

	if ($fe_dir == "") { $fe_dir = $cRow['subdir']; }
	if ($fe_quota == NULL) { $fe_quota = $cRow['quota']; }

	if ($fe_password1=="" && $fe_password2=="") {
	    $fe_password1=$cRow['password'];
	    $fe_password2=$cRow['password'];
	}

	// Form + table start
	echo "<form action=\"".$_SERVER['SCRIPT_NAME']."?f=ftp&e=1&mode=update&id=$fe_id\" method=\"post\" name=\"sysadminform\">\n";
	add_form_validator();
	echo "<table class=\"edittable\">\n";

	// login
	echo "<tr>\n";
	echo "<td><strong>FTP login:</strong></td>\n";
	echo "<td></td>";
	echo "<td>";
	echo "$cliname.<b>$ftpname</b>";
	echo "</td>\n";
	echo "</tr>\n";

	// subdir
	echo "<tr>\n";
	echo "<td><strong>Alkönyvtár:</strong></td>\n";
	echo "<td align=\"right\">".$CONFIG['vdir']."/$cliname/</td>\n";
	echo "<td><input type=\"text\" name=\"f_dir\" value=\"$fe_dir\"></td>\n";
	echo "</tr>\n";

	// quota
	echo "<tr>\n";
	echo "<td><strong>Tárhelyméret:</strong></td>\n";
	echo "<td></td>";
	echo "<td><input type=\"text\" name=\"f_quota\" value=\"$fe_quota\"> MB</td>\n";
	echo "</tr>\n";

	//comment
	echo "<tr>\n";
	echo "<td colspan=\"3\"><i>Üresen hagyott tárhelyméret esetén <b>$maxqstr</b> kerül beállításra.</i></td>\n";
	echo "</tr>\n";

	// password 1
	echo "<tr>\n";
	echo "<td><strong>Jelszó:</strong></td>\n";
	echo "<td></td>";
	echo "<td><input type=\"password\" name=\"f_password1\" value=\"$fe_password1\"></td>\n";
	echo "</tr>\n";

	// password 2
	echo "<tr>\n";
	echo "<td><strong>Jelszó újra:</strong></td>\n";
	echo "<td></td>";
	echo "<td><input type=\"password\" name=\"f_password2\" value=\"$fe_password2\"></td>\n";
	echo "</tr>\n";

	//comment
	echo "<tr>\n";
	echo "<td colspan=\"3\"><i>Üresen hagyott jelszó esetén a rendszer automatikusan generál egyet.</i></td>\n";
	echo "</tr>\n";

	//submit
	echo "<tr>\n";
	echo "<td></td>\n";
	echo "<td><input type=\"submit\" value=\"OK\"> <input type=\"button\" value=\"Mégse\" onmouseup=\"javascript:self.close()\"></td>\n";
	echo "</tr>\n";

	//form end
	echo "</table>\n";
	echo "</form>\n";
	setformfocus();
}

function ask_del($ftpid) {

    global $clientid;

    $ftpuser=get_ftp($ftpid);

    // Form + table start
    echo "<form action=\"".$_SERVER['SCRIPT_NAME']."?f=ftp&e=1&mode=finaldel&id=$ftpid\" method=\"post\" name=\"sysadminform\">\n";
    add_form_validator();
    echo "<table class=\"edittable\">\n";

    //comment
    echo "<tr>\n";
    echo "<td>Valóban törölni szeretné a <b>$ftpuser</b> FTP elérést?</td>\n";
    echo "</tr>\n";

    echo "<tr>\n";
    echo "<td></td>\n";
    echo "</tr>\n";

    //submit
    echo "<tr>\n";
    echo "<td><input type=\"submit\" value=\"OK\"> <input type=\"button\" value=\"Mégse\" onmouseup=\"javascript:self.close()\"></td>\n";
    echo "</tr>\n";

    //form end
    echo "</table>\n";
    echo "</form>\n";
}

function ask_toggle_ftp($ftpid) {

    global $clientid;

    $ftpdata=get_ftp_data($ftpid);
    $ftpuser=get_ftp($ftpid);

    if ($ftpdata['active']==1) { $kb="ki"; } else { $kb="be"; }

    // Form + table start
    echo "<form action=\"".$_SERVER['SCRIPT_NAME']."?f=ftp&e=1&mode=finaltoggle&id=$ftpid\" method=\"post\" name=\"sysadminform\">\n";
    add_form_validator();
    echo "<table class=\"edittable\">\n";

    //comment
    echo "<tr>\n";
    echo "<td>Valóban szeretné ".$kb."kapcsolni a <b>$ftpuser</b> FTP elérést?</td>\n";
    echo "</tr>\n";

    echo "<tr>\n";
    echo "<td></td>\n";
    echo "</tr>\n";

    //submit
    echo "<tr>\n";
    echo "<td><input type=\"submit\" value=\"OK\"> <input type=\"button\" value=\"Mégse\" onmouseup=\"javascript:self.close()\"></td>\n";
    echo "</tr>\n";

    //form end
    echo "</table>\n";
    echo "</form>\n";
}
