<?php

///// new mailbox, correct errors

function edit_mb ($me_domid=NULL, $me_hostid=NULL, $me_name='', $me_password1='', $me_password2='', $me_quota='') {

	global $adminlogin;
	global $clientid;
	global $CONFIG;

	if ($clientid != 0)
	{
		$maxquota=get_mailquota($clientid);
		if ($maxquota>20480)
		{
			$def_quota=10240;
		}
		elseif ($maxquota<=2048)
		{
			$def_quota=$maxquota;
		}
		else
		{
			$def_quota=round($maxquota/2);
		}
	}
	else
	{
		$def_quota=2048;
	}

	if ($me_quota=='')
	{
		$me_quota=$def_quota;
	}

	require_once($CONFIG['adir'].'/include/dropdown.function.php');

	if ($adminlogin==1)
	{
	    echo "<h5><a href=\"".$_SERVER['SCRIPT_NAME']."?f=mailbox&e=3&mode=edit\"><u>CSV import</u></a></h5>\n";
	}

	// Form + table start
	echo "<form action=\"".$_SERVER['SCRIPT_NAME']."?f=mailbox&e=1&mode=save\" method=\"post\" name=\"sysadminform\">\n";
	add_form_validator();
	echo "<table class=\"edittable\">\n";

	// email start
	echo "<tr>\n";
	echo "<td><strong>Postafiók:</strong></td>\n";

	// Username
	echo "<td><input type=\"text\" name=\"m_name\" value=\"$me_name\">";
	echo " @ ";

	// Hostname
	dropdown_hosts($me_domid, $me_hostid);
	//domain
	dropdown_domains($me_domid);
	//activate hostname
	dropdown_dom2host($me_hostid);

	// email address end
	echo "</td>\n";
	echo "</tr>\n";

	// password 1
	echo "<tr>\n";
	echo "<td><strong>Jelszó:</strong></td>\n";
	echo "<td><input type=\"password\" name=\"m_password1\" value=\"$me_password1\"></td>\n";
	echo "</tr>\n";

	// password 2
	echo "<tr>\n";
	echo "<td><strong>Jelszó újra:</strong></td>\n";
	echo "<td><input type=\"password\" name=\"m_password2\" value=\"$me_password2\"></td>\n";
	echo "</tr>\n";

	//comment
	echo "<tr>\n";
//	echo "<td></td>\n";
	echo "<td colspan=\"2\"><i>Üresen hagyott jelszó esetén a rendszer automatikusan generál egyet.</i></td>\n";
	echo "</tr>\n";

	// mailquota
	echo "<tr>\n";
	echo "<td><strong>Tárhely:</strong></td>\n";
	echo "<td><input type=\"text\" name=\"m_quota\" value=\"$me_quota\"> MB</td>\n";
	echo "</tr>\n";

	//comment
	echo "<tr>\n";
	if ($clientid >0 )
	{
		echo "<td colspan=\"2\"><i>A postafiók mérete nem lehet több a teljes e-mail tárhelynél (<b>$maxquota</b> MB).</i></td>\n";
	}
	else
	{
		echo "<td colspan=\"2\"><i>A postafiók mérete nem lehet több a felhasználó e-mail tárhelyméreténél.</i></td>\n";
	}
	echo "</tr>\n";

	//submit
	echo "<tr>\n";
	echo "<td></td>\n";
	echo "<td><input type=\"submit\" value=\"OK\"> <input type=\"button\" value=\"Mégse\" onmouseup=\"javascript:self.close()\"></td>\n";
	echo "</tr>\n";

	//form end
	echo "</table>\n";
	echo "</form>\n";
	setformfocus();
}


/////modify mailbox

function modify_mb ($mailboxid, $me_password1='', $me_password2='', $me_quota='') {

    global $clientid;

	$mbsql ="SELECT
				mail_users.id AS id,
				CONCAT(mail_users.name, '@', IF(dom_host.host IS NULL, '', CONCAT(dom_host.host, '.')), domain.name) AS email,
				mail_users.password AS password,
				mail_users.quota AS quota,
				client.mailquota AS maxquota
			FROM mail_users
		    LEFT JOIN domain ON mail_users.domainid=domain.id
		    LEFT JOIN dom_host ON mail_users.hostid=dom_host.id
			LEFT JOIN client ON client.id=domain.clientid
	   		WHERE mail_users.id='$mailboxid' ;";

	$mbResult=DBquery($mbsql);
	$mbRow=$mbResult->fetch_assoc();

	$me_id=$mbRow['id'];
	$email=$mbRow['email'];
	$maxquota=$mbRow['maxquota'];

    if ($me_password1=='' && $me_password2=='') {

		$me_password1=$mbRow['password'];
		$me_password2=$me_password1;
	}

	if ($me_quota=='') { $me_quota=$mbRow['quota']; }


    // Form + table start
    echo "<form action=\"".$_SERVER['SCRIPT_NAME']."?f=mailbox&e=1&mode=update&id=$mailboxid\" method=\"post\" name=\"sysadminform\">\n";
    add_form_validator();
    echo "<table class=\"edittable\">\n";

    // e-mail address
    echo "<tr>\n";
    echo "<td><strong>E-mail:</strong></td>\n";
    echo "<td>$email</td>\n";
    echo "</tr>\n";

    // password 1
    echo "<tr>\n";
    echo "<td><strong>Jelszó:</strong></td>\n";
    echo "<td><input type=\"password\" name=\"m_password1\" value=\"$me_password1\"></td>\n";
    echo "</tr>\n";

    // password 2
    echo "<tr>\n";
    echo "<td><strong>Jelszó újra:</strong></td>\n";
    echo "<td><input type=\"password\" name=\"m_password2\" value=\"$me_password2\"></td>\n";
    echo "</tr>\n";

    //comment
    echo "<tr>\n";
    echo "<td></td>\n";
    echo "<td>Üresen hagyott jelszó esetén a rendszer automatikusan újat generál.</td>\n";
    echo "</tr>\n";

	// quota
	echo "<tr>\n";
	echo "<td><strong>Tárhely:</strong></td>\n";
	echo "<td><input type=\"text\" name=\"m_quota\" value=\"$me_quota\"> MB</td>\n";
	echo "</tr>\n";

	//comment
	echo "<tr>\n";
    echo "<td></td>\n";
	echo "<td><i>A postafiók mérete nem lehet több a teljes e-mail tárhelynél (<b>$maxquota</b> MB).</i></td>\n";
	echo "</tr>\n";

    //submit
    echo "<tr>\n";
    echo "<td></td>\n";
    echo "<td><input type=\"submit\" value=\"OK\"> <input type=\"button\" value=\"Mégse\" onmouseup=\"javascript:self.close()\"></td>\n";
    echo "</tr>\n";

    //form end
    echo "</table>\n";
    echo "</form>\n";
    setformfocus();
}

/////delete

function ask_del($mailboxid) {

    global $clientid;

    $email=get_mailbox($mailboxid);

    // Form + table start
    echo "<form action=\"".$_SERVER['SCRIPT_NAME']."?f=mailbox&e=1&mode=finaldel&id=$mailboxid\" method=\"post\" name=\"sysadminform\">\n";
    add_form_validator();
    echo "<table class=\"edittable\">\n";

    //comment
    echo "<tr>\n";
    echo "<td>Valóban törölni szeretné a <b>$email</b> postafiókot?</td>\n";
    echo "</tr>\n";

    echo "<tr>\n";
    echo "<td></td>\n";
    echo "</tr>\n";

    //submit
    echo "<tr>\n";
    echo "<td><input type=\"submit\" value=\"OK\"> <input type=\"button\" value=\"Mégse\" onmouseup=\"javascript:self.close()\"></td>\n";
    echo "</tr>\n";

    //form end
    echo "</table>\n";
    echo "</form>\n";
}

function ask_toggle_smtp($mailboxid) {

    global $clientid;

    $email=get_mailbox($mailboxid);

    $mbdata=get_mailbox_data($mailboxid);
    if ($mbdata['smtp']==1) { $kb="ki"; } else { $kb="be"; }


    // Form + table start
    echo "<form action=\"".$_SERVER['SCRIPT_NAME']."?f=mailbox&e=1&mode=finalsmtptoggle&id=$mailboxid\" method=\"post\" name=\"sysadminform\">\n";
    add_form_validator();
    echo "<table class=\"edittable\">\n";

    //comment
    echo "<tr>\n";
    echo "<td>Valóban szeretné ".$kb."kapcsolni a <b>$email</b> postafiók számára a levélküldést?</td>\n";
    echo "</tr>\n";

    echo "<tr>\n";
    echo "<td></td>\n";
    echo "</tr>\n";

    //submit
    echo "<tr>\n";
    echo "<td><input type=\"submit\" value=\"OK\"> <input type=\"button\" value=\"Mégse\" onmouseup=\"javascript:self.close()\"></td>\n";
    echo "</tr>\n";

    //form end
    echo "</table>\n";
    echo "</form>\n";
}

function ask_toggle_mb($mailboxid) {

    global $clientid;

    $email=get_mailbox($mailboxid);

    $mbdata=get_mailbox_data($mailboxid);
    if ($mbdata['active']==1) { $kb="ki"; } else { $kb="be"; }


    // Form + table start
    echo "<form action=\"".$_SERVER['SCRIPT_NAME']."?f=mailbox&e=1&mode=finaltoggle&id=$mailboxid\" method=\"post\" name=\"sysadminform\">\n";
    add_form_validator();
    echo "<table class=\"edittable\">\n";

    //comment
    echo "<tr>\n";
    echo "<td>Valóban szeretné ".$kb."kapcsolni a <b>$email</b> postafiókot?</td>\n";
    echo "</tr>\n";

    echo "<tr>\n";
    echo "<td></td>\n";
    echo "</tr>\n";

    //submit
    echo "<tr>\n";
    echo "<td><input type=\"submit\" value=\"OK\"> <input type=\"button\" value=\"Mégse\" onmouseup=\"javascript:self.close()\"></td>\n";
    echo "</tr>\n";

    //form end
    echo "</table>\n";
    echo "</form>\n";
}
