<?php

function edit_vhost ($ve_domid=0, $ve_host='www', $ve_alias='', $ve_extalias='', $ve_docroot='', $ve_redirect='', $ve_redirect_permanent=0, $ve_usid='') {

	global $adminlogin;
	global $clientid;
	global $CONFIG;

	require_once($CONFIG['adir'].'/include/dropdown.function.php');

	if ($adminlogin==1)
	{
	    echo "<h5><a href=\"".$_SERVER['SCRIPT_NAME']."?f=vhost&e=3&mode=edit\"><u>CSV import</u></a></h5>\n";
	}

	// Form + table start
	echo "<form action=\"".$_SERVER['SCRIPT_NAME']."?f=vhost&e=1&mode=save\" method=\"post\" name=\"sysadminform\">\n";
	add_form_validator();
	echo "<table class=\"edittable\">\n";

	// host start
	echo "<tr>\n";
	echo "<td><strong>Weboldal elsődleges címe:</strong></td>\n";

	// host
	echo "<td>";
	echo "<input type=\"text\" name=\"v_host\" value=\"$ve_host\">";
	echo " .</td>";
	echo "<td>";
	dropdown_domains($ve_domid);

	// host end
	echo "</td>\n";
	echo "</tr>\n";

	// alias_host
	echo "<tr>\n";
	echo "<td><strong>További hostnevek:</strong><br />(soronként egy, www nélkül)</td>\n";
	echo "<td colspan=\"2\"><textarea rows=\"3\" cols=\"15\" name=\"v_alias\">$ve_alias</textarea></td>\n";
//	echo "<td></td>\n";
	echo "</tr>\n";

	//comment
	echo "<tr>\n";
	echo "<td colspan=\"3\"><i>Kérjük felsorolni a weboldal további hostneveit (pl. blog, web, stb. - * is használható)</i></td>\n";
	echo "</tr>\n";

	// ext_alias_host
	echo "<tr>\n";
	echo "<td><strong>További címek (más domain):</strong><br />(soronként egy, www nélkül)</td>\n";
	echo "<td colspan=\"2\"><textarea rows=\"5\" cols=\"45\" name=\"v_extalias\">$ve_extalias</textarea></td>\n";
	echo "</tr>\n";

	//comment
	echo "<tr>\n";
	echo "<td colspan=\"3\"><i>Kérjük felsorolni a weboldalra mutató további címeket (pl. masikdomain.hu)</i></td>\n";
	echo "</tr>\n";

	// docroot
	echo "<tr>\n";
	echo "<td><strong>Index alkönyvtára:</strong></td>\n";
	echo "<td><input type=\"text\" name=\"v_docroot\" value=\"$ve_docroot\"></td>\n";
	echo "<td></td>\n";
	echo "</tr>\n";

	//comment
	echo "<tr>\n";
	echo "<td colspan=\"3\"><i>Alkönyvtár csak speciális esetben szükséges, ha az index oldal nem a gyökérkönyvtárban van.</i></td>\n";
	echo "</tr>\n";

	// upstream
	echo "<tr>\n";
	echo "<td><strong>Engine:</strong></td>\n";
	echo "<td>";
	dropdown_upstream($ve_usid);
	echo "</td>\n";
	echo "</tr>\n";

	// redirect
	echo "<tr>\n";
	echo "<td><strong>Átirányítás:</strong></td>\n";
	echo "<td><input type=\"text\" name=\"v_redirect\" value=\"$ve_redirect\"></td>\n";
	echo "<td>";
	dropdown_redirect_permanent($ve_redirect_permanent);
	echo "</td>\n";
	echo "</tr>\n";

	//comment
	echo "<tr>\n";
	echo "<td colspan=\"3\"><i>Ha nincs átirányítás, kérjük üresen hagyni. Formátum: <b>http(s)://www.weboldal.hu</b><br>\n";
	echo "<b>Figyelem!</b> A Normál (302) átirányítás bármikor visszavonható, a Permanens (301) <b>végleges</b>.</i></td>\n";
	echo "</tr>\n";

	//submit
	echo "<tr>\n";
	echo "<td></td>\n";
	echo "<td><input type=\"submit\" value=\"OK\"> <input type=\"button\" value=\"Mégse\" onmouseup=\"javascript:self.close()\"></td>\n";
	echo "<td></td>\n";
	echo "</tr>\n";

	//form end
	echo "</table>\n";
	echo "</form>\n";
	setformfocus();
}

function modify_vhost ($ve_id, $ve_alias=NULL, $ve_extalias=NULL, $ve_docroot=NULL, $ve_redirect=NULL, $ve_redirect_permanent=NULL, $ve_usid=NULL, $ve_token=NULL) {

	global $clientid;
	global $CONFIG;

	require_once($CONFIG['adir'].'/include/dropdown.function.php');

    	$vsql ="SELECT vhosts.host AS host,
			domain.name AS domainname,
			vhosts.alias AS alias,
			vhosts.ext_alias AS extalias,
			vhosts.docroot AS docroot,
			vhosts.redirect AS redirect,
			vhosts.redirect_permanent AS redirect_permanent,
			vhosts.upstream AS upstream
		FROM vhosts
		LEFT JOIN domain ON vhosts.domainid=domain.id
		WHERE vhosts.id=\"$ve_id\";";

        $vResult=DBquery($vsql);
        $vRow=$vResult->fetch_assoc();

	if ($ve_alias == NULL) { $ve_alias = $vRow['alias']; }
	if ($ve_extalias == NULL) { $ve_extalias = $vRow['extalias']; }
	if ($ve_docroot == NULL) { $ve_docroot = $vRow['docroot']; }
	if ($ve_redirect == NULL) { $ve_redirect = $vRow['redirect']; }
	if ($ve_redirect_permanent == NULL) { $ve_redirect_permanent = $vRow['redirect_permanent']; }
	if ($ve_usid == NULL) { $ve_usid = $vRow['upstream']; }

	// Form + table start
	echo "<form action=\"".$_SERVER['SCRIPT_NAME']."?f=vhost&e=1&mode=update&id=$ve_id\" method=\"post\" name=\"sysadminform\">\n";
	add_form_validator();
	echo "<table class=\"edittable\">\n";

	// host start
	echo "<tr>\n";
	echo "<td><strong>Weboldal címe:</strong></td>\n";
	echo "<td colspan=\"2\"><b>$vRow[host]</b>.$vRow[domainname]</td>\n";
	echo "</tr>\n";

	// alias_host
	echo "<tr>\n";
	echo "<td><strong>További hostnevek:</strong><br />(soronként egy)</td>\n";
	echo "<td colspan=\"2\"><textarea rows=\"3\" cols=\"15\" name=\"v_alias\">$ve_alias</textarea></td>\n";
//	echo "<td></td>\n";
	echo "</tr>\n";

	//comment
	echo "<tr>\n";
	echo "<td colspan=\"3\"><i>Kérjük felsorolni a weboldal további hostneveit (pl. blog, web, stb. - * is használható)</i></td>\n";
	echo "</tr>\n";

	// ext_alias_host
	echo "<tr>\n";
	echo "<td><strong>További címek (más domain):</strong><br />(soronként egy)</td>\n";
	echo "<td colspan=\"2\"><textarea rows=\"5\" cols=\"45\" name=\"v_extalias\">$ve_extalias</textarea></td>\n";
	echo "</tr>\n";

	//comment
	echo "<tr>\n";
	echo "<td colspan=\"3\"><i>Kérjük felsorolni a weboldalra mutató további címeket (pl. www.masikdomain.hu)</i></td>\n";
	echo "</tr>\n";

	// docroot
	echo "<tr>\n";
	echo "<td><strong>Index alkönyvtára:</strong></td>\n";
	echo "<td><input type=\"text\" name=\"v_docroot\" value=\"$ve_docroot\"></td>\n";
	echo "<td></td>\n";
	echo "</tr>\n";

	//comment
	echo "<tr>\n";
	echo "<td colspan=\"3\"><i>Alkönyvtár csak speciális esetben szükséges, ha az index oldal nem a gyökérkönyvtárban van.</i></td>\n";
	echo "</tr>\n";

	// upstream
	echo "<tr>\n";
	echo "<td><strong>Engine:</strong></td>\n";
	echo "<td>";
	dropdown_upstream($ve_usid, $ve_id);
	echo "</td>\n";
	echo "</tr>\n";

	// redirect
	echo "<tr>\n";
	echo "<td><strong>Átirányítás:</strong></td>\n";
	echo "<td><input type=\"text\" name=\"v_redirect\" value=\"$ve_redirect\"></td>\n";
	echo "<td>";
	dropdown_redirect_permanent($ve_redirect_permanent);
	echo "</td>\n";
	echo "</tr>\n";

	//comment
	echo "<tr>\n";
	echo "<td colspan=\"3\"><i>Ha nincs átirányítás, kérjük üresen hagyni. Formátum: <b>http(s)://www.weboldal.hu</b><br>\n";
	echo "<b>Figyelem!</b> A Normál (302) átirányítás bármikor visszavonható, a Permanens (301) <b>végleges</b>.</i></td>\n";
	echo "</tr>\n";

	// change token
	echo "<tr>\n";
	echo "<td><strong>Új token generálása:</strong></td>\n";
	$token_checked='';
	if ($ve_token=="new") { $token_checked="checked"; }
	echo "<td><input type=\"checkbox\" name=\"v_token\" value=\"new\" $token_checked></td>\n";
	echo "<td></td>\n";
	echo "</tr>\n";

	//comment
	echo "<tr>\n";
	echo "<td colspan=\"3\"><i>Az authentikációs <b>tokent</b> belépés nélkül is elvégezhető műveleteknél használjuk (pl. API, webstatisztika).</i></td>\n";
	echo "</tr>\n";

	//submit
	echo "<tr>\n";
	echo "<td></td>\n";
	echo "<td><input type=\"submit\" value=\"OK\"> <input type=\"button\" value=\"Mégse\" onmouseup=\"javascript:self.close()\"></td>\n";
	echo "</tr>\n";

	//form end
	echo "</table>\n";
	echo "</form>\n";
	setformfocus();
}

function modify_writabledirs ($ve_id, $ve_writable=NULL) {

	global $clientid;
	global $CONFIG;

    	$vsql ="SELECT vhosts.host AS host,
			domain.name AS domainname,
			vhosts.writable AS writable,
			client.name AS clientname
		FROM vhosts
		LEFT JOIN domain ON vhosts.domainid=domain.id
		LEFT JOIN client ON domain.clientid=client.id
		WHERE vhosts.id=\"$ve_id\";";

        $vResult=DBquery($vsql);
        $vRow=$vResult->fetch_assoc();

	if ($ve_writable == NULL) { $ve_writable = $vRow['writable']; }

	// Form + table start
	echo "<form action=\"".$_SERVER['SCRIPT_NAME']."?f=vhost&e=1&mode=update_wdirs&id=$ve_id\" method=\"post\" name=\"sysadminform\">\n";
	add_form_validator();
	echo "<table class=\"edittable\">\n";

	// host start
	echo "<tr>\n";
	echo "<td><strong>Weboldal címe:</strong></td>\n";
	echo "<td colspan=\"2\"><b>$vRow[host]</b>.$vRow[domainname]</td>\n";
	echo "</tr>\n";

	// doc dir
	echo "<tr>\n";
	echo "<td><strong>Könyvtár:</strong></td>\n";
	echo "<td colspan=\"2\">$CONFIG[vdir]/$vRow[clientname]/$vRow[domainname]/$vRow[host]/</td>\n";
	echo "</tr>\n";

	// writable dirs
	echo "<tr>\n";
	echo "<td><strong>Írható alkönyvtárak</strong><br /><strong>vagy file-ok:</strong><br />(soronként egy)<br /><br />rwxrwxr-x 0775</td>\n";
	echo "<td colspan=\"2\"><textarea rows=\"14\" cols=\"45\" name=\"v_writable\">$ve_writable</textarea></td>\n";
	echo "</tr>\n";

	//comment
	echo "<tr>\n";
	echo "<td colspan=\"3\"><i>Kérjük felsorolni azokat az alkönyvtárakat (vagy file-okat), melyeknek minden esetben írhatónak kell lenni.<br />";
	echo "(pl. temp, administrator/cache, stb)<br /><br />";
	echo "Az alkönyvtárak és a bennük levő file-ok is írhatóak lesznek (akkor is, ha a malware védelmet bekapcsoljuk).<br />";
	echo "Az itt felsorolt könyvtárakba feltöltött PHP file-ok URL-ként nem érhetők el (pl. www.weboldal.hu/tmp/script.php).<br /><br />";
	echo "A malware védelmet aktiválni vagy felfüggeszteni a <img src=\"$CONFIG[rdir]/image/lock.png\"> <b>Védelem</b> gombbal lehet.";
	echo "</i></td>\n";
	echo "</tr>\n";

	//submit
	echo "<tr>\n";
	echo "<td></td>\n";
	echo "<td><input type=\"submit\" value=\"OK\"> <input type=\"button\" value=\"Mégse\" onmouseup=\"javascript:self.close()\"></td>\n";
	echo "</tr>\n";

	//form end
	echo "</table>\n";
	echo "</form>\n";
	setformfocus();
}

function modify_settings ($ve_id, $ve_settingsa=NULL, $ve_settingsn=NULL, $ve_openbasedir=NULL) {

	global $clientid;
	global $CONFIG;

    	$vsql ="SELECT vhosts.host AS host,
			domain.name AS domainname,
			vhosts.settings AS settingsa,
			vhosts.nsettings AS settingsn,
			vhosts.extradir AS openbasedir,
			client.name AS clientname
		FROM vhosts
		LEFT JOIN domain ON vhosts.domainid=domain.id
		LEFT JOIN client ON domain.clientid=client.id
		WHERE vhosts.id=\"$ve_id\";";

        $vResult=DBquery($vsql);
        $vRow=$vResult->fetch_assoc();

	if ($ve_settingsa == NULL) { $ve_settingsa = $vRow['settingsa']; }
	if ($ve_settingsn == NULL) { $ve_settingsn = $vRow['settingsn']; }
	if ($ve_openbasedir == NULL) { $ve_openbasedir = $vRow['openbasedir']; }

	// Form + table start
	echo "<form action=\"".$_SERVER['SCRIPT_NAME']."?f=vhost&e=1&mode=update_settings&id=$ve_id\" method=\"post\" name=\"sysadminform\">\n";
	add_form_validator();
	echo "<table class=\"edittable\">\n";

	//comment
	echo "<tr>\n";
	echo "<td colspan=\"3\"><i><b>FIGYELEM!</b> Csak a rendszergazdák számára!<br />";
	echo "Itt lehet egyedi Apache és Nginx konfigurációs beállításokat megadni.<br />";
	echo "<b>Hibás szintaxis vagy beállítások esetén a rendszer instabillá vagy működésképtelenné válhat.</b>";
	echo "</i></td>\n";
	echo "</tr>\n";

	// host start
	echo "<tr>\n";
	echo "<td><strong>Weboldal címe:</strong></td>\n";
	echo "<td colspan=\"2\"><b>$vRow[host]</b>.$vRow[domainname]</td>\n";
	echo "</tr>\n";

	// doc dir
	echo "<tr>\n";
	echo "<td><strong>Könyvtár:</strong></td>\n";
	echo "<td colspan=\"2\">$CONFIG[vdir]/$vRow[clientname]/$vRow[domainname]/$vRow[host]/</td>\n";
	echo "</tr>\n";

	// apache settings
	echo "<tr>\n";
	echo "<td><strong>Apache config:</strong></td>\n";
	echo "<td colspan=\"2\"><textarea rows=\"14\" cols=\"45\" name=\"v_settingsa\">$ve_settingsa</textarea></td>\n";
	echo "</tr>\n";


	// nginx settings
	echo "<tr>\n";
	echo "<td><strong>Nginx config:</strong></td>\n";
	echo "<td colspan=\"2\"><textarea rows=\"14\" cols=\"45\" name=\"v_settingsn\">$ve_settingsn</textarea></td>\n";
	echo "</tr>\n";

	// php open_basedir
	echo "<tr>\n";
	echo "<td><strong>PHP open basedir:</strong><br />(soronként egy)</td>\n";
	echo "<td colspan=\"2\"><textarea rows=\"14\" cols=\"45\" name=\"v_openbasedir\">$ve_openbasedir</textarea></td>\n";
	echo "</tr>\n";

	//comment
	echo "<tr>\n";
	echo "<td colspan=\"3\"><i>Az OK gomb megnyomására a webszerver újraindul a megadott beállításokkal.<br />";
	echo "<b>Kérjük ismételten ellenőrizni mindent.</b>";
	echo "</i></td>\n";
	echo "</tr>\n";

	//submit
	echo "<tr>\n";
	echo "<td></td>\n";
	echo "<td><input type=\"submit\" value=\"OK, tudom mit csinálok\"> <input type=\"button\" value=\"Mégse\" onmouseup=\"javascript:self.close()\"></td>\n";
	echo "</tr>\n";

	//form end
	echo "</table>\n";
	echo "</form>\n";
	setformfocus();
}

function modify_ssl ($ve_id, $ve_ssl_on=NULL, $ve_ssl_mode=NULL) {

	global $clientid;
	global $CONFIG;

	require_once($CONFIG['adir'].'/include/dropdown.function.php');

	$vsql ="SELECT vhosts.host AS host,
			domain.name AS domainname,
			vhosts.ssl_on AS ssl_on,
			IF(vhosts.ssl_on>0, 1, 0) AS ssl_requested,
			IF(vhosts.ssl_on=4, 1, 0) AS ssl_working,
			vhosts.ssl_mode AS ssl_mode,
			client.name AS clientname
		FROM vhosts
		LEFT JOIN domain ON vhosts.domainid=domain.id
		LEFT JOIN client ON domain.clientid=client.id
		WHERE vhosts.id=\"$ve_id\";";

        $vResult=DBquery($vsql);
        $vRow=$vResult->fetch_assoc();

	if ($ve_ssl_on == NULL) { $ve_ssl_on = $vRow['ssl_requested']; }
	if ($ve_ssl_mode == NULL) { $ve_ssl_mode = $vRow['ssl_mode']; }

	// Form + table start
	echo "<form action=\"".$_SERVER['SCRIPT_NAME']."?f=vhost&e=1&mode=update_ssl&id=$ve_id\" method=\"post\" name=\"sysadminform\">\n";
	add_form_validator();
	echo "<table class=\"edittable\">\n";

	// SSL on/off
	echo "<tr>\n";
	echo "<td><strong>HTTPS:</strong></td>\n";
	echo "<td>";
	dropdown_ssl_on($ve_ssl_on);
	echo "</td>\n";
	echo "</tr>\n";

	// only if SSL is really working
	if ($vRow['ssl_on']==4)
	{
		//comment
		echo "<tr>\n";
		echo "<td colspan=\"2\"><i>A HTTPS jelenleg aktív.</i></td>\n";
		echo "</tr>\n";

		// SSL mode
		echo "<tr>\n";
		echo "<td><strong>HTTPS mód:</strong></td>\n";
		echo "<td>";
		dropdown_ssl_mode($ve_ssl_mode);
		echo "</td>\n";
		echo "</tr>\n";

		//comment
		echo "<tr>\n";
		echo "<td colspan=\"2\"><i><b>HTTPS működési módok:</b><br /><br />\n";
		echo "<b>HTTP + HTTPS:</b> Az oldal elérhető HTTPS és HTTP protokollon keresztül is.<br />\n";
		echo "<b>Csak HTTPS:</b> Minden HTTP oldalletöltést átirányítunk HTTPS-re.\n";
		echo "</i></td>\n";
		echo "</tr>\n";

	}
	elseif ($vRow['ssl_on']==3)
	{
		//comment
		echo "<tr>\n";
		echo "<td colspan=\"2\"><i>\n";
		echo "<b>A legutóbbi SSL kulcs generálás során nem jött létre érvényes tanúsítvány.</b><br />\n";
		echo "A HTTPS jelenleg inaktív, az oldal csak HTTP protokollal érhető el.\n";
		echo "</i></td>\n";
		echo "</tr>\n";

		echo "<tr>\n";
		echo "<td colspan=\"2\"><i>\n";
		echo "Az OK gomb megnyomására a rendszer újból megkísérli az SSL tanúsítványok ellenőrzését.<br />\n";
		echo "Ha sikerült, a HTTPS automatikusan aktiválódik.\n";
		echo "</i></td>\n";
		echo "</tr>\n";
	}
	else
	{
		//comment
		echo "<tr>\n";
		echo "<td colspan=\"2\"><i>A HTTPS jelenleg inaktív, az oldal csak HTTP protokollal érhető el.\n";
		echo "</i></td>\n";
		echo "</tr>\n";

		echo "<tr>\n";
		echo "<td colspan=\"2\"><i>\n";
		echo "Bekapcsolás után a rendszer megkísérli az SSL kulcsok generálását.<br />\n";
		echo "Ha sikerült, a HTTPS automatikusan aktiválódik.\n";
		echo "</i></td>\n";
		echo "</tr>\n";
	}

	//submit
	echo "<tr>\n";
	echo "<td></td>\n";
	echo "<td><input type=\"submit\" value=\"OK\"> <input type=\"button\" value=\"Mégse\" onmouseup=\"javascript:self.close()\"></td>\n";
	echo "</tr>\n";

	//form end
	echo "</table>\n";
	echo "</form>\n";
	setformfocus();
}

function modify_rights($ve_id) {

	global $clientid;
	global $CONFIG;

	require_once($CONFIG['adir'].'/include/dropdown.function.php');

	$vsql ="SELECT vhosts.host AS host,
			domain.name AS domainname,
			vhosts.rights AS rights,
			client.name AS clientname
		FROM vhosts
		LEFT JOIN domain ON vhosts.domainid=domain.id
		LEFT JOIN client ON domain.clientid=client.id
		WHERE vhosts.id=\"$ve_id\";";

        $vResult=DBquery($vsql);
        $vRow=$vResult->fetch_assoc();

	// rights:
	// 0: protected
	// 1: installmode
	// 2: do_protect
	// 3: do_install

	if ($vRow['rights']==0)
	{
		echo "<h3><img src=\"$CONFIG[rdir]/image/lock.png\"> Aktív</h3>\n";
	}
	elseif ($vRow['rights']==2)
	{
		echo "<h3><img src=\"$CONFIG[rdir]/image/loading.gif\"> Aktiválás alatt</h3>\n";
	}
	elseif ($vRow['rights']==1)
	{
		echo "<h3><img src=\"$CONFIG[rdir]/image/error.png\"> Felfüggesztve</h3>\n";
	}
	elseif ($vRow['rights']==3)
	{
		echo "<h3><img src=\"$CONFIG[rdir]/image/loading.gif\"> Felfüggesztés alatt</h3>\n";
	}

	// Form + table start
	echo "<form action=\"".$_SERVER['SCRIPT_NAME']."?f=vhost&e=1&mode=update_rights&id=$ve_id\" method=\"post\" name=\"sysadminform\">\n";
	add_form_validator();
	echo "<table class=\"edittable\">\n";

	echo "<tr>\n";
	echo "<td><strong>Művelet:</strong></td>\n";
	echo "<td>";
	dropdown_rights($vRow['rights']);
	echo "</td>\n";
	echo "</tr>\n";

	if ($vRow['rights']==0 || $vRow['rights']==2)
	{
		//comment
		echo "<tr>\n";
		echo "<td colspan=\"2\"><i>A weboldal létfontosságú file-jai biztonságban vannak.</i></td>\n";
		echo "</tr>\n";

		echo "<tr><td colspan=\"2\"></td></tr>\n";

		echo "<tr>\n";
		echo "<td colspan=\"2\"><i><b>Védelem megerősítése:</b><br />\n";
		echo "Minden file és könyvtár védelmének ellenőrzése és automatikus javítása.<br />\n";
		echo "(Az <img src=\"$CONFIG[rdir]/image/folder-edit.png\"> <b>írható könyvtárak és file-ok</b> kivételével minden írásvédett lesz.)\n";
		echo "</i></td>\n";
		echo "</tr>\n";

		echo "<tr><td colspan=\"2\"></td></tr>\n";

		echo "<tr>\n";
		echo "<td colspan=\"2\"><i><b>Védelem felfüggesztése (Install mód):</b><br />\n";
		echo "Weboldal motorjának frissítéséhez, kiegészítők telepítéséhez<br />";
		echo "szükséges a védelem átmeneti felfüggesztése.<br />\n";
		echo "Figyelem! A weboldal ebben az állapotban <b>sokkal sebezhetőbbé</b> válik!<br />\n";
		echo "A művelet elvégeztével minél hamarabb aktiváljuk újra a védelmet.\n";
		echo "</i></td>\n";
		echo "</tr>\n";
	}
	elseif ($vRow['rights']==1 || $vRow['rights']==3)
	{
		//comment
		echo "<tr>\n";
		echo "<td colspan=\"2\"><i>";
		echo "<b>Figyelem! A weboldal a jelenlegi állapotban sokkal sebezhetőbb!</b><br />\n";
		echo "Amint lehet, aktiváljuk újra a védelmet.\n";
		echo "</i></td>\n";
		echo "</tr>\n";

		echo "<tr><td colspan=\"2\"></td></tr>\n";

		echo "<tr>\n";
		echo "<td colspan=\"2\"><i><b>Védelem aktiválása:</b><br/>\n";
		echo "<i>Malware védelem bekapcsolása, weboldal létfontosságú file-jainak írásvédelme<br />";
		echo "az <img src=\"$CONFIG[rdir]/image/folder-edit.png\"> <b>írható könyvtárak és file-ok</b> menüpontban felsoroltak kivételével.<br />\n";
		echo "</i></td>\n";
		echo "</tr>\n";

		echo "<tr><td colspan=\"2\"></td></tr>\n";

		echo "<tr>\n";
		echo "<td colspan=\"2\"><i><b>Minden file és könyvtár írhatóvá tétele (Install):</b><br/>\n";
		echo "<i>Ha a frissítés vagy telepítés nem tud írni bizonyos file-okat vagy könyvtárakat,<br/>";
		echo "ez az opció újra ellenőriz és felold minden írásvédelmet.<br />\n";
		echo "</i></td>\n";
		echo "</tr>\n";
	}
	else
	{
		//invalid
	}

	//submit
	echo "<tr>\n";
	echo "<td></td>\n";
	echo "<td><input type=\"submit\" value=\"OK\"> <input type=\"button\" value=\"Mégse\" onmouseup=\"javascript:self.close()\"></td>\n";
	echo "</tr>\n";

	//form end
	echo "</table>\n";
	echo "</form>\n";
	setformfocus();
}

/*
function ask_rightsfix($vhostid) {

    global $clientid;

    $vhostname=get_vhost($vhostid);

    // Form + table start
    echo "<form action=\"".$_SERVER['SCRIPT_NAME']."?f=vhost&e=1&mode=finalrightsfix&id=$vhostid\" method=\"post\" name=\"sysadminform\">\n";
    echo "<table class=\"edittable\">\n";

    //comment
    echo "<tr>\n";
    echo "<td>Valóban aktiválni szeretné a védelmet a <b>$vhostname</b> weboldalon?</td>\n";
    echo "</tr>\n";

    echo "<tr>\n";
    echo "<td></td>\n";
    echo "</tr>\n";

    //submit
    echo "<tr>\n";
    echo "<td><input type=\"submit\" value=\"OK\"> <input type=\"button\" value=\"Mégse\" onmouseup=\"javascript:self.close()\"></td>\n";
    echo "</tr>\n";

    //form end
    echo "</table>\n";
    echo "</form>\n";
}

function ask_rightswr($vhostid) {

    global $clientid;

    $vhostname=get_vhost($vhostid);

    // Form + table start
    echo "<form action=\"".$_SERVER['SCRIPT_NAME']."?f=vhost&e=1&mode=finalrightswr&id=$vhostid\" method=\"post\" name=\"sysadminform\">\n";
    echo "<table class=\"edittable\">\n";

    //comment
    echo "<tr>\n";
    echo "<td>Valóban szeretné felfüggeszteni a védelmet a <b>$vhostname</b> weboldalon?<br />\n";
    echo "<b>Figyelem! A weboldal sokkal sebezhetőbb lesz!</b></td>\n";
    echo "</tr>\n";

    echo "<tr>\n";
    echo "<td></td>\n";
    echo "</tr>\n";

    //submit
    echo "<tr>\n";
    echo "<td><input type=\"submit\" value=\"OK\"> <input type=\"button\" value=\"Mégse\" onmouseup=\"javascript:self.close()\"></td>\n";
    echo "</tr>\n";

    //form end
    echo "</table>\n";
    echo "</form>\n";
}
*/

function ask_del($vhostid) {

    global $clientid;

    $vhostname=get_vhost($vhostid);

    // Form + table start
    echo "<form action=\"".$_SERVER['SCRIPT_NAME']."?f=vhost&e=1&mode=finaldel&id=$vhostid\" method=\"post\" name=\"sysadminform\">\n";
    add_form_validator();
    echo "<table class=\"edittable\">\n";

    //comment
    echo "<tr>\n";
    echo "<td>Valóban törölni szeretné a <b>$vhostname</b> weboldalt? A weboldal törlésével a hozzá tartozó repository kapcsolat is megszűnik!</td>\n";
    echo "</tr>\n";

    echo "<tr>\n";
    echo "<td></td>\n";
    echo "</tr>\n";

    //submit
    echo "<tr>\n";
    echo "<td><input type=\"submit\" value=\"OK\"> <input type=\"button\" value=\"Mégse\" onmouseup=\"javascript:self.close()\"></td>\n";
    echo "</tr>\n";

    //form end
    echo "</table>\n";
    echo "</form>\n";
}

function ask_toggle_vhost($vhostid) {

    global $clientid;

    $vhostname=get_vhost($vhostid);

    $vhostdata=get_vhost_data($vhostid);
    if ($vhostdata['active']==1) { $kb="ki"; } else { $kb="be"; }


    // Form + table start
    echo "<form action=\"".$_SERVER['SCRIPT_NAME']."?f=vhost&e=1&mode=finaltoggle&id=$vhostid\" method=\"post\" name=\"sysadminform\">\n";
    add_form_validator();
    echo "<table class=\"edittable\">\n";

    //comment
    echo "<tr>\n";
    echo "<td>Valóban szeretné ".$kb."kapcsolni a <b>$vhostname</b> weboldalt?</td>\n";
    echo "</tr>\n";

    echo "<tr>\n";
    echo "<td></td>\n";
    echo "</tr>\n";

    //submit
    echo "<tr>\n";
    echo "<td><input type=\"submit\" value=\"OK\"> <input type=\"button\" value=\"Mégse\" onmouseup=\"javascript:self.close()\"></td>\n";
    echo "</tr>\n";

    //form end
    echo "</table>\n";
    echo "</form>\n";
}

