<?php

function startmain()
{
 global $CONFIG;
 global $adminlogin;
 global $adminlevel;
 global $clientid;
 global $FILTER;

 htmlheader();
 topmenu_start();
	sel_node();
	sel_client();
	sel_statfilter();
 topmenu_end();

 if ($_SESSION['sysadmin_logged']==true)
 {

	if (!($CONFIG['limit']['data']>0)) { $CONFIG['limit']['data']=1000; }
	if (!($CONFIG['limit']['cpu']>0)) { $CONFIG['limit']['cpu']=1000; }
	if (!($CONFIG['limit']['cpuperhit']>0)) { $CONFIG['limit']['cpuperhit']=1000; }

	if (!($CONFIG['limit']['mysql_tables']>0)) { $CONFIG['limit']['mysql_tables']=100; }
	if (!($CONFIG['limit']['mysql_rows']>0)) { $CONFIG['limit']['mysql_rows']=100000; }
	if (!($CONFIG['limit']['mysql_data']>0)) { $CONFIG['limit']['mysql_data']=100; }

	$yds="-1 week";
	if ($FILTER['statfilter']==1) { $yds="-1 day"; }
	if ($FILTER['statfilter']==3) { $yds="-3 day"; }
	if ($FILTER['statfilter']==7) { $yds="-1 week"; }
	if ($FILTER['statfilter']==30) { $yds="-1 month"; }
	if ($FILTER['statfilter']==90) { $yds="-3 month"; }


	$csql="SELECT client.id AS id, client.name AS name, client.password AS password, client.email AS adminemail,
		client.node AS node,
		client.quota AS quota,
		client.mailquota AS mailquota,
		IFNULL(stats_ftp.usage, 0) AS `usage`,
		CEIL(IFNULL(stats_ftp.usage, 0)/client.quota*100) AS `percent`,
		COUNT(mail_users.id) AS mboxno,
		CEIL(IFNULL(SUM(stats_mail.usage), 0)) AS `mailusage`,
		CEIL(IFNULL(SUM(stats_mail.usage), 0)/client.mailquota*100) AS `mupercent`,
		client.active AS active,
		client.suspend AS suspend
		FROM client
		LEFT JOIN stats_ftp ON client.id=stats_ftp.clientid
		LEFT JOIN domain ON domain.clientid=client.id
		LEFT JOIN mail_users ON mail_users.domainid=domain.id
		LEFT JOIN stats_mail ON stats_mail.mailid=mail_users.id
		WHERE stats_ftp.ftpid IS NULL
		";

	$csql.=enforce_mysql_access();

	if (nonzero($FILTER['nodeid']))
	{
		$csql.="AND `client`.`node`=\"".$FILTER['nodeid']."\" ";
	}

	if ($clientid == 0)
	{
		$csql.="GROUP BY client.id ";
		$csql.="ORDER BY client.name;";
	} else
	{
		//enforced above
		//$csql.="AND client.id='$clientid' ";
		$csql.="GROUP BY client.id;";

		echo "<h2>Felhasználói Adatok</h2>";
	}

	// vhost stats

	$vhsql="SELECT t1.cliid AS id, sum(t1.avgdata) AS `data`, sum(t1.avgcpu) AS `cpu`
		FROM (
			SELECT client.id AS cliid,
			ROUND(IFNULL(AVG(stats_vhost.data),0)) AS `avgdata`,
			ROUND(IFNULL(AVG(stats_vhost.cpu),0)) AS `avgcpu`
		FROM vhosts
		LEFT JOIN domain ON vhosts.domainid=domain.id
		LEFT JOIN client ON domain.clientid=client.id
		LEFT JOIN stats_vhost ON vhosts.id=stats_vhost.vhostid
		WHERE (stats_vhost.modified >= DATE_ADD(NOW(),INTERVAL $yds))
		";

	$vhsql.=enforce_mysql_access();

	$vhsql.="
		GROUP BY vhosts.id
		) AS t1
		GROUP BY t1.cliid;";


	// MySQL stats
	$dbsql="SELECT client.id AS id, (SUM(IFNULL(stats_mysql.data, 0)+IFNULL(stats_mysql.idx,0))) AS `mysql_data`
			FROM client
			LEFT JOIN stats_mysql ON stats_mysql.clientid=client.id
			WHERE 1
			";
	$dbsql.=enforce_mysql_access();
#	if ($clientid != 0)
#	{
#		$dbsql.="AND client.id='$clientid' ";
#	}

   	$dbsql.="GROUP BY client.id;";

	$Result=DBquery($csql);

	echo "<table class='data' id='datatable'>";

	if ($Result->num_rows)
	{

		//kiiras
		echo "\n<thead><tr>";
		echo "<th class='hidetail' width='20px' >!</th>";
		if ($clientid == 0) { echo "<th width='20px' class=\"detail\">#</th>"; }
		echo "<th width='20px' class=\"hidetail\">ID</th>";
		echo "<th>Login</th>";
		echo "<th class=\"detail\">Jelszó</th>";
		echo "<th class=\"detail\">Admin e-mail</th>";
		//multinode
		if ($CONFIG['nodes']>1)
		{
			echo "<th width='20px'>Szerver</th>";
		}
//		echo "<th>Elérési út</th>";
		echo "<th>Webtárhely</th>";
		echo "<th>Használt</th>";
		echo "<th class=\"hidetail\">%</th>";
		echo "<th class=\"hidetail\">MySQL</th>";
		echo "<th>E-mail th.</th>";
		echo "<th>Használt</th>";
		echo "<th class=\"hidetail\">%</th>";
		echo "<th class=\"hidetail\">Postafiók</th>";
		echo "<th>Forgalom</th>";
		echo "<th>CPU idő</th>";
		echo "<th class='no-sort' width='20px'>Kezel</th>";
		echo "<th class='no-sort' width='20px'>Szerk</th>";
		if ($adminlogin == 1)
		{
			echo "<th width='20px'>Korlát</th>";
			echo "<th width='20px'>Aktív</th>";
			echo "<th class='no-sort' width='20px'>Töröl</th>";
		}
		echo "</tr></thead>\n";
	}
	else
	{
		echo "<tr><td><h3>nincsenek felhasználók</h3></td></tr>";
	}

	$vhResult=DBquery($vhsql);
	$vhstat=array();
	while ($vhRow=$vhResult->fetch_assoc())
	{
		$vhstat[$vhRow['id']]=$vhRow;
	}

	$dbResult=DBquery($dbsql);
	$dbstat=array();
	while ($dbRow=$dbResult->fetch_assoc())
	{
		$dbstat[$dbRow['id']]=$dbRow;
	}

	$i=1;
	while($Row=$Result->fetch_assoc())
	{

		$data=0;
		$cpu=0;
		$sqldata=0;
		if (array_key_exists($Row['id'], $vhstat))
		{
			if (array_key_exists('data', $vhstat[$Row['id']]))
			{
				$data=$vhstat[$Row['id']]['data'];
			}
			if (array_key_exists('cpu', $vhstat[$Row['id']]))
			{
				$cpu=$vhstat[$Row['id']]['cpu'];
			}
		}

		if (array_key_exists($Row['id'], $dbstat))
		{
			if (array_key_exists('mysql_data', $dbstat[$Row['id']]))
			{
				$sqldata=$dbstat[$Row['id']]['mysql_data'];
			}
		}

		if (!($data)) { $data=0; }
		if (!($cpu)) { $cpu=0; }
		if (!($sqldata)) { $sqldata=0; }

		$q_usage=($Row['usage']+$sqldata);

		if ($CONFIG['nodes'] < $Row['node']) { $node_err=1; } else { $node_err=0; }

		if ($node_err==0)
		{
			if ($data > $CONFIG['limit']['data'] || $cpu > $CONFIG['limit']['cpu'])
			{
				//$icon="<img src=\"$CONFIG[rdir]/image/star.png\">";
				$icon="<a class='icon star'>1</a>";
				if ($i%2 == 0) echo "<tr class=\"list-paros-premium\">";
				else echo "<tr class=\"list-paratlan-premium\">";
			} else
			{
				//$icon="<img src=\"$CONFIG[rdir]/image/star-ro.png\">";
				$icon="<a class='icon star-ro'>0</a>";
				if ($i%2 == 0) echo "<tr class=\"list-paros\">";
				else echo "<tr class=\"list-paratlan\">";
			}
		} else
		{
			echo "<tr style=\"background-color:#FF2200;\">";
		}

		$clid=$Row['id'];
		$cliid=str_pad($Row['id'],4,"0",STR_PAD_LEFT);

		if ($Row['quota']==0)
		{
			$cq="0 <b class=\"red\">korlátlan</b>";
			$cqu=percentgraph(0,1,"(&infin;)");
			$cqup=percentgraph(0,1,"(&infin;)");
		} else
		{
			$cq="$Row[quota] MB";
			$cqu=percentgraph($q_usage,$Row['quota'],"MB");
			$cqup=percentgraph($q_usage,$Row['quota'],"MB",3);
		}

		echo "<td class=\"hidetail\">$icon</td>";
		if ($clientid == 0) { echo "<td class=\"detail\">$i.</td>"; }
		echo "<td class=\"hidetail\"><b>$cliid</b></td>";
		echo "<td>$Row[name]</td>";

		if ($adminlogin == 1) {
			echo "<td class=\"detail\">$Row[password]</td>";
		} else {
			echo "<td class=\"detail\"><b title=\"$Row[password]\">".hidepassword($Row['password'])."</b></td>";
		}

		echo "<td class=\"detail\">$Row[adminemail]</td>";

		//multinode
		if ($CONFIG['nodes']>1) {
			echo "<td ><center><b class='node' id='node".$Row['node']."' title='".$CONFIG['node'][$Row['node']]['ip']."'>".$Row['node']."</b></center></td>";
		}

//		echo "<td>".$CONFIG['vdir']."/<b>$Row[name]</b></td>";
		echo "<td class=\"r\">$cq</td>";
		echo "<td>$cqu</td>";
		echo "<td class=\"hidetail\">$cqup</td>";
		echo "<td class=\"r hidetail\">".$sqldata." MB</td>";

		echo "<td class=\"r\">$Row[mailquota] MB</td>";
		echo "<td>".percentgraph($Row['mailusage'], $Row['mailquota'], "MB")."</td>";
		echo "<td class=\"hidetail\">".percentgraph($Row['mailusage'], $Row['mailquota'], "MB", 3)."</td>";

		echo "<td class=\"r hidetail\">$Row[mboxno] db</td>";

		echo "<td>".percentgraph($data, $CONFIG['limit']['data'], "MB")."</td>";
		echo "<td>".percentgraph($cpu, $CONFIG['limit']['cpu'], "s")."</td>";

		//echo "<td class=\"c\"><a href=\"javascript:Manage('cftp','$clid')\"><img src=\"$CONFIG[rdir]/image/manage_ftp.png\"></a></td>";
		echo "<td class=\"c\"><a href=\"javascript:Manage('cftp','$clid')\" class='icon manage_ftp'></a></td>";
		//echo "<td class=\"c\"><a href=\"javascript:Act('client','edit','$clid')\"><img src=\"$CONFIG[rdir]/image/edit.png\"></a></td>";
		echo "<td class=\"c\"><a href=\"javascript:Act('client','edit','$clid')\" class='icon edit'></a></td>";

		if ($adminlogin == 1)
		{
			//echo "<td class=\"c\"><a href=\"javascript:Act('client','suspend','$clid',1)\">";
			echo "<td class=\"c\"><a href=\"javascript:Act('client','suspend','$clid',1)\" ";
			if ($Row['suspend']) {
				echo "class='icon warning'>2";
			} else {
				echo "class='icon ok'>1";
			}
#			if ($Row['suspend']) {
#				echo "<img src=\"$CONFIG[rdir]/image/warning.png\">";
#			} else {
#				echo "<img src=\"$CONFIG[rdir]/image/ok.png\">";
#			}
			echo "</a></td>";

			//echo "<td class=\"c\"><a href=\"javascript:Act('client','toggle','$clid',1)\">";
			echo "<td class=\"c\"><a href=\"javascript:Act('client','toggle','$clid',1)\" ";
			if ($Row['active']) {
				echo "class='icon ok'>1";
			} else {
				echo "class='icon off'>0";
			}
#			if ($Row['active']) {
#				echo "<img src=\"$CONFIG[rdir]/image/ok.png\">";
#			} else {
#				echo "<img src=\"$CONFIG[rdir]/image/off.png\">";
#			}
			echo "</a></td>";

			//echo "<td class=\"c\"><a href=\"javascript:Act('client','del','$clid',1)\"><img src=\"$CONFIG[rdir]/image/delete.png\"></a></td>\n";
			echo "<td class=\"c\"><a href=\"javascript:Act('client','del','$clid',1)\" class='icon delete'></a></td>\n";
		}

		$i++;
		echo "</tr>\n";
	}

	echo "</table>\n";
	tablesorter();

	if ($adminlogin==1) {
		echo "
			<div class=\"tip\"><b>Tipp:</b> új ügyfél felvételéhez használja a fenti menüben az <span class=\"addnew\" onclick=\"javascript:Act('client','new')\">Új</span> gombot.<br />
			(a gomb akkor jelenik meg, ha az <b>Ügyfelek</b> ikon fölé viszi az egérkurzort)</div>
		";
	}

 }
	DBclose();
	pageclose();
}

?>
