<?php

function startmain()
{
 global $CONFIG;
 global $adminlogin;
 global $adminlevel;
 global $clientid;
 global $FILTER;

 htmlheader();
 topmenu_start();
	sel_node();
	sel_client();
 topmenu_end();

 if ($_SESSION['sysadmin_logged']==true)
 {

	//pending kiirasa
	if (get_pending('bind_update') || get_pending('opendkim_update')) {
		echo "<div class=\"pending\"><b>Figyelem!</b> Függőben levő változások: 1 percen belül életbe lépnek. (<a href=\"".$_SERVER['SCRIPT_NAME']."?f=domain\">Frissít</a>)</div>";
	}

	// display refresh all button
    if ($adminlogin == 1)
	{
		echo "<table><tr><td>";
        echo "<a href=\"javascript:Act('domain','refresh_all',0,1)\"><table><tr><td><img src=\"$CONFIG[rdir]/image/refresh.png\"></td><td><h3>Minden domain frissítése</h3></td></tr></table></a>";
		echo "</td></tr></table>";
	}


	$sql ="SELECT domain.id AS id,
		domain.name AS domain,
		domain.active AS active,
		domain.dns AS dns,
		IFNULL(domain.ip, \"(helyben)\") AS ip,
		IFNULL(domain.mx, \"(helyben)\") AS mx,
		(domain.mx IS NULL) AS mxon,
		domain.spf AS spf,
		domain.dkim AS dkim,
		domain.dmarc AS dmarc,
		client.name AS clientname,
		client.node AS node
		FROM domain
		LEFT JOIN client ON domain.clientid=client.id
		WHERE 1 ";

	if (nonzero($FILTER['nodeid']))
	{
		$sql.="AND `client`.`node`=\"".$FILTER['nodeid']."\" ";
	}

	$sql.=enforce_mysql_access();
#	// client domainjei
#	if ($clientid != 0)
#	{
#		$sql.="AND client.id=\"$clientid\" ";
#	}

	$sql.="ORDER BY client.name, domain.name ";

	$sql.=";";

	$Result=DBquery($sql);

	echo "<table class='data' id='datatable'>";

	if ($Result->num_rows)
	{

		//kiiras
		echo "\n<thead><tr><th width='20px'>#</th>";
		if ($clientid == 0) {echo "<th>Ügyfél</th>";}
		echo "<th>Domain</th>";
		echo "<th width='20px'>DNS</th>";
		echo "<th>IP (átirányítás)</th>";
		if ($CONFIG['nodes']>1)
		{
			echo "<th width='20px'>Szerver</th>";
		}
		echo "<th width='20px'>MX</th>";
		echo "<th>MX (levelezés)</th>";
		echo "<th width='20px'>SPF</th>";
		echo "<th width='20px'>DKIM</th>";
		echo "<th width='20px'>DMARC</th>";
		echo "<th class='no-sort' width='20px'>Szerk</th>";
		echo "<th width='20px'>Aktív</th>";
		echo "<th class='no-sort' width='20px'>Töröl</th>";
		echo "</tr></thead>\n";
	}
	else
	{
		echo "<tr><td><h3>nincsenek domainek</h3></td></tr>";
	}

	$i=1;
	while($Row=$Result->fetch_assoc())
	{
		if ($i%2 == 0) echo "<tr class=\"list-paros\">";
		else echo "<tr class=\"list-paratlan\">";

		$domid=$Row['id'];

		$domain=domuni($Row['domain'],"<span class=\"red\">","</span>");

		if ($Row['active'])
		{
			$rosfx='';
		}
		else
		{
			$rosfx='-ro';
		}

		echo "<td>$i.</td>";

		if ($clientid==0) {echo "<td>$Row[clientname]</td>";}

		echo "<td>$domain</td>\n";

		// DNS is on or off
		echo "<td class=\"c\">";
		if ($Row['dns'])
		{
			//echo "<img src=\"$CONFIG[rdir]/image/on_dns".$rosfx.".png\">";
			echo "<a class='icon on_dns".$rosfx."'>1</a>";
		}
		else
		{
			//echo "<img src=\"$CONFIG[rdir]/image/off".$rosfx.".png\">";
			echo "<a class='icon off".$rosfx."'>0</a>";
		}
		echo "</td>\n";

		if ($Row['dns']==0 || $Row['active']==0) {
			echo "<td>-</td>\n";
		}
		else
		{
			echo "<td>";
			//if ($Row['ip']!="(helyben)") echo "<img src=\"$CONFIG[rdir]/image/redirect.png\">";
			echo "$Row[ip]</td>\n";
		}

		if ($CONFIG['nodes']>1)
		{
			if ($Row['dns']==0 || $Row['active']==0 || $Row['ip'] != "(helyben)")
			{
				echo "<td><center>-</center></td>\n";
			}
			else
			{
				//echo "<td><center><b>".$Row['node'].".\n";
				//echo "<br><div style=\"color:#999; font-size:9px;\">".$CONFIG['node'][$Row['node']]['ip']."</div>";
				//echo "</b></center></td>\n";
				echo "<td ><center><b class='node' id='node".$Row['node']."' title='".$CONFIG['node'][$Row['node']]['ip']."'>".$Row['node']."</b></center></td>";
			}
		}

		// MX is on or off
		echo "<td class=\"c\">";
		if ($Row['mxon'])
		{
			//echo "<img src=\"$CONFIG[rdir]/image/on_mx".$rosfx.".png\">";
			echo "<a class='icon on_mx".$rosfx."'>1</a>";

		}
		else
		{
			//echo "<img src=\"$CONFIG[rdir]/image/off".$rosfx.".png\">";
			echo "<a class='icon off".$rosfx."'>0</a>";
		}
		echo "</td>\n";

		if ($Row['mx']=="" || $Row['active']==0)
		{
			echo "<td>-</td>\n";
		}
		else
		{
			echo "<td>".multirow2web($Row['mx'])."</td>\n";
		}

		// spf
		if ($Row['spf'])
		{
			$spf_value=$Row['spf'];
			$spfclass='icon spf';
			$spfbool=1;
		}
		else
		{
			$spf_value='~all';
			$spfclass='icon spf-ro';
			$spfbool=0;
		}

		$spfrec=str_replace(' ', "\n" , $spf_value);
		//if ($spfrec=='~all') { $spfimg='spf-ro.png'; } else { $spfimg='spf.png'; }
		//if ($spfrec=='~all') { $spfclass='icon spf-ro'; $spfbool=0; } else { $spfclass='icon spf'; $spfbool=1; }

		//echo "<td class=\"c\"><img src=\"".$CONFIG['rdir']."/image/$spfimg\" title=\"ip4:(helyi ip)\na\nmx\n".$spfrec."\"></td>\n";
		echo "<td class=\"c\"><a class='".$spfclass."' title=\"ip4:(helyi ip)\na\nmx\n".$spfrec."\">".$spfbool."</a></td>\n";

		//dkim
		if ($Row['active'])
		{
			if ($Row['dns']==1 || $Row['dkim']==1)
			{
				//echo "<td class=\"c\"><img src=\"$CONFIG[rdir]/image/lock.png\"></td>";
				echo "<td class=\"c\"><a class='icon lock'>1</a></td>";
			}
			else
			{
				//echo "<td class=\"c\"><img src=\"$CONFIG[rdir]/image/off.png\"></td>";
				echo "<td class=\"c\"><a class='icon off'>0</a></td>";
			}
		}
		else
		{
				//echo "<td class=\"c\"><img src=\"$CONFIG[rdir]/image/off-ro.png\"></td>";
				echo "<td class=\"c\"><a class='icon off-ro'>-</a></td>";
		}

		// dmarc
		if ($Row['dmarc'])
		{
			$dmarc_value=$Row['dmarc'];
			$dmarcclass='icon spf';
			$dmarcbool=1;
		}
		else
		{
			if ($Row['mxon'])
			{
				$dmarc_value='p=none;';
			}
			else
			{
				$dmarc_value='p=none;';
			}
			$dmarcclass='icon spf-ro';
			$dmarcbool=0;
		}
		$dmarcrec=str_replace(';', ";\n", str_replace(' ', '' , $dmarc_value));

		//echo "<td class=\"c\"><img src=\"".$CONFIG['rdir']."/image/$spfimg\" title=\"ip4:(helyi ip)\na\nmx\n".$spfrec."\"></td>\n";
		echo "<td class=\"c\"><a class='".$dmarcclass."' title=\"v=DMARC1;\n".$dmarcrec."\">".$dmarcbool."</a></td>\n";


		//echo "<td class=\"c\"><a href=\"javascript:Act('domain','edit','$domid')\"><img src=\"$CONFIG[rdir]/image/edit.png\"></a></td>";
		echo "<td class=\"c\"><a href=\"javascript:Act('domain','edit','$domid')\" class='icon edit'></a></td>";

		echo "<td class=\"c\"><a href=\"javascript:Act('domain','toggle','$domid',1)\" ";

		if ($Row['active'])
		{
			echo "class='icon ok'>1";
		}
		else
		{
			echo "class='icon off'>0";
		}

#		if ($Row['active'])
#		{
#			echo "<img src=\"$CONFIG[rdir]/image/ok.png\">";
#		}
#		else
#		{
#			echo "<img src=\"$CONFIG[rdir]/image/off.png\">";
#		}

		echo "</a></td>";

		echo "<td class=\"c\"><a href=\"javascript:Act('domain','del','$domid',1)\" class='icon delete'></a></td>\n";

		$i++;
		echo "</tr>\n";
	}

	echo "</table>\n";
	tablesorter();

	echo "
			<div class=\"tip\"><b>Tipp:</b> új domain felvételéhez használja a fenti menüben az <span class=\"addnew\" onclick=\"javascript:Act('domain','new')\">Új</span> gombot.<br />
			(a gomb akkor jelenik meg, ha a <b>Domain nevek</b> ikon fölé viszi az egérkurzort)</div>
		";
 }

	DBclose();
	pageclose();
}
?>
