<?php

function startmain()
{
 global $CONFIG;
 global $adminlogin;
 global $adminlevel;
 global $clientid;
 global $FILTER;

 htmlheader();
 topmenu_start();
    sel_node();
    sel_client();
 topmenu_end();

 if ($_SESSION['sysadmin_logged']==true)
 {

    if ($clientid != 0)
    {
	$usql="SELECT client.name AS name, client.password AS password,
		client.node AS node,
		client.quota AS quota,
		IFNULL(stats_ftp.usage, 0) AS `usage`,
                CEIL(IFNULL(stats_ftp.usage, 0)/client.quota*100) AS `percent`
		FROM client
		LEFT JOIN stats_ftp ON client.id=stats_ftp.clientid
		WHERE client.id=$clientid AND stats_ftp.ftpid IS NULL;";

	$uResult=DBquery($usql);
	$uRow=$uResult->fetch_assoc();

	if ($adminlogin==1) {
            $passcrypt=$uRow['password'];
        } else {
            $passcrypt="<b title=\"$uRow[password]\">".hidepassword($uRow['password']);
        }

        $cliqu=$uRow['usage'];

        if ($uRow['quota']==0) {
            $cq="0 <b class=\"red\">korlátlan</b>";
			$cqu=percentgraph($cliqu, 0, 'MB', 0);
        } else {
            $percent=$uRow['percent'];
#            $percentgraph=$percent;
#            $pstyle="";
#            $bstyle="background-color:#44bb33;";
#            if ($percent>80) { $bstyle="background-color:#ddbb00;"; }
#            if ($percent>90) { $pstyle="color:red;"; $bstyle="background-color:#ff0000;"; }
#            if ($percent>99) { $pstyle.="text-decoration:blink;"; $percentgraph=100;}
#            $cq="$uRow[quota] MB";
#            $cqu="<div style=\"$pstyle\"><b>$percent%</b> ($cliqu MB)</div>";
#            $cqu.="<div style=\"$bstyle; display:block; width:$percentgraph%; height:4px;\"></div>";
			$cq="$uRow[quota] MB";
			$cqu=percentgraph($cliqu, $uRow['quota'], 'MB', 1);

        }

	echo "<table class=\"data\">\n";
	echo "<thead><tr>";
	if ($CONFIG['nodes']>1) {
	    echo "<th width='20px'>Szerver</th>";
	}
	echo "<th>FTP szerver</th><th>Elsődleges login</th><th>Jelszó</th><th>Elérési út a szerveren</th><th>Tárhely</th><th>Foglalt</th><th>Beállítások</th><th width='20px'>Kezel</th></tr>\n";
	echo "<tr></thead>";
	if ($CONFIG['nodes']>1) {
	    echo "<td ><center><b class='node' id='node".$uRow['node']."' title='".$CONFIG['node'][$uRow['node']]['ip']."'>".$uRow['node']."</b></center></td>";

	}
	echo "<td>".$CONFIG['node'][$uRow['node']]['ftp_host']."</td>";

	echo "<td>$uRow[name]</td><td>$passcrypt</td><td>".$CONFIG['vdir']."/$uRow[name]</td><td class=\"r\">$cq</td><td>$cqu</td>";
	echo "<td>".$CONFIG['node'][$uRow['node']]['ftp_settings']."</td>";
	//echo "<td class=\"c\"><a href=\"javascript:Manage('cftp','$clientid')\"><img src=\"$CONFIG[rdir]/image/manage_ftp.png\"></a></td>";
	echo "<td class=\"c\"><a href=\"javascript:Manage('cftp','$clientid')\" class='icon manage_ftp'></a></td>";
	echo "</tr>\n";
	echo "</table>\n";
    }

    $sql ="SELECT cli_ftp.id AS ftpid,
		cli_ftp.name AS login,
		cli_ftp.password AS password,
		cli_ftp.quota AS quota,
		cli_ftp.subdir AS subdir,
		cli_ftp.active AS active,
		client.name AS clientname,
		client.node AS node,
		IFNULL(stats_ftp.usage, 0) AS ftpusage,
                CEIL(IFNULL(stats_ftp.usage, 0)/cli_ftp.quota*100) AS `percent`
	    FROM cli_ftp
	    LEFT JOIN client ON cli_ftp.clientid=client.id
	    LEFT JOIN stats_ftp ON cli_ftp.id=stats_ftp.ftpid
	    WHERE 1 ";

    if (nonzero($FILTER['nodeid']))
    {
        $sql.="AND `client`.`node`=\"".$FILTER['nodeid']."\" ";
    }

	$sql.=enforce_mysql_access();

    // client FTP
    if ($clientid != 0)
    {
	//enforced above
	//$sql.="AND client.id=\"$clientid\" ";
	$sql.="ORDER BY cli_ftp.name ";
    } else {
	$sql.="ORDER BY client.name, cli_ftp.name ";
    }

    $sql.=";";

    $Result=DBquery($sql);

    echo "<h2>Alkönyvtárakra mutató FTP elérések</h2>\n";

    echo "<table class='data' id='datatable'>";

    if ($Result->num_rows) {

	//kiiras
	echo "\n<thead><tr><th width='20px'>#</th>";
	if ($CONFIG['nodes']>1 && $clientid==0) {
            echo "<th width='20px'>Szerver</th>";
        }
	echo "<th>Login</th>";
	echo "<th>Jelszó</th>";
	echo "<th>Alkönyvtár</th>";
	echo "<th>Tárhely</th>";
	echo "<th>Foglalt</th>";
	echo "<th class='detail'>%</th>";
	echo "<th class='no-sort' width='20px'>Kezel</th>";
	echo "<th class='no-sort' width='20px'>Szerk</th>";
	echo "<th width='20px'>Aktív</th>";
	echo "<th class='no-sort' width='20px'>Töröl</th>";
	echo "</tr></thead>\n";

    } else {
	echo "<tr><td><h3>nincsenek alkönyvtárakra mutató FTP elérések</h3></td></tr>";
    }

    $i=1;
    while($Row=$Result->fetch_assoc())
    {
	if ($i%2 == 0) echo "<tr class=\"list-paros\">";
	else echo "<tr class=\"list-paratlan\">";


	$ftpid=$Row['ftpid'];

        if ($Row['quota']==0) {
            $fq="0 <b class=\"red\">korlátlan</b>";
            $fqu=percentgraph(0,0,"(&infin;)");
            $fqum=percentgraph($Row['ftpusage'],0,"MB");
        } else {
            $fq="$Row[quota] MB";
            $fqu=percentgraph($Row['percent'],100,"%");
            $fqum=percentgraph($Row['ftpusage'],$Row['quota'],"MB");
        }

	echo "<td>$i.</td>";

	if ($CONFIG['nodes']>1 && $clientid==0) {
	    echo "<td ><center><b class='node' id='node".$Row['node']."' title='".$CONFIG['node'][$Row['node']]['ftp_host']."'>".$Row['node']."</b></center></td>";
	}

	echo "<td>$Row[clientname].$Row[login]</td>";
	echo "<td>$Row[password]</td>";
	echo "<td>".$CONFIG['vdir']."/$Row[clientname]/<b>$Row[subdir]</b></td>";
        echo "<td class=\"r\">$fq</td>";
	echo "<td>$fqum</td>";
        echo "<td class=\"detail\">$fqu</td>";

	//echo "<td class=\"c\"><a href=\"javascript:Manage('ftp','$ftpid')\"><img src=\"$CONFIG[rdir]/image/manage_ftp.png\"></a></td>";
	echo "<td class=\"c\"><a href=\"javascript:Manage('ftp','$ftpid')\" class='icon manage_ftp'></a></td>";

	//echo "<td class=\"c\"><a href=\"javascript:Act('ftp','edit','$ftpid')\"><img src=\"$CONFIG[rdir]/image/edit.png\"></a></td>";
	echo "<td class=\"c\"><a href=\"javascript:Act('ftp','edit','$ftpid')\" class='icon edit'></a></td>";

#        echo "<td class=\"c\"><a href=\"javascript:Act('ftp','toggle','$ftpid',1)\">";
#        if ($Row['active']) { echo "<img src=\"$CONFIG[rdir]/image/ok.png\">";
#	} else { echo "<img src=\"$CONFIG[rdir]/image/off.png\">"; }
#        echo "</a></td>";
        echo "<td class=\"c\"><a href=\"javascript:Act('ftp','toggle','$ftpid',1)\" ";
        if ($Row['active']) { echo "class='icon ok'>1"; } else { echo "class='icon off'>0"; }
        echo "</a></td>";

	//echo "<td class=\"c\"><a href=\"javascript:Act('ftp','del','$ftpid',1)\"><img src=\"$CONFIG[rdir]/image/delete.png\"></a></td>\n";
	echo "<td class=\"c\"><a href=\"javascript:Act('ftp','del','$ftpid',1)\" class='icon delete'></a></td>\n";

        $i++;
        echo "</tr>\n";
    }

    echo "</table>\n";
    tablesorter();

    echo "
            <div class=\"tip\"><b>Tipp:</b> új FTP elérés létrehozásához használja a fenti menüben az <span class=\"addnew\" onclick=\"javascript:Act('ftp','new')\">Új</span> gombot.<br />
            (a gomb akkor jelenik meg, ha az <b>FTP elérések</b> ikon fölé viszi az egérkurzort)</div>
        ";

 }

 DBclose();
 pageclose();

}

?>