<?php

function startmain()
{
 global $CONFIG;
 global $adminlogin;
 global $adminlevel;
 global $clientid;
 global $FILTER;

 htmlheader();
 topmenu_start();
	sel_node();
	sel_client();
	sel_domain();
	sel_host();
 topmenu_end();


 if ($_SESSION['sysadmin_logged']==true)
 {

	$sql ="SELECT mail_users.id AS id, 
		mail_users.name AS username,
		mail_users.password AS password,
		(CHAR_LENGTH(mail_users.password) > 7
			AND (mail_users.password REGEXP BINARY '^([a-z]*|[A-Z]*|[0-9]*|[[:punct:]]*)$' = 0)
			AND (mail_users.password REGEXP BINARY '.[0-9A-Z[:punct:]].' != 0)
			AND (CHAR_LENGTH(mail_users.name) <3 OR LOWER(mail_users.password) NOT LIKE CONCAT('%',LOWER(mail_users.name),'%'))
			AND (CHAR_LENGTH(domain.name) <3 OR LOWER(mail_users.password) NOT LIKE CONCAT('%',LOWER((SUBSTRING_INDEX(domain.name, '.', 1))),'%'))
			AND (mail_users.password REGEXP BINARY '(123456|jelszo|password)' = 0)
			AND (CHAR_LENGTH(mail_users.password) > 11 OR mail_users.password REGEXP BINARY '(123|321|qwe|ewq|asd|dsa|abc|xyz)' = 0)
		) AS strongpass,
		domain.name AS domain, 
		dom_host.host AS host,
		mail_users.quota AS quota, 
		IFNULL(stats_mail.usage,0) AS `usage`,
		CEIL(IFNULL(stats_mail.usage, 0)/mail_users.quota*100) AS `percent`,
		mail_users.smtp AS smtp,
		mail_users.active AS active
		FROM mail_users
		LEFT JOIN domain ON mail_users.domainid=domain.id
		LEFT JOIN dom_host ON mail_users.hostid=dom_host.id
		LEFT JOIN client ON domain.clientid=client.id
		LEFT JOIN stats_mail ON stats_mail.mailid=mail_users.id
		WHERE 1 ";

	if (nonzero($FILTER['nodeid']))
	{
		$sql.="AND `client`.`node`=\"".$FILTER['nodeid']."\" ";
	}

	$sql.=enforce_mysql_access();
#	// client domainjei
#	if ($clientid != 0)
#	{
#		$sql.="AND client.id=\"$clientid\" ";
#	}

	// ha szurtuk
	if (nonzero($FILTER['domid']))
	{
		$sql.="AND domain.id=\"".$FILTER['domid']."\" ";
	}

	if (nonzero($FILTER['domid']) && nonzero($FILTER['hostid']))
	{
		$sql.="AND dom_host.id=\"".$FILTER['hostid']."\" ";
	}

	$sql.="ORDER BY domain.name, mail_users.name ";

	$sql.=";";

	$Result=DBquery($sql);

	echo "<table class='data' id='datatable'>";

	if ($Result->num_rows) {

	//kiiras
	echo "\n<thead><tr><th width='20px'>#</th>";
	echo "<th>Domain</th>";
	echo "<th>Postafiók</th>";
	echo "<th>Jelszó</th>";
	echo "<th>Tárhely</th>";
	echo "<th>Foglalt</th>";
	echo "<th>%</th>";
	echo "<th class='no-sort' width='20px'>Szerk</th>";
	echo "<th width='20px'>SMTP</th>";
	echo "<th width='20px'>Aktív</th>";
	echo "<th class='no-sort' width='20px'>Töröl</th>";
	echo "</tr></thead>\n";

	} else {
		echo "<tr><td><h3>nincsenek postafiókok</h3></td></tr>";
	}

	$i=1;
	while($Row=$Result->fetch_assoc())
	{

		if ($i%2 == 0) echo "<tr class=\"list-paros\">";
		else echo "<tr class=\"list-paratlan\">";

		$mbid=$Row['id'];

		$domain=domuni($Row['domain'],"<span class=\"red\">","</span>");

		if ($Row['host'])
		{
			$domhost="<span class=\"red\">".$Row['host'].".</span>".$domain;
		} else
		{
			$domhost=$domain;
		}

#		$mbqu=$Row['usage'];
#		$percent=$Row['percent'];

		echo "<td>$i.</td>";

		echo "<td>$domain</td>";
		echo "<td>$Row[username]@$domhost</td>";
		$ppf='';
		$psf='';
		if (!($Row['strongpass']))
		{
			$ppf='<span class="red" title="Gyenge jelszó, kérjük lecserélni">';
			$psf='</span>';
		}
		echo "<td>$ppf$Row[password]$psf</td>";
		echo "<td class=\"r\">".$Row['quota']." MB</td>";
#		echo "<td><div style=\"$pstyle\"><b>$percent%</b> ($mbqu MB)</div></td>";
		echo "<td>".percentgraph($Row['usage'],$Row['quota'],"MB")."</td>";
		echo "<td>".percentgraph($Row['percent'],100,"%")."</td>";

		//echo "<td class=\"c\"><a href=\"javascript:Act('mailbox','edit','$mbid')\"><img src=\"$CONFIG[rdir]/image/edit.png\"></a></td>";
		echo "<td class=\"c\"><a href=\"javascript:Act('mailbox','edit','$mbid')\" class='icon edit'></a></td>";

		if ($Row['active'])
		{
			echo "<td class=\"c\"><a href=\"javascript:Act('mailbox','smtp','$mbid',1)\" ";
			if ($Row['smtp']) { echo "class='icon ok'>1"; } else { echo "class='icon off'>0"; }
			echo "</a></td>";
		}
		else
		{
			echo "<td class=\"c\"><a class='icon off-ro'>-</a></td>";
		}

		echo "<td class=\"c\"><a href=\"javascript:Act('mailbox','toggle','$mbid',1)\" ";
		if ($Row['active']) { echo "class='icon ok'>1"; } else { echo "class='icon off'>0"; }
/*		if ($Row['active'])
		{
			echo "<img src=\"$CONFIG[rdir]/image/ok.png\">";
		}
		else 
		{
			echo "<img src=\"$CONFIG[rdir]/image/off.png\">";
		}*/
		echo "</a></td>";

		//echo "<td class=\"c\"><a href=\"javascript:Act('mailbox','del','$mbid',1)\"><img src=\"$CONFIG[rdir]/image/delete.png\"></a></td>\n";
		echo "<td class=\"c\"><a href=\"javascript:Act('mailbox','del','$mbid',1)\" class='icon delete'></a></td>\n";

		$i++;
		echo "</tr>\n";
	}

	echo "</table>\n";
	tablesorter();

	echo "
			<div class=\"tip\"><b>Tipp:</b> új postafiók létrehozásához használja a fenti menüben az <span class=\"addnew\" onclick=\"javascript:Act('mailbox','new')\">Új</span> gombot.<br />
			(a gomb akkor jelenik meg, ha a <b>Postafiókok</b> ikon fölé viszi az egérkurzort)</div>
		";
 }

	DBclose();
	pageclose();

}
?>
