<?php

global $sectld;
$sectld ="com|co|org|info|priv|gov|net|ac|me|ltd|bme|3gt";
$sectld.="|sport|tm|agrar|city|hotel|ingatlan|jogasz|konyvelo|lakas|suli|tozsde|utazas";
$sectld.="|2000|bolt|casino|film|forum|games|media|news|reklam|shop|video";
$sectld.="|erotica|erotika|sex|szex";

function InputClean($input) {
    $ret = str_replace(array('\'', '"', '\\', ';', '%', '<', '>', '..', ), '', $input);
    $ret = trim($ret);
    return $ret;
}
#//' csak a szinezes miatt

function check_clean($input) {
	if (InputClean($input)!=$input)
	{
		return false;
	}
	return true;
}

function check_clean_array($in_array) {
	foreach ($in_array as $input)
	{
		if (InputClean($input)!=$input)
		{
			return false;
		}
	}
	return true;
}

function nonzero($int) {
    if ((isset($int)) && ($int!="") && is_numeric($int) && ($int!=0)) {
	return true;
    } else {
	return false;
    }
}

function getgetvars() {
    $vGET=array();
    foreach ($_GET as $gvarn => $gvar) {
        $vGET[$gvarn]=InputClean($gvar);
    }
    return $vGET;
}
function getpostvars() {
    $vPOST=array();
    foreach ($_POST as $pvarn => $pvar) {
        $vPOST[$pvarn]=InputClean($pvar);
    }
    return $vPOST;
}

function gp_raw($var) {

    $ret=null;

    if (array_key_exists($var, $_GET) && $_GET[$var]) {
	$ret=$_GET[$var];
    }
    if (array_key_exists($var, $_POST) && $_POST[$var]) {
    	$ret=$_POST[$var];
    }
    return $ret;
}

function gp_raw_trim($var)
{
	$val=trim(gp_raw($var));
	if ($val)
	{
		return $val;
	}
	return null;
}

function gp_str($var) {
    global $vGET, $vPOST;

    $ret=null;

    if (array_key_exists($var, $vGET) && $vGET[$var]) {
	$ret=$vGET[$var];
    }
    if (array_key_exists($var, $vPOST) && $vPOST[$var]) {
    	$ret=$vPOST[$var];
    }
    return $ret;
}

function gp_int($varn) {
    global $vGET, $vPOST;

    $ret=null;

    if (array_key_exists($varn, $vGET) && is_numeric($vGET[$varn])) {
        $ret=$vGET[$varn];
    }
    if (array_key_exists($varn, $vPOST) && is_numeric($vPOST[$varn])) {
        $ret=$vPOST[$varn];
    }
    return $ret;
}

function sess($varname) {
    global ${$varname};

    if (isset(${$varname})) {
	$_SESSION['sysadmin_g_'.$varname]=${$varname};
    } else {
	if (isset($_SESSION['sysadmin_g_'.$varname])) {
	    ${$varname}=$_SESSION['sysadmin_g_'.$varname];
	}
    }
}

function sess_arr($arr_dst, $srcarr) {
    global ${$arr_dst};

    if (!(isset(${$arr_dst}) && is_array(${$arr_dst})))
    {
	if (isset($_SESSION['sysadmin_g_'.$arr_dst]) && is_array($_SESSION['sysadmin_g_'.$arr_dst]))
	{
		${$arr_dst}=$_SESSION['sysadmin_g_'.$arr_dst];
	}
	else
	{
		${$arr_dst}=array();
	}
    }

    foreach ($srcarr as $key => $val) {
	if ( isset($val) || (!array_key_exists($key, ${$arr_dst})) )
	{
	    ${$arr_dst}[$key]=$val;
	}
    }

    $_SESSION['sysadmin_g_'.$arr_dst]=${$arr_dst};

}

function add_form_validator()
{
	echo '<input type="hidden" name="validator" value="'.md5($_SERVER['REMOTE_ADDR']).'" />'."\n";
}

function check_form_validator()
{
	global $vPOST;
	if (!(array_key_exists('validator', $vPOST) && $vPOST['validator']==md5($_SERVER['REMOTE_ADDR'])))
	{
		echo "<h4>Hibás bejövő adatok!</h4>";
		suicide();
	}
}

function mand_str ($var, $desc, $display_error=true) {
    if (!((isset($var))&&(strlen($var)>0))) {
		if ($display_error) { echo "<h4>$desc nem lehet üres!</h4>"; }
		return false;
    } else {
		return true;
    }
}

function mand_int ($var, $desc, $display_error=true) {
    if (!(is_numeric($var))) {
		if ($display_error) { echo "<h4>$desc nincs megadva!</h4>"; }
		return false;
    } else {
		return true;
    }
}

function opt_int ($var, $desc, $display_error=true) {
    if (!((isset($var))&&(strlen($var)>0))) {
		return true;
    } else {
		return mand_int($var, $desc, $display_error);
    }
}

function mand_int_positive ($var, $desc, $display_error=true) {
    if (!(is_numeric($var))) {
		if ($display_error) { echo "<h4>$desc nincs megadva!</h4>"; }
		return false;
    } elseif (!($var>0)) {
		if ($display_error) { echo "<h4>$desc 0-nál nagyobb kell, hogy legyen!</h4>"; }
		return false;
    } else {
		return true;
    }
}

function opt_int_positive ($var, $desc, $display_error=true) {
    if (!((isset($var))&&(strlen($var)>0))) {
		return true;
    } else {
		return mand_int_positive($var, $desc, $display_error);
	}
}

function mand_match($var1, $var2, $desc, $display_error=true) {
    if ($var1 != $var2) {
		if ($display_error) { echo "<h4>$desc meg kell, hogy egyezzen!</h4>"; }
	    return false;
    } else {
	return true;
    }
}

function opt_pass($pass1, $pass2, $login, $oldpass='', $hard=0, $display_error=true) {

    global $adminlogin;
    global $pause;

    if ($pass1 != $pass2) {
		if ($display_error) { echo "<h4>A két jelszó nem egyezik!</h4>"; }
		return false;
    }

    $ret=true;

    if ($hard==1) { $plen=12; } else { $plen=8; }

    if (strlen($pass1)>0)
	{
		if (strlen($pass1)<$plen)
		{
	    	if ($display_error) { echo "<h4>A jelszó hossza minimum $plen karakter kell, hogy legyen!</h4>"; }
	    	$ret=false;
		}

		if ( !preg_match("#[0-9]+#", $pass1) )
			{
		    	if ($display_error) { echo "<h4>A jelszónak tartalmaznia kell számokat is!</h4>"; }
			    $ret=false;
			}

		if ($hard==1) {
		    if ( !preg_match("#[a-z]+#", $pass1) )
			{
				if ($display_error) { echo "<h4>A jelszónak tartalmaznia kell kisbetűket is!</h4>"; }
		        $ret=false;
		    }
		    if ( !preg_match("#[A-Z]+#", $pass1) )
			{
				if ($display_error) { echo "<h4>A jelszónak tartalmaznia kell nagybetűket is!</h4>"; }
		        $ret=false;
		    }
		}
		else
		{
	    	if ( !preg_match("#[a-zA-Z]+#", $pass1) )
			{
				if ($display_error) { echo "<h4>A jelszónak tartalmaznia kell betűket is!</h4>"; }
		        $ret=false; 
	    	}
		}

		if ( preg_match("#^.([a-z]*|[A-Z]*|[0-9]*).$#", $pass1) ) {
		    if ($display_error) { echo "<h4>A megadott jelszó túl gyenge!</h4>"; }
		    $ret=false;
		}

		if (strpos(strtolower($pass1), strtolower($login)) !== false) {
		    if ($display_error) { echo "<h4>A jelszó nem tartalmazhatja a loginnevet!</h4>"; }
		    $ret=false;
		}

		if ( preg_match("#(123|321|qwe|ewq|asd|dsa|abc|xyz|jelszo|password)#", $pass1) ) {
		    if ($display_error) { echo "<h4>A jelszó nem tartalmazhat triviális kombinációkat! (123, qwe, jelszo stb.)</h4>"; }
		    $ret=false;
		}


    }

    if ($ret==false) { $pause=1; }

	// if no change let the admin pass (even if the old password is weak)
	if (strlen($pass1)>0 && $pass1 == $oldpass && $adminlogin==1)
	{
		return true;
	}

    return $ret;
}

// check quota
function check_quota($quota, $uq, $display_error=true) {

    if ($uq != 0 && $uq < $quota) {
        if ($display_error) { echo "<h4>A tárhelyméret maximum $uq MB lehet!</h4>\n"; }
	return false;
    }
    return true;
}
// check mailquota
function check_mailquota($mailquota, $umq, $display_error=true) {

	if ((!(is_numeric($umq))) || ($umq < 0))
	{
		//this should not happen
		return false;
	}

    if ($umq == 0)
	{
		return true;
	}

    if ($umq < $mailquota)
	{
		if ($display_error) { echo "<h4>Az e-mail tárhely maximum $umq MB lehet!</h4>\n"; }
		return false;
    }
	return true;
}

function check_node ($node, $display_error=true) {
    global $CONFIG;
    if (!(is_numeric($node))) {
	return true;
    } else {
	if ($node>$CONFIG['nodes']) {
	    if ($display_error) { echo "<h4>Nincs ilyen szerver!</h4>"; }
	    return false;
	}
    }
    return true;
}

function check_upstream ($upstream, $domid=null, $vhid=null, $display_error=true)
{
	global $CONFIG;

	if ($domid)
	{
		$vh_node=get_node_domain($domid,false);
	}
	elseif ($vhid)
	{
		$vh_node=get_node_vhost($vhid,false);
	}
	else
	{
		$vh_node=0;
	}

	$us_name=$upstream;
	if (isset($upstream) && $upstream!='' && array_key_exists($upstream, $CONFIG['upstream'])) {
		$us_name=$CONFIG['upstream'][$upstream]['name'];
		if ($vh_node==0)
		{
			return true;
		}
		if (array_key_exists('upstreams', $CONFIG['node'][$vh_node]))
		{
			if (in_array($upstream, $CONFIG['node'][$vh_node]['upstreams']))
			{
				return true;
			}
		}
		else
		{
			return true;
		}
	}
	if ($display_error) { echo "<h4>A $vh_node. szerveren nincs ilyen aktív engine ($us_name)!</h4>"; }
	return false;
}

function check_base64($encoded, $message, $display_error=true)
{
	if (!base64_decode($encoded, true))
	{
		if ($display_error) { echo "<h4>Hibás $message! (nem base64)</h4>\n"; }
		return false;
	}
	return true;
}

// check numbers and lowercase letters (and minus sign)
function check_format_alnum($str, $message, $display_error=true) {
    $str=strtolower($str);
    if ( ! preg_match("#^[a-z0-9\-]+$#", $str) ) {
	if ($display_error) { echo "<h4>Hibás $message! ($str)</h4>\n"; }
	return false;
    }
    return true;
}

// check numbers and lowercase letters (and .-_* )
function check_format_alnum_ext($str, $message, $display_error=true) {
    $str=strtolower($str);
    if ( ! preg_match("#^[a-z0-9\.\-\_\*]+$#", $str) ) {
	if ($display_error) { echo "<h4>Hibás $message! ($str)</h4>\n"; }
	return false;
    }
    return true;
}

// check domain name format
function check_format_domain($name, $sec_strict=true, $display_error=true) {
    global $sectld;
    $name=strtolower($name);

    if ( preg_match("#^www\..*#",$name) ) {
	if ($display_error) { echo "<h4>Hibás domainnév! A www nem a domain része. ($name)</h4>\n"; }
	return false;
    }

    if ($sec_strict==true)
    {
	$sectld_regex='('.$sectld.')';
    }
    else
    {
	$sectld_regex='[a-z0-9]{2,10}';
    }

    if ( ! preg_match("#^[a-z0-9áéíóöőúüűú\-]+(\.".$sectld_regex.")?\.[a-z]{2,10}+$#", $name) ) {
	if ($display_error) { echo "<h4>Hibás domainnév! ($name)</h4>\n"; }
	return false;
    }

    return true;
}

// check if domain already registered
function check_registered_domain($name, $details=true, $display_error=true)
{
    global $adminlogin;
    global $pause;

    $name=strtolower($name);

    if ( checkdnsrr($name, "SOA") )
	{
		if ($display_error)
		{ 
			$reverse=gethostbyaddr(gethostbyname($name));
			echo "<h4>Ez a domain már regisztrálva van!";
			if ($reverse)
			{
				echo "<br><i>(Szolgáltató: $reverse)</i>";
			}
			echo "</h4>\n";
			if ($details)
			{
				echo "<h4>A domain felvételéhez a <u>DNS</u> szolgáltatást és a <u>Levelezés</u>t együttesen ki kell kapcsolni.</h4>\n";
			}
			$pause=1;
		}
	    return false;
    }
    return true;
}

//hostname format
function check_format_vhost($host, $primary=true, $fqdn=false, $display_error=true) {
    $host=strtolower($host);

    if ($fqdn)
    {
	$prisec="másodlagos";
	$hm_opts=array(
			"(\*\.)?[a-z0-9][a-z0-9\-\.]*[a-z0-9]\.[a-z]{2,10}",
			"[a-z0-9][a-z0-9\-\.]*[a-z0-9]\.\*"
		);
    }
    elseif($primary)
    {
	$prisec="elsődleges";
	$hm_opts=array(
			"[a-z0-9]+",
			"[a-z0-9][a-z0-9\-\.]*[a-z0-9]"
		);
    }
    else
    {
	$prisec="másodlagos";
	$hm_opts=array(
			"\*",
			"(\*\.)?[a-z0-9]+",
			"(\*\.)?[a-z0-9][a-z0-9\-\.]*[a-z0-9]"
		);
    }


    if ( ! preg_match("#^(".implode('|',$hm_opts).")$#", $host) ) {
	if ($display_error) { echo "<h4>Hibás $prisec hostnév! ($host)</h4>\n"; }
	return false;
    }
    if ( preg_match("#^www\.#", $host) ) {
	if ($display_error) { echo "<h4>Hibás $prisec hostnév! ($host) - A www előtag nem kell!</h4>\n"; }
	return false;
    }
    return true;
}

function check_format_host($host, $display_error=true) {
    $host=strtolower($host);
    if ( ! preg_match("#^([a-z0-9]|[a-z0-9\*][a-z0-9\-\.]*[a-z0-9])$#", $host) ) {
	if ($display_error) { echo "<h4>Hibás hostnév! ($host)</h4>\n"; }
	return false;
    }
    return true;
}

function check_format_dnshost($type, $host, $display_error=true) {
    $host=strtolower($host);

    global $adminlogin;
    if ($adminlogin==1) {
	$types=array('MX', 'CNAME', 'NS', 'TXT', 'AAAA', 'SRV');
    } else {
	$types=array('CNAME', 'TXT', 'SRV');
    }

    if (!(in_array($type, $types)))
    {
	if ($display_error) { echo "<h4>Hibás típus! ($type)</h4>\n"; }
	return false;
    }

    switch ($type) {

	case 'SRV':
	    $chk_reg="#^\_[a-z0-9\-]+\.\_[a-z0-9\-]+$#";
	break;

	case 'TXT':
	    $chk_reg="#^([a-z0-9\*\@]|[a-z0-9\_\*][a-z0-9\-\.\_]*[a-z0-9])$#";
	break;

	case 'CNAME':
	    $chk_reg="#^([a-z0-9\*\@]|[a-z0-9\_\*][a-z0-9\-\.\_]*[a-z0-9])$#";
	break;

	default:
	    $chk_reg="#^([a-z0-9\*\@]|[a-z0-9\*][a-z0-9\-\.]*[a-z0-9])$#";
	break;
    }

    if ( ! preg_match($chk_reg, $host) )
    {
	if ($display_error) { echo "<h4>Hibás $type rekord (host)név! ($host)</h4>\n"; }
	return false;
    }

    return true;
}

// check e-mail format
function check_format_email($mail, $display_error=true) {
    $mail=strtolower($mail);
    if ( ! preg_match("#^([a-z0-9\_\-\.\%\+]+|)\@[a-z0-9\-\.]+\.[a-z]{2,10}$#", $mail) ) {
	if ($display_error) { echo "<h4>Hibás e-mail cím! ($mail)</h4>\n"; }
	return false;
    }
    return true;
}

//dir format
function check_format_dir($dir, $display_error=true) {
    if ( ! preg_match("#^[A-Za-z0-9\-\.\_\/]+$#", $dir) ) {
	if ($display_error) { echo "<h4>Hibás könyvtárnév! ($dir)</h4>\n"; }
	return false;
    }
    return true;
}

// URL format
function check_format_url($url, $display_error=true) {
    if ( ! preg_match("#^(http|https)\:\/\/[A-Za-z0-9\-\_\.\/]+$#", $url) ) {
	if ($display_error) { echo "<h4>Hibás URL! ($url)</h4>\n"; }
	return false;
    }
    return true;
}

//check IP address format
function check_format_ip($ip, $display_error=true) {
#    if ( ! preg_match("#^[0-9]{1,3}\.[0-9]{1,3}\.[0-9]{1,3}\.[0-9]{1,3}$#", $ip) ) {
    if ( ! preg_match("#^(25[0-5]|2[0-4][0-9]|1[0-9]{2}|0?[0-9]{1,2})\.(25[0-5]|2[0-4][0-9]|1[0-9]{2}|0?[0-9]{1,2})\.(25[0-5]|2[0-4][0-9]|1[0-9]{2}|0?[0-9]{1,2})\.(25[0-4]|2[0-4][0-9]|1[0-9]{2}|0?[0-9]{1,2})$#", $ip) ) {
	if ($display_error) { echo "<h4>Hibás IP cím! ($ip)</h4>\n"; }
	return false;
    }
    return true;
}

//check MX format
function check_format_mx($mx, $display_error=true) {
    if ( ! preg_match("#^[0-9]+[ ]+[a-z0-9][a-z0-9\-\.]*[a-z0-9]\.[a-z]{2,}\.$#", $mx) ) {
	if ($display_error) { echo "<h4>Hibás MX! ($mx)</h4>\n"; }
	return false;
    }
    return true;
}

// spf format
function check_format_spf($spf, $display_error=true) {
    if ( ! preg_match("#^([\+\-\~]?(a|a\:[a-z0-9\-\_\.]+|ip4\:[0-9\.\/]+|ip6\:[a-f0-9\:\/]+|mx|mx\:[a-z0-9\-\_\.]+|include\:[a-z0-9\-\_\.]+) )*[\+\-\~\?]all$#", $spf) )
	{
		if ( ! preg_match("#[\+\-\~\?]all$#", $spf) )
		{
			$alltxt=" Hiányzik a rekord utolsó eleme (általában ~all vagy -all).";
		}
		if ($display_error) { echo "<h4>Hibás SPF formátum!$alltxt</h4>\n"; }
		return false;
    }
    return true;
}

// dmarc format
function check_format_dmarc($dmarc, $display_error=true) {
	if ( ! preg_match("#^p=(none|quarantine|reject)(;[ ]*[a-z]*=[^;]*)*;?$#i", $dmarc) )
	{
		if ($display_error) { echo "<h4>Hibás DMARC formátum!</h4>\n"; }
		return false;
	}
	return true;
}


// deploy/repository address format
function check_format_repo_address($repo, $display_error=true) {
    if ( ! preg_match("#^(https?|ssh|ftps?|git|rsync)\:\/\/[A-Za-z0-9\-\_\.\/\:]+$#", $repo) ) {
	if ($display_error) { echo "<h4>Hibás Repository cím! ($repo)</h4>\n"; }
	return false;
    }
    return true;
}


//check multirow mx
function check_format_multirow_mx($mxes, $display_error=true) {
    $mxarr=multirow2array($mxes);
    foreach ($mxarr AS $mx) {
	if (!check_format_mx($mx, $display_error)) { return false; }
    }
    return true;
}

//check multirow vhost
function check_format_multirow_vhost($hosts, $fqdn=false, $display_error=true) {
    $hostarr=multirow2array($hosts);
    foreach ($hostarr AS $host) {
	if (!check_format_vhost($host, false, $fqdn, $display_error)) { return false; }
    }
    return true;
}

//check multirow e-mail

function check_format_multirow_email($addresses, $display_error=true) {
    $mailarr=multirow2array($addresses);
    foreach ($mailarr AS $mail) {
	if (!check_format_email($mail, $display_error)) { return false; }
    }
    return true;
}

//check multirow dir
function check_format_multirow_dir($dirs, $display_error=true) {
    $dirarr=multirow2array($dirs);
    foreach ($dirarr AS $dir) {
	if (!check_format_dir($dir, $display_error)) { return false; }
    }
    return true;
}

//DNS record format
function check_format_domrec($type, $value, $display_error=true) {

    global $adminlogin;
    if ($adminlogin==1) {
	$types=array('MX', 'CNAME', 'NS', 'TXT', 'AAAA', 'SRV');
    } else {
	$types=array('CNAME', 'TXT', 'SRV');
    }

    if (!(in_array($type, $types)))
    {
	if ($display_error) { echo "<h4>Hibás típus! ($type)</h4>\n"; }
	return false;
    }

    switch ($type) {

	case 'A':
	    $chk_reg="#^(25[0-5]|2[0-4][0-9]|1[0-9]{2}|0?[0-9]{1,2})\.(25[0-5]|2[0-4][0-9]|1[0-9]{2}|0?[0-9]{1,2})\.(25[0-5]|2[0-4][0-9]|1[0-9]{2}|0?[0-9]{1,2})\.(25[0-4]|2[0-4][0-9]|1[0-9]{2}|0?[0-9]{1,2})$#";
	break;

	case 'AAAA':
		$I4SEG="(25[0-5]|(2[0-4]|1{0,1}[0-9]){0,1}[0-9])";
		$I4ADDR="($I4SEG\.){3,3}$I4SEG";
		$I6SEG="[0-9a-f]{1,4}";

		$chk_reg ="#^(";
		$chk_reg.="($I6SEG:){7,7}$I6SEG|";			// 1:2:3:4:5:6:7:8
		$chk_reg.="($I6SEG:){1,7}:|";				// 1::							1:2:3:4:5:6:7::
		$chk_reg.="($I6SEG:){1,6}:$I6SEG|";			// 1::8				1:2:3:4:5:6::8		1:2:3:4:5:6::8
		$chk_reg.="($I6SEG:){1,5}(:$I6SEG){1,2}|";		// 1::7:8			1:2:3:4:5::7:8		1:2:3:4:5::8
		$chk_reg.="($I6SEG:){1,4}(:$I6SEG){1,3}|";		// 1::6:7:8			1:2:3:4::6:7:8		1:2:3:4::8
		$chk_reg.="($I6SEG:){1,3}(:$I6SEG){1,4}|";		// 1::5:6:7:8			1:2:3::5:6:7:8		1:2:3::8
		$chk_reg.="($I6SEG:){1,2}(:$I6SEG){1,5}|";		// 1::4:5:6:7:8			1:2::4:5:6:7:8		1:2::8
		$chk_reg.="$I6SEG:((:$I6SEG){1,6})|";			// 1::3:4:5:6:7:8		1::3:4:5:6:7:8		1::8
		$chk_reg.=":((:$I6SEG){1,7}|:)|";			// ::2:3:4:5:6:7:8		::2:3:4:5:6:7:8		::8			::
		$chk_reg.="fe80:(:$I6SEG){0,4}%[0-9a-z]{1,}|";		// fe80::7:8%eth0		fe80::7:8%1						(link-local IPv6 addresses with zone index)
		$chk_reg.="::(ffff(:0{1,4}){0,1}:){0,1}$I4ADDR|";	// ::255.255.255.255		::ffff:255.255.255.255	::ffff:0:255.255.255.255	(IPv4-mapped IPv6 addresses and IPv4-translated addresses)
		$chk_reg.="($I6SEG:){1,4}:$I4ADDR";			// 2001:db8:3:4::192.0.2.33	64:ff9b::192.0.2.33					(IPv4-Embedded IPv6 Address)
		$chk_reg.=")$#";
	break;

	case 'MX':
	    $chk_reg="#^[0-9]+[ ]+[a-z0-9][a-z0-9\-\.]*[a-z0-9]\.[a-z]{2,}\.$#";
	break;

	case 'SRV':
	    $chk_reg="#^[0-9]+[ ]+[0-9]+[ ]+[0-9]+[ ]+[a-z0-9][a-z0-9\-\.]*[a-z0-9]\.[a-z]{2,}\.$#";
	break;

	case 'TXT':
	    $chk_reg="#^[A-Za-z0-9\-\+\_\.\*\:\;\'\"\=\~\@\?\/ ]+$#";
	break;

	case 'CNAME':
		// allow relative and absolute records
		$chk_reg="#^([A-Za-z0-9\*\@]|[A-Za-z0-9\_\*][A-Za-z0-9\-\.\_]*[A-Za-z0-9]\.?)$#";
#		//only absolute records
#		$chk_reg="#^([a-z0-9\*\@]|[a-z0-9\_\*][a-z0-9\-\.\_]*[a-z0-9]\.[a-z]{2,}\.)$#";
	break;

	default:
	    $chk_reg="#^[A-Za-z0-9\_\-\.\*]+$#";
	break;
    }

    if ( ! preg_match($chk_reg, $value) )
    {
	if ($display_error) { echo "<h4>Hibás $type rekord érték! ($value)</h4>\n"; }
	return false;
    }

    return true;
}

// @ SPF must be set at the Domain menu
function check_format_domrec_spf($type, $host, $value, $display_error=true)
{
	if ($type=="TXT" && $host=="@" && preg_match("#^v=spf#i", $value))
	{
		if ($display_error) { echo "<h4>Hiba: a domainhez már tartozik SPF rekord!</h4>\n"; }
		return false;
	}
	return true;
}

// @ DMARC must be set at the Domain menu
function check_format_domrec_dmarc($type, $host, $value, $display_error=true)
{
	if ($type=="TXT" && $host=="_dmarc")
	{
		if ($display_error) { echo "<h4>Hiba: a domainhez már tartozik DMARC rekord!</h4>\n"; }
		return false;
	}
	return true;
}
