<?php

function dropdown_domains($def_domid, $onchange="javascript:dom2host();") {

	global $clientid;
	global $FILTER;

	if (!($def_domid) && $FILTER['domid']) { $def_domid=$FILTER['domid']; }

	// domainek
	$dsql ="SELECT `domain`.`id` AS id, `domain`.`name` AS name FROM `domain`
		LEFT JOIN `client` ON `domain`.`clientid`=`client`.`id`
		WHERE 1 ";
	$dsql.=enforce_mysql_access();
	$dsql.=" ORDER BY domain.name; ";

	$dResult= DBquery($dsql);

	//Domain dropdown
	if ($onchange!="")
	{
		$oc="onchange=\"$onchange\"";
	}
	echo "<select name=\"m_domid\" $oc>\n";
	echo "<option value=\"\">- domain -</option>\n";
	while ($dRow=$dResult->fetch_assoc())
	{
		$domname=domuni($dRow['name'],'x|','');
		echo "<option value=$dRow[id]";
		if ($dRow['id']=="$def_domid") { echo " selected "; }
		if ($domname!=$dRow['name']) {echo " class=\"red\"";}
		echo ">$domname</option>\n";
	}
	echo "</select>\n";

}

function dropdown_hosts($def_domid, $def_hostid, $wildcard=false) {

	global $clientid;

	$hsql = "SELECT dom_host.id AS id, domain.id AS domid, dom_host.host AS host FROM dom_host
			LEFT JOIN domain ON dom_host.domainid=domain.id
			LEFT JOIN client ON domain.clientid=client.id
			WHERE 1 ";
	if (!($wildcard))
	{
		$hsql.=" AND dom_host.host NOT LIKE '*%' ";
	}

	$hsql.=enforce_mysql_access();
	$hsql.=" ORDER BY dom_host.host;";

	$hResult= DBquery($hsql);

	// Hostname to js array
	echo "<script>\n";
	echo "var hostname=new Array();\n";
	$j=0;
		while ($hRow=$hResult->fetch_assoc())
		{
			if ($hRow['id'] && $hRow['domid'])
			{
				echo "hostname[$j]=Array(\"".$hRow['id']."\", \"".$hRow['domid']."\", \"".$hRow['host']."\");\n";
				$j++;
			}
		}
	echo "</script>\n";

	// Hostname
	echo "<select name=\"m_hostid\">\n";
	echo "<option value=\"\">-</option>\n";
	echo "</select>\n";
	echo " . ";

}

function dropdown_dom2host($def_hostid) {

	global $FILTER;

	//if (!($def_domid) && $FILTER['domid']) { $def_domid=$FILTER['domid']; }
	if (!($def_hostid) && $FILTER['hostid']) { $def_hostid=$FILTER['hostid']; }

	//activate javascript hostname
	echo "<script>\n";
	echo "dom2host($def_hostid)";
	echo "</script>\n";

}

function dropdown_vhosts($def_vhid) {

	global $clientid;

	$vhsql = "SELECT 
			`vhosts`.`id` AS id,
			`vhosts`.`host` AS hostname,
			`domain`.`name` AS domname
			FROM `vhosts`
			LEFT JOIN `domain` ON `vhosts`.`domainid`=`domain`.`id`
			LEFT JOIN `client` ON `domain`.`clientid`=`client`.`id`
			WHERE 1 ";
	$vhsql.=enforce_mysql_access();
	$vhsql.=" ORDER BY `vhosts`.`host`, `domain`.`name`; ";

	$vhResult= DBquery($vhsql);

	echo "<select name=\"m_vhostid\">\n";
	echo "<option value=\"\">- weboldal -</option>\n";

	while($vhRow=$vhResult->fetch_assoc())
	{
		echo "<option value=\"".$vhRow['id']."\" ";
		if ($vhRow['id']=="$def_vhid") { echo " selected "; }
		echo ">".$vhRow['hostname'].".".$vhRow['domname']."</option>\n";
	}
	echo "</select>\n";

}

function dropdown_vhostdir($onchange="") {

	global $clientid;

	$vhsql = "SELECT 
			`vhosts`.`id` AS id,
			CONCAT(`domain`.`name`,'/',`vhosts`.`host`,IF(`vhosts`.`docroot` IS NULL, '', CONCAT('/',`vhosts`.`docroot`))) AS vhostdir,
			`client`.`id` AS clientid
			FROM `vhosts`
			LEFT JOIN `domain` ON `vhosts`.`domainid`=`domain`.`id`
			LEFT JOIN `client` ON `domain`.`clientid`=`client`.`id`
			WHERE 1 ";
	$vhsql.=enforce_mysql_access();
	$vhsql.=" ORDER BY `domain`.`name`, `vhosts`.`host`; ";

	$vhResult= DBquery($vhsql);

	// vhostdir to js array
	echo "<script>\n";
	echo "var vhostdirs=new Array();\n";
	$j=0;
		while ($vhRow=$vhResult->fetch_assoc())
		{
			echo "vhostdirs[$j]=Array(\"".$vhRow['clientid']."\", \"".$vhRow['vhostdir']."\");\n";
			$j++;
		}
	echo "</script>\n";

	// vhostdir
	if ($onchange!="")
	{
		$oc="onchange=\"$onchange\"";
	}
	echo "<select name=\"m_vhostdir\" $oc>\n";
	echo "<option value=\"\">(egyedi)</option>\n";
	echo "</select>\n";

}

function dropdown_client2vhdir() {

	global $clientid;

	//activate javascript webdirs
	echo "<script>\n";
	echo "client2vhdir($clientid)";
	echo "</script>\n";

}


function dropdown_clients($def_cliid, $showid=0, $onchange="") {

	global $clientid;
	global $adminlogin;

	if ($clientid == 0) {

		$oc='';
		if ($onchange!="")
		{
			$oc="onchange=\"$onchange\"";
		}

		echo "<select name=\"cliid\" $oc>\n";
		echo "<option value=\"\">- ügyfél -</option>\n";

		$csql="SELECT `id`, `name` FROM `client` WHERE 1 ";
		$csql.=enforce_mysql_access();
		$csql.="ORDER BY name;";

		$cResult=DBquery($csql);
		while ($cRow=$cResult->fetch_assoc()) {
			echo "<option value=$cRow[id]";
		if ($cRow['id']=="$def_cliid") { echo " selected "; }
			if ($showid==0) {
			echo ">".$cRow['name']."</option>\n";
		} else {
			echo ">".$cRow['name']." - ".cli_pad($cRow['id'])."</option>\n";
		}
		}
		echo "</select>\n";
	} else {
		$csql="SELECT `id`, `name` FROM `client` WHERE `id`=\"$clientid\";";
		$cResult=DBquery($csql);
		$cRow=$cResult->fetch_assoc();
			if ($showid==0) {
			echo "$cRow[name]";
		} else {
			echo cli_pad($cRow['id']);
		}

	}
}

function dropdown_rec_type($def_type) {

	global $clientid;
	global $adminlogin;

	if ($adminlogin==1) {
		$types=array('MX', 'CNAME', 'NS', 'TXT', 'AAAA', 'SRV');
	} else {
		$types=array('CNAME', 'TXT', 'SRV');
	}

	echo "<select name=\"r_type\">\n";
	echo "<option value=\"\">- típus -</option>\n";

		foreach($types as $type)
		{
			echo "<option value=\"$type\"";
		if ($type==$def_type) { echo " selected "; }
			echo ">$type</option>\n";
		}
	echo "</select>\n";

}

function dropdown_node($def_node) {

	global $CONFIG;
	global $clientid;

	if ($CONFIG['nodes']>1) {

		echo "<select name=\"c_node\">\n";

			for($n=1; $n<=$CONFIG['nodes']; $n++)
			{
			echo "<option value=\"$n\"";
		if ($n==$def_node) { echo " selected "; }
			echo ">".$n.".szerver</option>\n";
			}
		echo "</select>\n";
	} else {
		echo "-";
	}

}

function dropdown_upstream($def_usid, $vhid=null)
{
	global $CONFIG;
	global $FILTER;
	global $clientid;

	if (nonzero($vhid))
	{
		$vh_node=get_node_vhost($vhid,false);
	}
	elseif ($clientid > 0)
	{
		$vh_node=get_node_client($clientid,false);
	}
	elseif (nonzero($FILTER['nodeid']))
	{
		$vh_node=$FILTER['nodeid'];
	}
	else
	{
		$vh_node=0;
	}

	echo "<select name=\"v_usid\">\n";

	foreach($CONFIG['upstream'] as $usid => $usdata)
	{
		if (	($vh_node == 0) ||
			(!(array_key_exists('upstreams', $CONFIG['node'][$vh_node]))) ||
			(array_key_exists('upstreams', $CONFIG['node'][$vh_node]) && in_array($usid, $CONFIG['node'][$vh_node]['upstreams']))
			)
		{
			$us_active=true;
			$us_name=$usdata['name'];
		}
		else
		{
			$us_active=false;
			$us_name='Inaktív ('.$usdata['name'].')';
		}

		if ($usid==$def_usid || $us_active==true)
		{
			echo "<option value=\"$usid\"";
			if ($usid==$def_usid) { echo " selected "; }
			echo ">".$us_name."</option>\n";
		}
	}

	echo "</select>\n";

}

function dropdown_ssl_on($ssl_on) {

	global $clientid;
	global $adminlogin;

	$ssl_on_options=array(
			'0' => 'HTTPS ki (csak HTTP)',
			'1' => 'HTTPS be'
			);

	if (!(array_key_exists($ssl_on, $ssl_on_options)))
	{
		$ssl_on=0;
	}

	echo "<select name=\"v_ssl_on\">\n";
	foreach($ssl_on_options as $val => $desc)
	{
		echo "<option value=\"$val\"";
		if ($val==$ssl_on) { echo " selected "; }
		echo ">".$desc."</option>\n";
	}
	echo "</select>\n";
}

function dropdown_ssl_mode($ssl_mode) {

	global $clientid;
	global $adminlogin;

	$ssl_mode_options=array(
			'0' => 'HTTP+HTTPS',
			'1' => 'Csak HTTPS'
			);

	if (!(array_key_exists($ssl_mode, $ssl_mode_options)))
	{
		$ssl_mode=0;
	}

	echo "<select name=\"v_ssl_mode\">\n";
	foreach($ssl_mode_options as $val => $desc)
	{
		echo "<option value=\"$val\"";
		if ($val==$ssl_mode) { echo " selected "; }
		echo ">".$desc."</option>\n";
	}
	echo "</select>\n";

}

function dropdown_rights($active_rights) {

	global $clientid;
	global $adminlogin;

	if ($active_rights==0 || $active_rights==2)
	{
		$rights_options=array(
			'0' => 'Védelem megerősítése (Javítás)',
			'1' => 'Védelem felfüggesztése (Install mód)'
		);
	}
	else //($active_rights==1 || $active_rights==3)
	{
		$rights_options=array(
			'0' => 'Védelem aktiválása',
			'1' => 'Minden file és könyvtár írhatóvá tétele (Install)'
		);
	}

	echo "<select name=\"v_rights\">\n";
	foreach($rights_options as $val => $desc)
	{
		echo "<option value=\"$val\">".$desc."</option>\n";
	}
	echo "</select>\n";

}

function dropdown_redirect_permanent($redir_perm) {

#	global $clientid;
#	global $adminlogin;

	$redir_options=array(
			'0' => '302 (Normál)',
			'1' => '301 (Permanens)'
			);

	if (!(array_key_exists($redir_perm, $redir_options)))
	{
		$redir_perm=0;
	}

	echo "<select name=\"v_redirect_permanent\">\n";
	foreach($redir_options as $val => $desc)
	{
		echo "<option value=\"$val\"";
		if ($val==$redir_perm) { echo " selected "; }
		echo ">".$desc."</option>\n";
	}
	echo "</select>\n";
}
