<?php

function startmain()
{

 htmlheader();

 global $CONFIG;
 global $adminlogin;
 global $clientid;

 require $CONFIG['adir'].'/include/edit/deploy/functions.php';
 require $CONFIG['adir'].'/include/edit/deploy/forms.php';

#################################################################### route

 // get mode
 $mode=gp_str('mode');
 $de_id=gp_int('id');

 $de_vhid= gp_int('m_vhostid');
 $de_repo= gp_str('d_repo');
 $de_branch= gp_str('d_branch');
 $de_login= gp_str('d_login');
 $de_password= gp_str('d_password');
 $de_hook_pre= gp_str('d_hook_pre');
 $de_hook_post= gp_str('d_hook_post');

 // newrepo
 if ($mode=="new") {
    echo '<h2>Új automata deployment létrehozása</h2>';

    edit_deploy();

 // save new
 } elseif ($mode=="save") {
    echo '<h2>Új automata deployment létrehozása</h2>';

	check_form_validator();

    if (
	mand_int($de_vhid, 'Weboldal') &&
	check_vhost($de_vhid) &&
	check_exist_vhostdeploy($de_vhid) &&
	mand_str($de_repo, 'Repository címe') &&
	check_format_repo_address($de_repo) &&
	mand_str($de_login, 'Login név') &&
	mand_str($de_password, 'Jelszó')
	)
    {
	insert_deploy($de_vhid, $de_repo, $de_branch, $de_login, $de_password, $de_hook_pre, $de_hook_post);

	closewindow("deploy");

    } else {
	edit_deploy($de_vhid, $de_repo, $de_branch, $de_login, $de_password, $de_hook_pre, $de_hook_post);
    }

 //change deploy
 } elseif ($mode=="edit" && (nonzero($de_id))) {
    echo '<h2>Hook scriptek módosítása</h2>';

    if (!(check_deploy($de_id))) { suicide(); }

    modify_deploy($de_id);

 //save changed deploy
 } elseif ($mode=="update" && nonzero($de_id)) {
    echo '<h2>Hook scriptek mentése</h2>';

    check_form_validator();

    if (!(check_deploy($de_id))) { suicide(); }

	update_deploy($de_id, $de_hook_pre, $de_hook_post);
	closewindow("deploy");

 //ask to autodeploy
 } elseif ($mode=="deploy" && nonzero($de_id)) {
    echo '<h2>Automata deployment</h2>';

    if (!(check_deploy($de_id))) { suicide(); }

    ask_deploy($de_id);    

 //finally autodeploy
 } elseif ($mode=="finaldeploy" && nonzero($de_id)) {
    echo '<h2>Automata deployment</h2>';

    check_form_validator();

    if (!(check_deploy($de_id))) { suicide(); }

    final_deploy($de_id);

    closewindow("deploy");

 //ask to delete repo
 } elseif ($mode=="del" && nonzero($de_id)) {
    echo '<h2>Automata deployment megszüntetése</h2>';

    if (!(check_deploy($de_id))) { suicide(); }

    ask_del($de_id);

 //finally delete repo
 } elseif ($mode=="finaldel" && nonzero($de_id)) {
    echo '<h2>Automata deployment megszüntetése</h2>';

    check_form_validator();

    if (!(check_deploy($de_id))) { suicide(); }

    final_del($de_id);

    closewindow("deploy");

 } else {
    echo '<h4>Hibás paraméterezés.</h4>';
    pageclose();
    die();
 }

    DBclose();
    pageclose();
    exit (0);

}
?>
