<?php

function startmain()
{

 htmlheader();

 global $CONFIG;
 global $adminlogin;
 global $clientid;

 require $CONFIG['adir'].'/include/edit/host/functions.php';
 require $CONFIG['adir'].'/include/edit/host/forms.php';

#################################################################### route

 // get mode
 $mode= gp_str('mode');
 $he_id= gp_int('id');
 $he_host= strtolower(gp_str('h_host'));
 $he_domid= gp_int('m_domid');

# if ($adminlogin == 1) {
    $he_ip= gp_str('h_ip');
    $he_mxon= gp_int('h_mxon');
    $he_mx= strtolower(gp_str('h_mx'));
# } else {
#    $he_ip=NULL;
#    $he_mxon=NULL;
#    $he_mx=NULL;
# }
 $he_dkim= gp_int('h_dkim');


 // new host
 if ($mode=="new") {
    echo '<h2>Új Aldomain felvétele</h2>';

#    if ($adminlogin==1) {
	edit_host();
#    } else {
#    echo '<h4>Új aldomaint csak az adminisztrátor vehet fel.</h4>';
#    }

 // save new
 } elseif ($mode=="save") {
    echo '<h2>Új Aldomain létrehozása</h2>';

    check_form_validator();

#   if ($adminlogin==1) {

	if (
	    mand_str($he_host, 'Aldomain') &&
	    check_format_host($he_host) &&
	    check_exist_host($he_host, $he_domid) &&
	    mand_int($he_domid, 'Domain') &&
		check_domain($he_domid) &&
    	    (!$he_ip || check_format_ip($he_ip)) &&
	    mand_int($he_mxon, 'MX') &&
    	    (!$he_mx || check_format_multirow_mx($he_mx)) &&
	    opt_int($he_dkim, 'DKIM')
	)
	{
	    insert_host($he_host, $he_domid, $he_ip, $he_mxon, $he_mx, $he_dkim);

	    closewindow("host");

        } else {
	    edit_host ($he_host, $he_domid, $he_ip, $he_mxon, $he_mx, $he_dkim);
	}
#    } else {
#	echo '<h4>Új aldomaint csak az adminisztrátor vehet fel.</h4>';
#    }

 //change host
 } elseif ($mode=="edit" && (nonzero($he_id))) {
    echo '<h2>Aldomain adatok módosítása</h2>';

    //clients not allowed to modify domain data
#    if (!($adminlogin==1)) { suicide(); }
    if (!(check_host($he_id))) { suicide(); }

    modify_host($he_id);

 //save changed domain
 } elseif ($mode=="update" && nonzero($he_id)) {
    echo '<h2>Aldomain adatok mentése</h2>';

    check_form_validator();

    //clients not allowed to modify domain data
#    if (!($adminlogin==1)) { suicide(); }
    if (!(check_host($he_id))) { suicide(); }

    if (
	mand_int($he_id, 'Aldomain') &&
    	(!$he_ip || check_format_ip($he_ip)) &&
	mand_int($he_mxon, 'MX') &&
    	(!$he_mx || check_format_multirow_mx($he_mx)) &&
	opt_int($he_dkim, 'DKIM')

    )
    {
	update_host($he_id, $he_ip, $he_mxon, $he_mx, $he_dkim);
	closewindow("host");
    } else {
	modify_host($he_id, $he_ip, $he_mxon, $he_mx, $he_dkim);
    }


 //ask to delete host
 } elseif ($mode=="del" && nonzero($he_id)) {
    echo '<h2>Aldomain törlése</h2>';

    if (!(check_host($he_id))) { suicide(); }

    ask_del($he_id);

 //finally delete host
 } elseif ($mode=="finaldel" && nonzero($he_id)) {
    echo '<h2>Aldomain végleges törlése</h2>';

    check_form_validator();

    if (!(check_host($he_id))) { suicide(); }

    final_del($he_id);

    closewindow("host");

 //ask toggle
 } elseif ($mode=="toggle" && nonzero($he_id)) {
    echo '<h2>Aldomain ki-bekapcsolása</h2>';

    if (!(check_host($he_id))) { suicide(); }

    ask_toggle_host($he_id);

 //toggle on-off
 } elseif ($mode=="finaltoggle" && nonzero($he_id)) {
    echo '<h2>Aldomain ki-bekapcsolása</h2>';

    check_form_validator();

    if (!(check_host($he_id))) { suicide(); }

    toggle_host($he_id);

    closewindow("host");

 } else {
    echo '<h4>Hibás paraméterezés.</h4>';
    pageclose();
    die();
 }

    DBclose();
    pageclose();
    exit (0);
}
?>
