<?php

function edit_host ($he_host=NULL, $he_domid=NULL, $he_ip=NULL, $he_mxon=0, $he_mx='', $he_dkim=NULL) {

	global $clientid;
	global $adminlogin;
	global $CONFIG;

	    if ($he_mxon == 1) { $he_mx=NULL; }

		if ($adminlogin==1)
		{
		    echo "<h5><a href=\"".$_SERVER['SCRIPT_NAME']."?f=host&e=3&mode=edit\"><u>CSV import</u></a></h5>\n";
		}

	    // Form + table start
	    echo "<form action=\"".$_SERVER['SCRIPT_NAME']."?f=host&e=1&mode=save\" method=\"post\" name=\"sysadminform\">\n";
	    add_form_validator();
	    echo "<table class=\"edittable\">\n";

	    require_once($CONFIG['adir'].'/include/dropdown.function.php');

	    //comment
	    echo "<tr>\n";
	    echo "<td colspan=\"3\"><i><b>FIGYELEM! Csak hozzáértő felhasználóknak!</b><br />";
	    echo "Alapértelmezésben a <b>*.domainnév</b> a szerverre (vagy a megadott Elsődleges IP címre) mutat,<br /> \n";
	    echo "tehát <b>aldomaint létrehozni nem szükséges</b>, kivéve speciális esetekben.\n";
	    echo "</i></td>\n";
	    echo "</tr>\n";

	    echo "<tr>\n";
	    echo "<td><strong>Domain:</strong></td>\n";
	    echo "<td>\n";
    	    dropdown_domains($he_domid);
	    echo "</td>\n";
	    echo "</tr>\n";

	    // host
	    echo "<tr>\n";
	    echo "<td><strong>Aldomain:</strong></td>\n";
	    echo "<td>";
	    echo "<input type=\"text\" name=\"h_host\" value=\"$he_host\">";
	    echo "</td>\n";
	    echo "</tr>\n";
    
	    // IP
	    echo "<tr>\n";
	    echo "<td><strong>IP cím:</strong></td>\n";
	    echo "<td><input type=\"text\" name=\"h_ip\" value=\"$he_ip\"></td>\n";
	    echo "</tr>\n";

	    //comment
	    echo "<tr>\n";
	    echo "<td colspan=\"2\"><i>Ha üresen hagyjuk, az aldomain a szerverre fog mutatni.<br />\n";
	    echo "(Ennek a legtöbb esetben csak akkor van értelme, ha a domain elsődleges IP címe egy külső cím.)</i></td>\n";
	    echo "</tr>\n";

	    // Mail
	    echo "<tr>\n";
	    echo "<td><strong>Levelezés:</strong></td>\n";
		echo "<td><select name=\"h_mxon\" onChange=\"Javascript:switchfield('h_mx',document.sysadminform.h_mxon.value,1)\">";
		echo "<option value=\"1\"";
		if ("$he_mxon"=="1") { echo " selected "; }
		echo ">bekapcsolva (helyben)</option><option value=\"0\"";
		if ("$he_mxon"=="0") { echo " selected "; }
		echo ">kikapcsolva (külső MX)</option></td>";
	    echo "</tr>\n";

	    // MX
	    $mxdis='';
	    if ( $he_mxon == 1 ) { $mxdis="disabled"; }
	    echo "<tr>\n";
	    echo "<td><strong>MX rekordok:</strong><br />(soronként egy)</td>\n";
	    echo "<td><textarea rows=\"4\" cols=\"30\" name=\"h_mx\" $mxdis>$he_mx</textarea></td>\n";
	    echo "</tr>\n";

	    //comment
	    echo "<tr>\n";
	    echo "<td colspan=\"3\"><i>Ha a levelezés a szerveren van, kérjük <b>üresen hagyni</b>.<br />";
	    echo "Kérjük felsorolni az MX rekordokat (pl. 10 mail.domain.hu. )</i></td>\n";
	    echo "</tr>\n";

	// DKIM
	echo "<tr>\n";
	echo "<td><strong>DKIM aláírás mindeképp:</strong></td>\n";
	    echo "<td><select name=\"h_dkim\">";
	    echo "<option value=\"0\"";
	    if ("$he_dkim"=="0") { echo " selected "; }
	    echo ">kikapcsolva (javasolt)</option><option value=\"1\"";
	    if ("$he_dkim"=="1") { echo " selected "; }
	    echo ">bekapcsolva (külső DNS)</option></td>";
	echo "</tr>\n";

	//comment
	echo "<tr>\n";
	echo "<td colspan=\"3\"><i>Csak akkor szükséges bekapcsolni, ha a domainhez <b>külső DNS szolgáltatást</b> használunk,<br />\n";
	echo "<b>működik levelezés</b> az aldomainen és a külső DNS szerverben <b>már felvettük</b> a DKIM rekordot.</td>\n";
	echo "</tr>\n";

	    //submit
	    echo "<tr>\n";
	    echo "<td></td>\n";
	    echo "<td><input type=\"submit\" value=\"OK, tudom mit csinálok\"> <input type=\"button\" value=\"Mégse\" onmouseup=\"javascript:self.close()\"></td>\n";
	    echo "<td></td>\n";
	    echo "</tr>\n";

	    //form end
	    echo "</table>\n";
	    echo "</form>\n";
	    setformfocus();

}

function modify_host ($he_id, $he_ip=NULL, $he_mxon=NULL, $he_mx=NULL, $he_dkim=NULL) {

	global $clientid;
	global $adminlogin;

	    $dsql ="SELECT dom_host.id AS hostid,
			dom_host.host AS host,
			dom_host.ip AS ip,
			dom_host.mx AS mx,
			dom_host.dkim AS dkim,
			(dom_host.mx IS NULL) AS mxon,
			domain.dns AS dns,
			domain.name AS domname
		FROM dom_host
		LEFT JOIN domain ON dom_host.domainid=domain.id
		WHERE dom_host.id=\"$he_id\";";

    	    $dResult=DBquery($dsql);
    	    $dRow=$dResult->fetch_assoc();

	    if ($he_ip == NULL) { $he_ip = $dRow['ip']; }
	    if ($he_mx == NULL) { $he_mx = $dRow['mx']; }
	    if ($he_dkim == NULL) { $he_dkim = $dRow['dkim']; }
	    if ($he_mxon == NULL) { $he_mxon = $dRow['mxon']; }

	    if ($he_mxon == 1) { $he_mx=NULL; }

	    $dom_dns=$dRow['dns'];
	    if ($dom_dns == 1) { $de_dkim=0; }

	    // Form + table start
	    echo "<form action=\"".$_SERVER['SCRIPT_NAME']."?f=host&e=1&mode=update&id=$he_id\" method=\"post\" name=\"sysadminform\">\n";
	    add_form_validator();
	    echo "<table class=\"edittable\">\n";

	    //comment
	    echo "<tr>\n";
	    echo "<td colspan=\"3\"><i><b>FIGYELEM! Csak hozzáértő felhasználóknak!</b></i></td>\n";
	    echo "</tr>\n";


	    // host start
	    echo "<tr>\n";
	    echo "<td><strong>Aldomain:</strong></td>\n";
	    echo "<td><b>$dRow[host]</b>.$dRow[domname]</td>\n";
	    echo "</tr>\n";

	    // IP
	    echo "<tr>\n";
	    echo "<td><strong>IP cím:</strong></td>\n";
	    echo "<td><input type=\"text\" name=\"h_ip\" value=\"$he_ip\"></td>\n";
	    echo "</tr>\n";

	    //comment
	    echo "<tr>\n";
	    echo "<td colspan=\"2\"><i>Ha üresen hagyjuk, az aldomain a szerverre fog mutatni.<br />\n";
	    echo "(Ennek a legtöbb esetben csak akkor van értelme, ha a domain elsődleges IP címe egy külső cím.)</i></td>\n";
	    echo "</tr>\n";

	    // Mail
	    echo "<tr>\n";
	    echo "<td><strong>Levelezés:</strong></td>\n";
		echo "<td><select name=\"h_mxon\" onChange=\"Javascript:switchfield('h_mx',document.sysadminform.h_mxon.value,1)\">";
		echo "<option value=\"1\"";
		if ("$he_mxon"=="1") { echo " selected "; }
		echo ">bekapcsolva (helyben)</option><option value=\"0\"";
		if ("$he_mxon"=="0") { echo " selected "; }
		echo ">kikapcsolva (külső MX)</option></td>";
	    echo "</tr>\n";

	    // MX
	    $mxdis='';
	    if ( $he_mxon == 1 ) { $mxdis="disabled"; }
	    echo "<tr>\n";
	    echo "<td><strong>MX rekordok:</strong><br />(soronként egy)</td>\n";
	    echo "<td><textarea rows=\"4\" cols=\"30\" name=\"h_mx\" $mxdis>$he_mx</textarea></td>\n";
	    echo "</tr>\n";

	    //comment
	    echo "<tr>\n";
	    echo "<td colspan=\"3\"><i>Ha a levelezés a szerveren van, kérjük <b>üresen hagyni</b>.<br />";
	    echo "Kérjük felsorolni az MX rekordokat (pl. 10 mail.domain.hu. )</i></td>\n";
	    echo "</tr>\n";

	// DKIM
	    if ( $dom_dns == 1 ) { $dkimdis="disabled"; }
	    echo "<tr>\n";
	    echo "<td><strong>DKIM aláírás mindeképp:</strong></td>\n";
	    echo "<td><select name=\"h_dkim\" $dkimdis>";
	    echo "<option value=\"0\"";
	    if ("$he_dkim"=="0") { echo " selected "; }
	    echo ">kikapcsolva (javasolt)</option><option value=\"1\"";
	    if ("$he_dkim"=="1") { echo " selected "; }
	    echo ">bekapcsolva (külső DNS)</option></td>";
	    echo "</tr>\n";

	//comment
	    echo "<tr>\n";
	    if ( $dom_dns == 1 )
	    {
		echo "<td colspan=\"3\"><i>A DNS szolgáltatás helyben működik, az e-maileket automatikusan ellátjuk DKIM aláírással.<br />\n";
		echo "Ez az opció csak <b>külső DNS szolgáltatás használatakor</b> szükséges.</i></td>\n";
	    }
	    else
	    {
		echo "<td colspan=\"3\"><i>Csak akkor szükséges bekapcsolni, ha a domainhez <b>külső DNS szolgáltatást</b> használunk,<br />\n";
		echo "<b>működik levelezés</b> az aldomainen és a külső DNS szerverben <b>már felvettük</b> a DKIM rekordot.</i></td>\n";
	    }
	    echo "</tr>\n";

	    //submit
	    echo "<tr>\n";
	    echo "<td></td>\n";
	    echo "<td><input type=\"submit\" value=\"OK, tudom mit csinálok\"> <input type=\"button\" value=\"Mégse\" onmouseup=\"javascript:self.close()\"></td>\n";
	    echo "</tr>\n";

	    //form end
	    echo "</table>\n";
	    echo "</form>\n";
	    setformfocus();

}

function ask_del($he_id) {

    global $clientid;

    $hostname=get_host($he_id);

    // Form + table start
    echo "<form action=\"".$_SERVER['SCRIPT_NAME']."?f=host&e=1&mode=finaldel&id=$he_id\" method=\"post\" name=\"sysadminform\">\n";
    add_form_validator();
    echo "<table class=\"edittable\">\n";

    //comment
    echo "<tr>\n";
    echo "<td>Valóban törölni szeretné a(z) <b>$hostname</b> aldomaint? Az aldomain törlésével a hozzá tartozó postafiókok, aliasok is törlődnek!</td>\n";
    echo "</tr>\n";

    //submit
    echo "<tr>\n";
    echo "<td><input type=\"submit\" value=\"OK\"> <input type=\"button\" value=\"Mégse\" onmouseup=\"javascript:self.close()\"></td>\n";
    echo "</tr>\n";

    //form end
    echo "</table>\n";
    echo "</form>\n";
}

function ask_toggle_host($he_id) {

    global $clientid;

    $hostname=get_host($he_id);
    $hostdata=get_host_data($he_id);

    // Form + table start
    echo "<form action=\"".$_SERVER['SCRIPT_NAME']."?f=host&e=1&mode=finaltoggle&id=$he_id\" method=\"post\" name=\"sysadminform\">\n";
    add_form_validator();
    echo "<table class=\"edittable\">\n";

    //comment
    echo "<tr>\n";
    if ($hostdata['active']==1)
    {
	echo "<td>Valóban szeretné kikapcsolni a(z) <b>$hostname</b> aldomaint? Továbbra is elérhető lesz, de a domain alapbeállításait örökli. Ha tartozik hozzá levelezés, az felfüggesztésre kerül.</td>\n";
    }
    else
    {
	echo "<td>Valóban szeretné bekapcsolni a(z) <b>$hostname</b> aldomaint?</td>\n";
    }
    echo "</tr>\n";

    //submit
    echo "<tr>\n";
    echo "<td><input type=\"submit\" value=\"OK\"> <input type=\"button\" value=\"Mégse\" onmouseup=\"javascript:self.close()\"></td>\n";
    echo "</tr>\n";

    //form end
    echo "</table>\n";
    echo "</form>\n";
}

