<?php

function insert_host($he_host, $he_domid, $he_ip=NULL, $he_mxon, $he_mx=NULL, $he_dkim=NULL) {

	global $adminlogin;

	$dom_data=get_domain_data($he_domid);
	$dom_name=$dom_data['uniname'];
	$dom_name_html=$dom_data['uniname_html'];

	if ($he_dkim!=1) { $he_dkim=0; }
	if ($dom_data['dns']==1) { $he_dkim=0; }

	//$hi_ip=nullquote($he_ip);
	//if ($he_mxon==1) { $hi_mx="NULL"; } else { $hi_mx="'$he_mx'"; }
	if ($he_mxon==1) { $he_mx=NULL; }

#	$nsql="INSERT INTO dom_host SET domainid='$he_domid', host='$he_host', ip=$hi_ip, mx=$hi_mx, dkim='$he_dkim', modified=NOW(); ";
#	check_mysql_query($nsql);

	$nsql="INSERT INTO dom_host SET domainid=?, host=?, ip=?, mx=?, dkim=?, modified=NOW();";
	$nvalues=array('sssss', $he_domid, $he_host, $he_ip, $he_mx, $he_dkim);
	DBquery_prep($nsql, $nvalues);

	activate_config('bind_update');
	activate_config('opendkim_update');
	apply_activation();
	echo "<h4>A(z) <b>$he_host.$dom_name_html</b> aldomaint létrehoztuk.</h4>";
	logme("Subdomain created: $he_host.$dom_name");
}

function update_host($he_id, $he_ip=NULL, $he_mxon, $he_mx=NULL, $he_dkim=NULL) {

	global $adminlogin;

	$dom_id=get_host_domainid($he_id);
	$dom_data=get_domain_data($dom_id);

	if ($he_dkim!=1) { $he_dkim=0; }
	if ($dom_data['dns']==1) { $he_dkim=0; }
	//$hi_ip=nullquote($he_ip);
	//if ($he_mxon==1) { $hi_mx="NULL"; } else { $hi_mx="'$he_mx'"; }
	if ($he_mxon==1) { $he_mx=NULL; }

#	$usql="UPDATE dom_host SET ip=$hi_ip, mx=$hi_mx, dkim='$he_dkim', modified=NOW() WHERE id='$he_id';";
#	check_mysql_query($usql);
	$usql="UPDATE dom_host SET ip=?, mx=?, dkim=?, modified=NOW() WHERE id='$he_id';";
	$uvalues=array('sss', $he_ip, $he_mx, $he_dkim);
	DBquery_prep($usql, $uvalues);

	activate_config('bind_update');
	activate_config('opendkim_update');
	apply_activation();
	$hostname=get_host($he_id);
	echo "<h4>A(z) $hostname aldomain beállításait megváltoztattuk.</h4>";
	logme("Subdomain changed: $hostname");
}

function toggle_host($he_id) {

    $gsql="SELECT active FROM dom_host WHERE id='$he_id';";
    $gResult=DBquery($gsql);
    $gRow=$gResult->fetch_assoc();
    $active=$gRow['active'];

    if ($active==1) { $setact=0; $kb="ki"; } else { $setact=1; $kb="be"; }

    $tsql="UPDATE dom_host SET active='$setact', modified=NOW() WHERE id='$he_id';";
    check_mysql_query($tsql);
    activate_config('bind_update');
    activate_config('opendkim_update');
    apply_activation();
    $hostname=get_host($he_id);
    echo "<h4>A(z) $hostname aldomaint ".$kb."kapcsoltuk.</h4>";
    logme("Subdomain toggle($setact): $hostname");

}

function final_del($he_id) {

    // mail_users
    $dsql="DELETE FROM mail_users WHERE hostid='$he_id';";
    check_mysql_query($dsql);
    // mail_aliases
    $dsql="DELETE FROM mail_aliases WHERE hostid='$he_id';";
    check_mysql_query($dsql);

    $hostname=get_host($he_id);

	//get domain id
	$domainid=get_host_domainid($he_id);

    //the host
    $dsql="DELETE FROM dom_host WHERE id='$he_id';";
    check_mysql_query($dsql);

	$dsql="UPDATE domain SET modified=NOW() WHERE id='$domainid';";
    check_mysql_query($dsql);

    activate_config('bind_update');
    activate_config('opendkim_update');
    apply_activation();
    echo "<h4>A(z) $hostname aldomaint töröltük.</h4>";
    logme("Subdomain deleted: ".$hostname);
}

/*
function activate_domain_config() {
    $asql="UPDATE var SET `value`=1 WHERE `key`='bind_update';";
    check_mysql_query($asql);
}
*/
