<?php

function startmain()
{

 htmlheader();

 global $CONFIG;
 global $adminlogin;
 global $clientid;

 require $CONFIG['adir'].'/include/edit/mysql/functions.php';
 require $CONFIG['adir'].'/include/edit/mysql/forms.php';

#################################################################### route

 // get mode
 $mode=gp_str('mode');
 $se_id=gp_int('id');

 if ($clientid == 0) { $se_cliid=gp_int('cliid'); } else { $se_cliid=$clientid; }

 $se_name= strtolower(gp_str('s_name'));
 $se_password1= gp_str('s_password1');
 $se_password2= gp_str('s_password2');


 // new mysql
 if ($mode=="new") {
    echo '<h2>Új MySQL adatbázis felvétele</h2>';

    edit_mysql();

 // save new
 } elseif ($mode=="save") {
    echo '<h2>Új MySQL adatbázis létrehozása</h2>';

    check_form_validator();

    if (
	mand_int($se_cliid, 'Ügyfél') &&
	check_client($se_cliid) &&
	mand_str($se_name, 'Adatbázisnév/Login') &&
	check_format_alnum($se_name, 'adatbázisnév-loginnév utótag') &&
	check_exist_mysql($se_name, $se_cliid) &&
	opt_pass($se_password1, $se_password2, $se_name, '')
	)
    {
	$se_password=gen_pass($se_password1);

	insert_mysql($se_cliid, $se_name, $se_password);

	//if ($se_password != $se_password1) { $pause=1; }

	closewindow("mysql");

    } else {

	edit_mysql ($se_cliid, $se_name, $se_password1, $se_password2);

    }

 //change mysql account
 } elseif ($mode=="edit" && (nonzero($se_id))) {
    echo '<h2>MySQL jelszó módosítása</h2>';

    if (!(check_mysql($se_id))) { suicide(); }

    modify_mysql($se_id);

 //save changed mysql account
 } elseif ($mode=="update" && nonzero($se_id)) {
    echo '<h2>MySQL jelszó mentése</h2>';

    check_form_validator();

    if (!(check_mysql($se_id))) { suicide(); }

    $se_name=get_mysql_userpart($se_id);
    $se_oldpass=get_mysqlpass($se_id);

    if (
		opt_pass($se_password1, $se_password2, $se_name, $se_oldpass)
	)
    {

	$se_password=gen_pass($se_password1);

	update_mysql($se_id, $se_password, $se_oldpass);

	//if ($se_password != $se_password1) { $pause=1; }

	closewindow("mysql");

    } else {
	modify_mysql($se_id, $se_password1, $se_password2);
    }

 //ask to delete db
 } elseif ($mode=="del" && nonzero($se_id)) {
    echo '<h2>MySQL adatbázis törlése</h2>';

    if (!(check_mysql($se_id))) { suicide(); }

    ask_del($se_id);    

 //finally delete db
 } elseif ($mode=="finaldel" && nonzero($se_id)) {
    echo '<h2>MySQL adatbázis törlése</h2>';

    check_form_validator();

    if (!(check_mysql($se_id))) { suicide(); }

    final_del($se_id);

    closewindow("mysql");

 //ask toggle
 } elseif ($mode=="toggle" && nonzero($se_id)) {
    echo '<h2>MySQL elérés ki-bekapcsolása</h2>';

    if (!(check_mysql($se_id))) { suicide(); }

    ask_toggle_mysql($se_id);

 //toggle on-off
 } elseif ($mode=="finaltoggle" && nonzero($se_id)) {
    echo '<h2>MySQL elérés ki-bekapcsolása</h2>';

    check_form_validator();

    if (!(check_mysql($se_id))) { suicide(); }

    toggle_mysql($se_id);

    closewindow("mysql");

 } else {
    echo '<h4>Hibás paraméterezés.</h4>';
    pageclose();
    die();
 }

    DBclose();
    pageclose();
    exit (0);

}
?>
