<?php

function edit_mysql ($se_cliid=0, $se_name='', $se_password1='', $se_password2='') {

	global $adminlogin;
	global $clientid;
	global $CONFIG;

	require_once($CONFIG['adir'].'/include/dropdown.function.php');

	if ($adminlogin==1)
	{
	    echo "<h5><a href=\"".$_SERVER['SCRIPT_NAME']."?f=mysql&e=3&mode=edit\"><u>CSV import</u></a></h5>\n";
	}

	// Form + table start
	echo "<form action=\"".$_SERVER['SCRIPT_NAME']."?f=mysql&e=1&mode=save\" method=\"post\" name=\"sysadminform\">\n";
	add_form_validator();
	echo "<table class=\"edittable\">\n";

	// login start
	echo "<tr>\n";
	echo "<td><strong>Adatbázis és Login:</strong></td>\n";

	// login
	echo "<td align=\"right\">";
	dropdown_clients($se_cliid,1);
	echo "_</td>";
	echo "<td>";
	echo "<input type=\"text\" name=\"s_name\" value=\"$se_name\">";

	// login end
	echo "</td>\n";
	echo "</tr>\n";

	// password 1
	echo "<tr>\n";
	echo "<td><strong>Jelszó:</strong></td>\n";
	echo "<td></td>\n";
	echo "<td><input type=\"password\" name=\"s_password1\" value=\"$se_password1\"></td>\n";
	echo "</tr>\n";

	// password 2
	echo "<tr>\n";
	echo "<td><strong>Jelszó újra:</strong></td>\n";
	echo "<td></td>\n";
	echo "<td><input type=\"password\" name=\"s_password2\" value=\"$se_password2\"></td>\n";
	echo "</tr>\n";

	//comment
	echo "<tr>\n";
	echo "<td colspan=\"3\"><i>Üresen hagyott jelszó esetén a rendszer automatikusan generál egyet.</i></td>\n";
	echo "</tr>\n";

	//submit
	echo "<tr>\n";
	echo "<td></td>\n";
	echo "<td></td>\n";
	echo "<td><input type=\"submit\" value=\"OK\"> <input type=\"button\" value=\"Mégse\" onmouseup=\"javascript:self.close()\"></td>\n";
	echo "</tr>\n";

	//form end
	echo "</table>\n";
	echo "</form>\n";
	setformfocus();
}

function modify_mysql ($se_id, $se_password1='', $se_password2='') {

	global $clientid;

    	$csql ="SELECT mysql.name AS name, client.name AS clientname, client.id AS cliid,
			mysql.password AS password
		FROM mysql
		LEFT JOIN client ON mysql.clientid=client.id
		WHERE mysql.id=\"$se_id\";";

        $cResult=DBquery($csql);
        $cRow=$cResult->fetch_assoc();

        $cliid=cli_pad($cRow['cliid']);
	$sqlname=$cRow['name'];

	if ($se_password1=="" && $se_password2=="") {
	    $se_password1=$cRow['password'];
	    $se_password2=$cRow['password'];
	}

	// Form + table start
	echo "<form action=\"".$_SERVER['SCRIPT_NAME']."?f=mysql&e=1&mode=update&id=$se_id\" method=\"post\" name=\"sysadminform\">\n";
	add_form_validator();
	echo "<table class=\"edittable\">\n";

	// login
	echo "<tr>\n";
	echo "<td><strong>Adatbázis és Login:</strong></td>\n";
	echo "<td>";
	echo $cliid."_<b>$sqlname</b>";
	echo "</td>\n";
	echo "</tr>\n";

	// password 1
	echo "<tr>\n";
	echo "<td><strong>Jelszó:</strong></td>\n";
	echo "<td><input type=\"password\" name=\"s_password1\" value=\"$se_password1\"></td>\n";
	echo "</tr>\n";

	// password 2
	echo "<tr>\n";
	echo "<td><strong>Jelszó újra:</strong></td>\n";
	echo "<td><input type=\"password\" name=\"s_password2\" value=\"$se_password2\"></td>\n";
	echo "</tr>\n";

	//comment
	echo "<tr>\n";
	echo "<td colspan=\"2\"><i>Üresen hagyott jelszó esetén a rendszer automatikusan generál egyet.</i></td>\n";
	echo "</tr>\n";

	//submit
	echo "<tr>\n";
	echo "<td></td>\n";
	echo "<td><input type=\"submit\" value=\"OK\"> <input type=\"button\" value=\"Mégse\" onmouseup=\"javascript:self.close()\"></td>\n";
	echo "</tr>\n";

	//form end
	echo "</table>\n";
	echo "</form>\n";
	setformfocus();
}

function ask_del($mysqlid) {

    global $clientid;

    $sqluser=get_mysql($mysqlid);

    // Form + table start
    echo "<form action=\"".$_SERVER['SCRIPT_NAME']."?f=mysql&e=1&mode=finaldel&id=$mysqlid\" method=\"post\" name=\"sysadminform\">\n";
    add_form_validator();
    echo "<table class=\"edittable\">\n";

    //comment
    echo "<tr>\n";
    echo "<td>Valóban törölni szeretné a <b>$sqluser</b> MySQL adatbázis elérést?</td>\n";
    echo "</tr>\n";

    echo "<tr>\n";
    echo "<td></td>\n";
    echo "</tr>\n";

    //submit
    echo "<tr>\n";
    echo "<td><input type=\"submit\" value=\"OK\"> <input type=\"button\" value=\"Mégse\" onmouseup=\"javascript:self.close()\"></td>\n";
    echo "</tr>\n";

    //form end
    echo "</table>\n";
    echo "</form>\n";
}

function ask_toggle_mysql($mysqlid) {

    global $clientid;

    $sqluser=get_mysql($mysqlid);
    $sqldata=get_mysql_data($mysqlid);

    // Form + table start
    echo "<form action=\"".$_SERVER['SCRIPT_NAME']."?f=mysql&e=1&mode=finaltoggle&id=$mysqlid\" method=\"post\" name=\"sysadminform\">\n";
    add_form_validator();
    echo "<table class=\"edittable\">\n";

    //comment
    echo "<tr>\n";
    if ($sqldata['active']==1)
    {
	echo "<td>Valóban szeretné kikapcsolni a <b>$sqluser</b> MySQL felhasználót? A hozzá tartozó adatbázis hozzáférhetetlen lesz.</td>\n";
    }
    else
    {
	echo "<td>Valóban szeretné bekapcsolni a <b>$sqluser</b> MySQL felhasználót?</td>\n";
    }
    echo "</tr>\n";

    echo "<tr>\n";
    echo "<td></td>\n";
    echo "</tr>\n";

    //submit
    echo "<tr>\n";
    echo "<td><input type=\"submit\" value=\"OK\"> <input type=\"button\" value=\"Mégse\" onmouseup=\"javascript:self.close()\"></td>\n";
    echo "</tr>\n";

    //form end
    echo "</table>\n";
    echo "</form>\n";
}

