<?php

function startmain()
{

 global $CONFIG;
 global $adminlogin;
 global $adminlevel;
 global $clientid;
 global $FILTER;

 htmlheader();
 topmenu_start();
    sel_node();
    sel_client();
    sel_domain();
    sel_host();
 topmenu_end();

 if ($_SESSION['sysadmin_logged']==true)
 {
    $sql ="SELECT mail_aliases.id AS id, mail_aliases.alias AS alias, domain.name AS domain, mail_aliases.goto AS goto, dom_host.host AS host, mail_aliases.active AS active
	    FROM mail_aliases
	    LEFT JOIN domain ON mail_aliases.domainid=domain.id
	    LEFT JOIN dom_host ON mail_aliases.hostid=dom_host.id
	    LEFT JOIN client ON domain.clientid=client.id
	    WHERE 1 ";

	$sql.=enforce_mysql_access();

    if (nonzero($FILTER['nodeid']))
    {
        $sql.="AND `client`.`node`=\"".$FILTER['nodeid']."\" ";
    }

    // client domainjei
    if ($clientid != 0)
    {
		$sql.="AND client.id=\"$clientid\" ";
    }

    // ha szurtuk
    if (nonzero($FILTER['domid']))
    {
	$sql.="AND domain.id=\"".$FILTER['domid']."\" ";
    }

    if (nonzero($FILTER['domid']) && nonzero($FILTER['hostid']))
    {
	$sql.="AND dom_host.id=\"".$FILTER['hostid']."\" ";
    }

    $sql.="ORDER BY domain.name, mail_aliases.alias ";
    $sql.=";";

    $Result=DBquery($sql);

    echo "<table class='data' id='datatable'>";

    if ($Result->num_rows) {

	//kiiras
	echo "\n<thead><tr><th width='20px'>#</th>";
	echo "<th>Domain</th>";
	echo "<th>Alias</th>";
	echo "<th>Cél</th>";
	echo "<th class='no-sort' width='20px'>Szerk</th>";
	echo "<th width='20px'>Aktív</th>";
	echo "<th class='no-sort' width='20px'>Töröl</th>";
	echo "</tr></thead>\n";

    } else {
	echo "<tr><td><h3>nincsenek e-mail alias címek</h3></td></tr>";
    }

    $i=1;
    while($Row=$Result->fetch_assoc())
    {
	if ($i%2 == 0) echo "<tr class=\"list-paros\">";
	else echo "<tr class=\"list-paratlan\">";

	$alid=$Row['id'];

	$domain=domuni($Row['domain'],"<span class=\"red\">","</span>");

	if ($Row['host']) {
	    $domhost="<span class=\"hostname\">".$Row['host'].".</span>".$domain;
	} else {
	    $domhost=$domain;
	}

	$go=$Row['goto'];
	$go=str_replace(",", " ", $go);
	$go=str_replace("\n", " ", $go);
	$go=str_replace("\r", "", $go);

	$gotos=explode(' ', $go);

	echo "<td>$i.</td>";
	echo "<td>$domain</td>";
	echo "<td>$Row[alias]@$domhost</td>";

	# goto
	echo "<td>";
	foreach ($gotos as $goto) {
	    if (strlen($goto)>5) {
		$goto=trim($goto);
		//echo "<img src=\"$CONFIG[rdir]/image/redirect.png\"> $goto<br />";
		echo "<p class='icon redirect'>$goto</p>";
	    }
	}
	echo "</td>";

	//echo "<td class=\"c\"><a href=\"javascript:Act('alias','edit','$alid')\"><img src=\"$CONFIG[rdir]/image/edit.png\"></a></td>";
	echo "<td class=\"c\"><a href=\"javascript:Act('alias','edit','$alid')\" class='icon edit'></a></td>";

#	echo "<td class=\"c\"><a href=\"javascript:Act('alias','toggle','$alid',1)\">";
#	if ($Row['active']) { echo "<img src=\"$CONFIG[rdir]/image/ok.png\">";
#	} else { echo "<img src=\"$CONFIG[rdir]/image/off.png\">"; }
#	echo "</a></td>";

	echo "<td class=\"c\"><a href=\"javascript:Act('alias','toggle','$alid',1)\" ";
	if ($Row['active']) {
		echo "class='icon ok'>1";
	} else {
		echo "class='icon off'>0";
	}
	echo "</a></td>";


	//echo "<td class=\"c\"><a href=\"javascript:Act('alias','del','$alid',1)\"><img src=\"$CONFIG[rdir]/image/delete.png\"></a></td>\n";
	echo "<td class=\"c\"><a href=\"javascript:Act('alias','del','$alid',1)\" class='icon delete'></a></td>\n";

        $i++;
        echo "</tr>\n";
    }

    echo "</table>\n";
    tablesorter();

    echo "
            <div class=\"tip\"><b>Tipp:</b> új e-mail alias cím létrehozásához használja a fenti menüben az <span class=\"addnew\" onclick=\"javascript:Act('alias','new')\">Új</span> gombot.<br />
            (a gomb akkor jelenik meg, ha az <b>Alias címek</b> ikon fölé viszi az egérkurzort)</div>
    ";

 }

    DBclose();
    pageclose();

}

?>
