<?php

function startmain()
{
	global $CONFIG;
	global $adminlogin;
	global $adminlevel;
	global $clientid;
	global $FILTER;

	htmlheader();
	topmenu_start();
	sel_node();
	sel_client();
	sel_domain();
#	sel_statfilter();
	topmenu_end();

 if ($_SESSION['sysadmin_logged']==true)
 {

	//pending kiirasa
	if (get_pending('deploy')) {
	echo "<div class=\"pending\"><b>Automata deployment</b> folyamatban. Várható befejezés 1 percen belül. (<a href=\"".$_SERVER['SCRIPT_NAME']."?f=deploy\">Frissít</a>)</div>";
	}

	$sql ="SELECT 
		`deploy`.`id` AS id,
		`deploy`.`repo_address` AS repo_address,
		`deploy`.`login` AS login,
		`deploy`.`password` AS password,
		IFNULL(`deploy`.`branch`, 'master') AS branch,
		`deploy`.`hook_pre` AS hook_pre,
		`deploy`.`hook_post` AS hook_post,
		`deploy`.`deploy` AS deploy,
		IFNULL(`deploy`.`last`, '-') AS last,
		`vhosts`.`id` AS vhid, 
		`vhosts`.`host` AS hostname,
		`vhosts`.`writable` AS writable,
		`vhosts`.`active` AS active,
		IFNULL(`vhosts`.`token`, 'no_token') AS token,
		`domain`.`name` AS domain,
		`client`.`name` AS clientname,
		`client`.`node` AS node
		FROM `deploy`
		LEFT JOIN `vhosts` ON `deploy`.`vhostid`=`vhosts`.`id`
		LEFT JOIN `domain` ON `vhosts`.`domainid`=`domain`.`id`
		LEFT JOIN `client` ON `domain`.`clientid`=`client`.`id`
		WHERE 1 
		";

	$sql.=enforce_mysql_access();
#	// client domainjei
#	if ($clientid != 0)
#	{
#		$sql.="AND `client`.`id`=\"$clientid\" ";
#	}

	if (nonzero($FILTER['nodeid']))
	{
		$sql.="AND `client`.`node`=\"".$FILTER['nodeid']."\" ";
	}

	// ha szurtuk
	if (nonzero($FILTER['domid']))
	{
	$sql.="AND `domain`.`id`=\"".$FILTER['domid']."\" ";
	}

	$sql.="
		ORDER BY domain.name, vhosts.host ";

	$sql.=";";


	$Result=DBquery($sql);

	echo "<table class='data' id='datatable'>";

	if ($Result->num_rows) {

	//kiiras
	echo "\n<thead><tr>";
	echo "<th width='20px'>#</th>";
	if ($CONFIG['nodes']>1) { echo "<th width='20px'>Szerver</th>";}
	echo "<th>Weboldal</th>";
	echo "<th>Deployment célkönyvár</th>";
	echo "<th>(GIT) Repository címe</th>";
	echo "<th>(GIT) Login</th>";
	echo "<th>Branch</th>";
	echo "<th>Hook scriptek</th>";
	echo "<th>Legutóbbi</th>";
	echo "<th class='no-sort' width='20px'>Szerk</th>";
	echo "<th class='no-sort' width='20px'>API</th>";
	echo "<th class='no-sort' width='20px'>Írható</th>";
	echo "<th width='20px'>Deploy</th>";
	echo "<th class='no-sort' width='20px'>Töröl</th>";

	echo "</tr></thead>\n";

	} else {
	echo "<tr><td><h3>nincs beállítva automata deployment (GIT) repository</h3></td></tr>";
	}

	$i=1;
	$datasum=0;
	$cpusum=0;
	while($Row=$Result->fetch_assoc())
	{

		if ($i%2 == 0) echo "<tr class=\"list-paros\">";
		else echo "<tr class=\"list-paratlan\">";

		$repoid=$Row['id'];
		$vhid=$Row['vhid'];

		$wwwprefix="<span style=\"color:#999; font-size:9px;\" >(www).</span>";

		if ($Row['hostname']=="") { $host="www"; } else { $host=$Row['hostname']; }

		$domain=domuni($Row['domain'],"<span class=\"red\">","</span>");

		if ($host=="www") { $hostalias=""; } else {$hostalias="$wwwprefix";}

		$writablerow=trim(htmlspecialchars($Row['writable']));

		echo "<td>$i.</td>";

		if ($CONFIG['nodes']>1) {
			echo "<td ><center><b class='node' id='node".$Row['node']."' title='".$CONFIG['node'][$Row['node']]['ip']."'>".$Row['node']."</b></center></td>";
		}

		echo "<td>$hostalias<b>$host</b>.$domain";
		echo "</td>";

		echo "<td>".$CONFIG['vdir']."/$Row[clientname]/$Row[domain]/$host";
		echo "</td>";

		echo "<td>".$Row['repo_address']."</td>";

		echo "<td>".$Row['login']."</td>";

		echo "<td>".$Row['branch']."</td>";

		$hook=array();
		if ($Row['hook_pre'])
		{
			$hook['pre']="<b>Előtte:</b> $host.$domain/<b>".$Row['hook_pre'].'</b>';
		}
		if ($Row['hook_post'])
		{
			$hook['post']="<b>Utána:</b> $host.$domain/<b>".$Row['hook_post'].'</b>';
		}

		echo "<td>".implode('<br>', $hook)."</td>";

		echo "<td class=\"c\">".$Row['last']."</td>";

		//echo "<td class=\"c\"><a href=\"javascript:Act('deploy','edit','$repoid')\"><img src=\"$CONFIG[rdir]/image/edit.png\"></a></td>";
		echo "<td class=\"c\"><a href=\"javascript:Act('deploy','edit','$repoid')\" class='icon edit'></a></td>";

		//echo "<td class=\"c\"><a href=\"javascript:Manage('vhost','$vhid')\"><img src=\"$CONFIG[rdir]/image/api.png\"></a></td>";
		echo "<td class=\"c\"><a href=\"javascript:Manage('vhost','$vhid')\" class='icon api'></a></td>";

		//echo "<td class=\"c\"><a href=\"javascript:Act('vhost','wdirs','$vhid')\"><img src=\"$CONFIG[rdir]/image/folder-edit.png\" title=\"$writablerow\"></a></td>";
		echo "<td class=\"c\"><a href=\"javascript:Act('vhost','wdirs','$vhid')\" class='icon folder-edit' title=\"$writablerow\"></a></td>";

		switch ($Row['deploy'])
		{
			case 2:
				//$d_img="warning.png";
				$d_class="icon warning";
				$d_title="A legutóbbi deploy nem sikerült";
				break;
			case 3:
				//$d_img="error.png";
				$d_class="icon error";
				$d_title="A kapcsolat létrehozása a repository-val nem sikerült";
				break;
			default:
				//$d_img="deploy.png";
				$d_class="icon deploy";
				$d_title="OK";
				break;
		}
		//echo "<td class=\"c\"><a href=\"javascript:Act('deploy','deploy','$repoid',1)\"><img src=\"".$CONFIG['rdir']."/image/".$d_img."\" title=\"".$d_title."\"></a></td>";
		echo "<td class=\"c\"><a href=\"javascript:Act('deploy','deploy','$repoid',1)\" class='".$d_class."' title=\"".$d_title."\">a".$Row['deploy']."</a></td>";

		//echo "<td class=\"c\"><a href=\"javascript:Act('deploy','del','$repoid',1)\"><img src=\"$CONFIG[rdir]/image/delete.png\"></a></td>\n";
		echo "<td class=\"c\"><a href=\"javascript:Act('deploy','del','$repoid',1)\" class='icon delete'></a></td>\n";

		$i++;
		echo "</tr>\n";
	}

	echo "</table>\n";
	tablesorter();

	echo "
		<div class=\"tip\"><b>Tipp:</b> új automata deployment beállításához használja a fenti menüben az <span class=\"addnew\" onclick=\"javascript:Act('deploy','new')\">Új</span> gombot.<br />
		(a gomb akkor jelenik meg, ha a <b>Automata deployment</b> ikon fölé viszi az egérkurzort)</div>
	";

 }

 DBclose();
 pageclose();
}
?>