<?php

function displayrecord(&$rowno, &$recno, $recordid, $clientname, $dnson, $node, $domain, $host, $type, $value, $active, $active_dom, $edit=1, $autotype=NULL, $dhid=NULL)
{
	global $CONFIG;
	global $adminlogin;
	global $adminlevel;
	global $clientid;
	global $FILTER;


	if ($value=="(helyben)")
	{
		$value.=" - <b class='node' id='node".$node."' title='".$CONFIG['node'][$node]['ip']."'>".$node."</b>";
	}

	$value=str_replace("\n","<br />\n",$value);

	$is='';
	if ($edit==0) { $is="-ro"; }

	$rosfx='';
	if ($active_dom==0 || $edit==0) { $rosfx='-ro'; }

	if ($rowno%2 == 0) echo "<tr class=\"list-paros\">";
	else echo "<tr class=\"list-paratlan\">";

	$domainuni=domuni($domain,"<span class=\"red\">","</span>");

	echo "<td>$recno.</td>";

	if ($clientid==0) {echo "<td>$clientname</td>";}

	echo "<td>$domainuni</td>\n";

	// DNS is on or off
		echo "<td class=\"c\">";
		if ($dnson) {
			//echo "<img src=\"$CONFIG[rdir]/image/on_dns".$rosfx.".png\">";
			echo "<a class='icon on_dns".$rosfx."'>1</a>";
		} else {
			//echo "<img src=\"$CONFIG[rdir]/image/off".$rosfx.".png\">";
			echo "<a class='icon off".$rosfx."'>0</a>";
		}
		echo "</td>";

	echo "<td><b>$host</b></td>\n";

	echo "<td>$type</td>\n";
	echo "<td>$value</td>\n";

	if ($edit==1)
	{

	//echo "<td class=\"c\"><a href=\"javascript:Act('domrec','edit','$recordid')\"><img src=\"$CONFIG[rdir]/image/edit.png\"></a></td>";
	echo "<td class=\"c\"><a href=\"javascript:Act('domrec','edit','$recordid')\" class='icon edit'></a></td>";

		echo "<td class=\"c\"><a href=\"javascript:Act('domrec','toggle','$recordid',1)\" ";
		if ($active && $active_dom)
		{
			//echo "<img src=\"$CONFIG[rdir]/image/ok.png\">";
			echo "class='icon ok'>1";
		}
		elseif ($active)
		{
			//echo "<img src=\"$CONFIG[rdir]/image/warning.png\">";
			echo "class='icon warning'>2";
		}
		else
		{
			//echo "<img src=\"$CONFIG[rdir]/image/off.png\">";
			echo "class='icon off'>0";
		}
		echo "</a></td>";

		//echo "<td class=\"c\"><a href=\"javascript:Act('domrec','del','$recordid',1)\"><img src=\"$CONFIG[rdir]/image/delete.png\"></a></td>\n";
		echo "<td class=\"c\"><a href=\"javascript:Act('domrec','del','$recordid',1)\" class='icon delete'></a></td>\n";

		echo "</tr>\n";
	}
	else
	{
		if ($autotype=='d')
		{
			//echo "<td class=\"c\"><a href=\"".$_SERVER["SCRIPT_NAME"]."?f=domain\">D</a></td>";
			//echo "<td class=\"c\"><a href=\"javascript:Act('domain','edit','$dhid')\"><img src=\"$CONFIG[rdir]/image/edit".$is.".png\"></a></td>";
			echo "<td class=\"c\"><a href=\"javascript:Act('domain','edit','$dhid')\" class='icon edit'></a></td>";
		}
		elseif ($autotype=='h')
		{
			// echo "<td class=\"c\"><a href=\"".$_SERVER["SCRIPT_NAME"]."?f=host\">H</a></td>";
			//echo "<td class=\"c\"><a href=\"javascript:Act('host','edit','$dhid')\"><img src=\"$CONFIG[rdir]/image/edit".$is.".png\"></a></td>";
			echo "<td class=\"c\"><a href=\"javascript:Act('host','edit','$dhid')\" class='icon edit'></a></td>";
		}
		else
		{
			echo "<td class=\"c\">-</td>";
		}

		echo "<td class=\"c\">";
		if ($active)
		{
			//echo "<img src=\"$CONFIG[rdir]/image/ok".$is.".png\">";
			echo "<a class='icon ok".$is."'>1</a>";
		}
		else
		{
			//echo "<img src=\"$CONFIG[rdir]/image/off".$is.".png\">";
			echo "<a class='icon off".$is."'>0</a>";
		}
		echo "</td>";

		echo "<td class=\"c\">-</td>\n";

		echo "</tr>\n";
	}

//	if ($edit==1) { $recno++; }
	$recno++;
	$rowno++;
}


function startmain()
{
	global $CONFIG;
	global $adminlogin;
	global $adminlevel;
	global $clientid;
	global $FILTER;

	htmlheader();
	topmenu_start();
	sel_node();
	sel_client();
	sel_domain();
	sel_listfilter();
	topmenu_end();

	if ($_SESSION['sysadmin_logged']==true)
	{

		$mailhosts=array("mail", "webmail", "smtp", "imap", "imap4", "pop", "pop3");

		//pending kiirasa
		if (get_pending('bind_update')) {
			echo "<div class=\"pending\"><b>Figyelem!</b> Függőben levő változások: 1 percen belül életbe lépnek. (<a href=\"".$_SERVER['SCRIPT_NAME']."?f=domrec\">Frissít</a>)</div>";
		}

		$sql ="SELECT domain.id AS domid,
				domain.name AS domain,
				domain.dns AS dns,
				IFNULL(domain.ip, \"(helyben)\") AS ip,
				IFNULL(domain.mx, \"(helyben)\") AS mx,
				(domain.mx IS NULL) AS mxon,
				IFNULL(NULLIF(domain.spf, ''), \"~all\") AS spf,
				domain.dkim AS dkim,
				domain.dmarc AS dmarc,
				domain.active AS active,
				client.name AS clientname,
				client.node AS node
			FROM domain
			LEFT JOIN client ON domain.clientid=client.id
			WHERE 1 ";

		if (nonzero($FILTER['nodeid']))
		{
			$sql.="AND `client`.`node`=\"".$FILTER['nodeid']."\" ";
		}

		$sql.=enforce_mysql_access();
#		// client domainjei
#		if ($clientid != 0)
#		{
#			$sql.="AND client.id=\"$clientid\" ";
#		}

		if ($FILTER['domid'] != 0)
		{
			$sql.="AND domain.id=\"".$FILTER['domid']."\" ";
		}

		$sql.="ORDER BY client.name, domain.name";

		$sql.=";";

		$dResult=DBquery($sql);

		//echo "<table class='data' id='datatable'>";

		$nodom=0;
		$i=1;
		$j=1;

		if ($dResult->num_rows)
		{

			if ($FILTER['listfilter']!=1)
			{
				echo "<div class=\"tip\">Az összes DNS rekord megtekintéséhez válassza a <b>Szűrés: mind</b> opciót az <b>egyediek</b> helyett a legölrülő menüben.</div>";
			}

			while($dRow=$dResult->fetch_assoc())
			{

				$j=1;
				$clientname=$dRow['clientname'];
				$domid=$dRow['domid'];
				$domain=$dRow['domain'];
				$node=$dRow['node'];
				$dnson=$dRow['dns'];

				$domainuni=domuni($domain,"<span class=\"red\">","</span>");

				//echo "<tr><td colspan=\"$thsp\"><h2>$domain</h2></td></tr>\n";

				$rsql ="SELECT
						id AS recordid,
						host AS host,
						type AS type,
						value AS value,
						active AS active
					FROM dom_records
					WHERE `domainid`='$domid'
					ORDER BY host;
					";

				$rResult=DBquery($rsql);

				if ($FILTER['listfilter']==1 || $rResult->num_rows)
				{

					echo "<h2>";
					if ($clientid == 0)
					{
						echo "$clientname / ";
					}
					echo "$domainuni</h2>\n";


					echo "<table class='data' id='datatable-".$domain."'>\n";

					//kiiras
					$thsp=9;
					echo "<thead><tr><th width='20px'>#</th>\n";
					if ($clientid == 0) {echo "<th class='no-sort'>Ügyfél</th>\n"; $thsp++;}
					echo "<th class='no-sort'>Domain</th>\n";
					echo "<th width='20px'>DNS</th>\n";
					echo "<th>Host</th>\n";
					echo "<th width='50px'>Típus</th>\n";
					echo "<th>Érték</th>\n";
					echo "<th class='no-sort' width='20px'>Szerk</th>\n";
					echo "<th width='20px'>Aktív</th>\n";
					echo "<th class='no-sort' width='20px'>Töröl</th>\n";
					echo "</tr></thead>\n\n";

					if ($FILTER['listfilter']==1)
					{

						// assemble SPF record
						$spf='v=spf1';

						$spf.=" <b class='node' id='node1' title='ip4:".$CONFIG['node'][1]['ip']."'>1</b> ";
						if ($dRow['node']!=1)
						{
							$spf.=" <b class='node' id='node".$dRow['node']."' title='ip4:".$CONFIG['node'][$dRow['node']]['ip']."'>".$dRow['node']."</b> ";
						}
//						foreach ($CONFIG['node'] as $node => $nodearr)
//						{
//							$spf.=" <b class='node' id='node".$node."' title='ip4:".$nodearr['ip']."'>".$node."</b> ";
//						}

						// assemble DKIM image
						$dki="<b class='node' id='node".$dRow['node']."' title='dkim-".$dRow['node']."'>".$dRow['node']."</b>";

						$hspf_base=$spf;

						if ($dRow['ip']!='(helyben)')
						{
							$spf.='ip4:'.$dRow['ip'];
						}

						$spf.=' a mx ';

						if ($dRow['spf'])
						{
							$spf.=' '.$dRow['spf'];
						}

						$dmarc='v=DMARC1; ';

						if ($dRow['dmarc'])
						{
							$dmarc.=$dRow['dmarc'];
						}
						else
						{
							if ($dRow['mxon'])
							{
								$dmarc.='p=none;';
							}
							else
							{
								$dmarc.='p=none;';
							}
						}

						// start display

						// domain data
						displayrecord($i, $j, 0, $clientname, $dnson, $node, $domain, "@", "A", $dRow['ip'], $dRow['active'], $dRow['active'], 0, 'd', $domid);
						if ($dRow['mx']) { displayrecord($i, $j, 0, $clientname, $dnson, 1, $domain, "@", "MX", $dRow['mx'], $dRow['active'], $dRow['active'], 0, 'd', $domid); }
						displayrecord($i, $j, 0, $clientname, $dnson, 1, $domain, "@", "NS", $dRow['ip'], $dRow['active'], $dRow['active'], 0, 'd', $domid);
						displayrecord($i, $j, 0, $clientname, $dnson, $node, $domain, "@", "NS", '(ns2)', $dRow['active'], $dRow['active'], 0, 'd', $domid);

						// SPF
						displayrecord($i, $j, 0, $clientname, $dnson, $node, $domain, "@", "TXT", '"'.$spf.'"', $dRow['active'], $dRow['active'], 0, 'd', $domid);

						// DKIM
						displayrecord($i, $j, 0, $clientname, $dnson, $node, $domain, "</b>".$dki."<b> ._domainkey", "TXT", '"v=DKIM1 ...', $dRow['active'], $dRow['active'], 0, '', $domid);

						// DMARC
						displayrecord($i, $j, 0, $clientname, $dnson, $node, $domain, "_dmarc", "TXT", '"'.$dmarc.'"', $dRow['active'], $dRow['active'], 0, 'd', $domid);

						// mail hostnames
						if ($dRow['mxon']==1) {
							$mh=implode("<br>", $mailhosts);
							displayrecord($i, $j, 0, $clientname, $dnson, 1, $domain, $mh, "A", $dRow['mx'], $dRow['active'], $dRow['active'], 0, 'd', $domid);
						}

						// subdomains (hosts)
						$hsql ="SELECT
							id AS hostid,
									host,
									IFNULL(ip, \"(helyben)\") AS ip,
									IFNULL(mx, \"(helyben)\") AS mx,
									(mx IS NULL) AS mxon,
									dkim AS dkim,
									active
							FROM dom_host
							WHERE domainid=\"$domid\"
							ORDER BY host;
						";

						$hResult=DBquery($hsql);
						if ($hResult->num_rows) {
							while($hRow=$hResult->fetch_assoc())
							{
								//assemble host SPF
								$hspf=$hspf_base;
								if ($hRow['ip']!='(helyben)')
								{
									$hspf.=' ip4:'.$hRow['ip'];
								}
								$hspf.=' a mx';
								$hspf.=" include:$domainuni";
								if ($dRow['spf'])
								{
									$hspf.=' '.$dRow['spf'];
								}

								displayrecord($i, $j, 0, $clientname, $dnson, $node, $domain, $hRow['host'], "A", $hRow['ip'], $hRow['active'], $dRow['active'], 0, 'h', $hRow['hostid']);
								if ($hRow['mx']) { displayrecord($i, $j, 0, $clientname, $dnson, 1, $domain, $hRow['host'], "MX", $hRow['mx'], $hRow['active'], $dRow['active'], 0, 'h', $hRow['hostid']); }
								displayrecord($i, $j, 0, $clientname, $dnson, $node, $domain, $hRow['host'], "TXT", '"'.$hspf.'"', $hRow['active'], $dRow['active'], 0, 'h', $hRow['hostid']);
								displayrecord($i, $j, 0, $clientname, $dnson, $node, $domain, "</b>".$dki."<b> ._domainkey.".$hRow['host'], "CNAME", $dki." ._domainkey", $hRow['active'], $dRow['active'], 0, '', $hRow['hostid']);
								displayrecord($i, $j, 0, $clientname, $dnson, $node, $domain, "*.".$hRow['host'], "A", $hRow['ip'], $hRow['active'], $dRow['active'], 0, 'h', $hRow['hostid']);
							}
						}
					}

					// the records
					while($rRow=$rResult->fetch_assoc())
					{
						displayrecord($i, $j, $rRow['recordid'], $clientname, $dnson, $node, $domain, $rRow['host'], $rRow['type'], $rRow['value'], $rRow['active'], $dRow['active'], 1, NULL);
					}

					// domain wildcard
					if ($FILTER['listfilter']==1) {
						displayrecord($i, $j, 0, $clientname, $dnson, $node, $domain, '*', 'A', $dRow['ip'], $dRow['active'], $dRow['active'], 0, 'd', $domid);
					}
					echo "</table>\n";
					tablesorter('datatable-'.$domain);
				}
			}
		}
		else
		{
			$nodom=1;
			echo "<h3>Nincsenek domainek</h3>";
		}

		if ($i==1 && $nodom!=1) {
			echo "<h3>Nincsenek egyedi DNS rekordok</h3>";
#			echo "<div class=\"tip\"><b>Tipp:</b> az összes DNS rekord megtekintéséhez kapcsolja ki a <b>Szűrés</b>-t a legölrülő menüben.</div>";
		}

		echo "
			<div class=\"tip\"><b>Tipp:</b> új DNS rekord létrehozásához használja a fenti menüben az <span class=\"addnew\" onclick=\"javascript:Act('domrec','new')\">Új</span> gombot.<br />
			(a gomb akkor jelenik meg, ha a <b>DNS rekordok</b> ikon fölé viszi az egérkurzort)</div>
		";

	}

	DBclose();
	pageclose();

}
