<?php

function displayhost($no, $cliname, $domid, $domname, $hostid, $hostname, $dns, $ip, $node, $mxon, $mx, $dkim, $active, $active_dom, $edit=1)
{

	global $CONFIG;
	global $clientid;
	global $adminlogin;
	global $adminlevel;


	$is='';
	if ($edit==0) { $is='-ro'; }

	$rosfx='';
	if ($active_dom==0 || $edit==0) { $rosfx='-ro'; }

	echo "<td>$no</td>";

	if ($clientid==0)
	{
		echo "<td>$cliname</td>";
	}

	echo "<td>$domname</td>";

	echo "<td><b>$hostname</b></td>";

	// DNS is on or off
	echo "<td class=\"c\">";
	if ($dns)
	{
		//echo "<img src=\"$CONFIG[rdir]/image/on_dns".$rosfx.".png\">";
		echo "<a class='icon on_dns".$rosfx."'>1</a>";
	}
	else
	{
		//echo "<img src=\"$CONFIG[rdir]/image/off".$rosfx.".png\">";
		echo "<a class='icon off".$rosfx."'>0</a>";
	}
	echo "</td>";

	if ($dns==0 || $active==0 || $active_dom==0 )
	{
		echo "<td>-</td>";
	}
	else
	{
		echo "<td>";
		echo $ip."</td>";
	}

	if ($CONFIG['nodes']>1)
	{
		if ($dns==0 || $active==0 || $active_dom==0 || $ip != "(helyben)")
		{
			echo "<td><center>-</center></td>\n";
		}
		else
		{
			echo "<td ><center><b class='node' id='node".$node."' title='".$CONFIG['node'][$node]['ip']."'>".$node."</b></center></td>";
		}
	}

	// MX is on or off
	echo "<td class=\"c\">";
	//if ($mxon) { echo "<img src=\"$CONFIG[rdir]/image/on_mx".$rosfx.".png\">";
	//} else { echo "<img src=\"$CONFIG[rdir]/image/off".$rosfx.".png\">"; }
	if ($mxon)
	{
		echo "<a class='icon on_mx".$rosfx."'>1</a>";
	}
	else
	{
		echo "<a class='icon off".$rosfx."'>0</a>";
	}
	echo "</td>";

	if ($mx=="" || $active==0 || $active_dom==0 )
	{
		echo "<td>-</td>";
	}
	else
	{
		echo "<td>".multirow2web($mx)."</td>";
	}

	//dkim
	if ($edit==0)
	{
		echo "<td class=\"c\">-</td>";
	}
	elseif ($active && $active_dom)
	{
		if ($dns==1 || $dkim==1)
		{
			//echo "<td class=\"c\"><img src=\"$CONFIG[rdir]/image/lock.png\"></td>";
			echo "<td class=\"c\"><a class='icon lock'>1</a></td>";
		}
		else
		{
			//echo "<td class=\"c\"><img src=\"$CONFIG[rdir]/image/off.png\"></td>";
			echo "<td class=\"c\"><a class='icon off".$rosfx."'>0</a></td>";
		}
	}
	else
	{
		//echo "<td class=\"c\"><img src=\"$CONFIG[rdir]/image/off-ro.png\"></td>";
		echo "<td class=\"c\"><a class='icon off-ro'>-</a></td>";
	}


	if ($edit==1)
	{

		//if ($adminlogin==1) { echo "<td class=\"c\"><a href=\"javascript:Act('host','edit','$hostid')\"><img src=\"$CONFIG[rdir]/image/edit$is.png\"></a></td>"; }
		//echo "<td class=\"c\"><a href=\"javascript:Act('host','edit','$hostid')\"><img src=\"$CONFIG[rdir]/image/edit".$is.".png\"></a></td>";
		echo "<td class=\"c\"><a href=\"javascript:Act('host','edit','$hostid')\" class='icon edit'></a></td>";

		echo "<td class=\"c\"><a href=\"javascript:Act('host','toggle','$hostid',1)\" ";

		if ($active && $active_dom)
		{
			//echo "<img src=\"$CONFIG[rdir]/image/ok.png\">";
			echo "class='icon ok'>1";
		}
		elseif ($active)
		{
			//echo "<img src=\"$CONFIG[rdir]/image/warning.png\">";
			echo "class='icon warning'>2";
		}
		else
		{
			//echo "<img src=\"$CONFIG[rdir]/image/off.png\">";
			echo "class='icon off'>0";
		}

		echo "</a></td>";

		//echo "<td class=\"c\"><a href=\"javascript:Act('host','del','$hostid',1)\"><img src=\"$CONFIG[rdir]/image/delete.png\"></a></td>";
		echo "<td class=\"c\"><a href=\"javascript:Act('host','del','$hostid',1)\" class='icon delete'></a></td>";

	}
	else
	{

		//if ($adminlogin==1) { echo "<td class=\"c\">-</td>"; }
		//echo "<td class=\"c\">-</td>";
		//echo "<td class=\"c\"><a href=\"".$_SERVER["SCRIPT_NAME"]."?f=domain\">D</a></td>";
		//echo "<td class=\"c\"><a href=\"javascript:Act('domain','edit','$domid')\"><img src=\"$CONFIG[rdir]/image/edit".$is.".png\"></a></td>";
		echo "<td class=\"c\"><a href=\"javascript:Act('domain','edit','$domid')\" class='icon edit'></a></td>";

		echo "<td class=\"c\">";
		if ($active==1)
		{
			//echo "<img src=\"$CONFIG[rdir]/image/ok".$is.".png\">";
			echo "<a class='icon ok".$is."'>1</a>";
		}
		else
		{
			//echo "<img src=\"$CONFIG[rdir]/image/off".$is.".png\">";
			echo "<a class='icon off".$is."'>0</a>";
		}
		echo "</td>";

		echo "<td class=\"c\">-</td>";
		//echo "<td class=\"c\"><img src=\"$CONFIG[rdir]/image/delete$is.png\"></td>";
	}

}

function startmain()
{
	global $CONFIG;
	global $adminlogin;
	global $adminlevel;
	global $clientid;
	global $FILTER;

	htmlheader();
	topmenu_start();
	sel_node();
	sel_client();
	sel_domain();
	sel_listfilter();
	topmenu_end();

	if ($_SESSION['sysadmin_logged']==true)
	{

		$mailhosts=array("mail", "webmail", "smtp", "imap", "imap4", "pop", "pop3");

		//pending kiirasa
		if (get_pending('bind_update') || get_pending('opendkim_update'))
		{
			echo "<div class=\"pending\"><b>Figyelem!</b> Függőben levő változások: 1 percen belül életbe lépnek. (<a href=\"".$_SERVER['SCRIPT_NAME']."?f=host\">Frissít</a>)</div>";
		}

		$sql ="SELECT domain.id AS domid,
				domain.name AS domain,
				domain.dns AS dns,
				IFNULL(domain.ip, \"(helyben)\") AS ip,
				IFNULL(domain.mx, \"(helyben)\") AS mx,
				(domain.mx IS NULL) AS mxon,
				domain.dkim AS dkim,
				domain.active AS active,
				client.name AS clientname,
				client.node AS node
			FROM domain
			LEFT JOIN client ON domain.clientid=client.id
			WHERE 1 ";

		if (nonzero($FILTER['nodeid']))
		{
			$sql.="AND `client`.`node`=\"".$FILTER['nodeid']."\" ";
		}

		$sql.=enforce_mysql_access();

		if ($FILTER['domid'] != 0)
		{
			$sql.="AND domain.id=\"".$FILTER['domid']."\" ";
		}

		$sql.="ORDER BY client.name, domain.name";

		$sql.=";";

		$Result=DBquery($sql);

		$nodom=0;
		$i=1;
		$n=1;

		if ($Result->num_rows)
		{

			if ($FILTER['listfilter']!=1)
			{
				echo "<div class=\"tip\">Az összes aldomain megtekintéséhez válassza a <b>Szűrés: mind</b> opciót az <b>egyediek</b> helyett a legölrülő menüben.</div>";
			}

			while($Row=$Result->fetch_assoc())
			{

				$n=1;

				$domid=$Row['domid'];
				$domain=domuni($Row['domain'],"<span class=\"red\">","</span>");

				$hsql ="SELECT dom_host.id AS hostid,
						dom_host.host AS host,
						IFNULL(dom_host.ip, \"(helyben)\") AS ip,
						IFNULL(dom_host.mx, \"(helyben)\") AS mx,
						(dom_host.mx IS NULL) AS mxon,
						dom_host.dkim AS dkim,
						dom_host.active AS active,
						domain.id AS domid,
						domain.name AS domain,
						domain.dns AS dns
					FROM dom_host
					LEFT JOIN domain ON dom_host.domainid=domain.id
					WHERE domain.id=\"$domid\"
					ORDER BY dom_host.host
				;";

				$hResult=DBquery($hsql);

				if ($FILTER['listfilter']==1 || $hResult->num_rows)
				{

					echo "<h2>";
					if ($clientid == 0)
					{
						echo $Row['clientname']." / ";
					}
					echo "$domain</h2>\n";

					echo "<table class='data' id='datatable-".$domain."'>\n";

					$thsp=11;
					echo "\n<thead><tr><th width='20px'>#</th>";
					if ($clientid == 0) {echo "<th class='no-sort'>Ügyfél</th>"; $thsp++; }
					echo "<th class='no-sort'>Domain</th>";
					echo "<th>Aldomain</th>";
					echo "<th width='20px'>DNS</th>";
					echo "<th>IP (átirányítás)</th>";
					if ($CONFIG['nodes']>1) { echo "<th width='20px'>Szerver</th>"; $thsp++; }
					echo "<th width='20px'>MX</th>";
					echo "<th>MX (levelezés)</th>";
					echo "<th width='20px'>DKIM</th>";
					//if ($adminlogin==1) { echo "<th class='no-sort' width='20px'>Szerk</th>"; $thsp++; }
					echo "<th class='no-sort' width='20px'>Szerk</th>";
					echo "<th width='20px'>Aktív</th>";
					echo "<th class='no-sort' width='20px'>Töröl</th>";
					echo "</tr></thead>\n";

					if ($FILTER['listfilter']==1)
					{
						/*
						// domain
						//if ($i%2 == 0) echo "<tr class=\"listhd-paros\">";
						//else echo "<tr class=\"listhd-paratlan\">";
						echo "<tr class=\"listhd\">";
						displayhost("@", $Row['clientname'], $domid, $domain, NULL, "@", $Row['dns'], $Row['ip'], $Row['node'], $Row['mxon'], $Row['mx'], $Row['dkim'], $Row['active'], $Row['active'], 0);
						echo "</tr>\n";
						$i++;
						$n++;
						*/

						// mail hostnames
						if ($Row['mxon']==1)
						{
							$mh=implode("<br>", $mailhosts);
							if ($i%2 == 0) echo "<tr class=\"list-paros\">";
							else echo "<tr class=\"list-paratlan\">";
							displayhost("$n.", $Row['clientname'], $domid, $domain, NULL, $mh, 1, "(helyben)", $Row['node'], $Row['mxon'], $Row['mx'], 0, $Row['active'], $Row['active'], 0);
							echo "</tr>\n";
							$i++;
							$n++;
						}
					}

					while($hRow=$hResult->fetch_assoc())
					{
						if ($i%2 == 0) echo "<tr class=\"list-paros\">";
						else echo "<tr class=\"list-paratlan\">";

						displayhost("$n.", $Row['clientname'], $domid, $domain, $hRow['hostid'], $hRow['host'], $hRow['dns'], $hRow['ip'], $Row['node'], $hRow['mxon'], $hRow['mx'], $hRow['dkim'], $hRow['active'], $Row['active'], 1);

						echo "</tr>\n";
						$n++;
						$i++;
					}

					if ($FILTER['listfilter']==1)
					{
						if ($i%2 == 0) echo "<tr class=\"list-paros\">";
						else echo "<tr class=\"list-paratlan\">";

						//displayhost("$n.", $Row['clientname'], $domid, $domain, NULL, "*", $Row['dns'], $Row['ip'], $Row['node'], $Row['mxon'], $Row['mx'], $Row['dkim'], $Row['active'], $Row['active'], 0);
						displayhost("$n.", $Row['clientname'], $domid, $domain, NULL, "*", $Row['dns'], $Row['ip'], $Row['node'], 0, '', 0, $Row['active'], $Row['active'], 0);

						echo "</tr>\n";
						$i++;
						$n++;
					}
					echo "</table>\n";
					tablesorter('datatable-'.$domain);
				}
			}
		}
		else
		{
			$nodom=1;
			//echo "<tr><td><h3>nincsenek domainek</h3></td></tr>\n";
			echo "<h3>Nincsenek domainek</h3>\n";
		}

		if ($i==1 && $nodom!=1)
		{
			//echo "<tr><td colspan=\"$thsp\"><h3>nincsenek egyedi aldomainek</h3></caption></td>\n";
			echo "<h3>Nincsenek egyedi aldomainek</h3>\n";
		}

		echo "
			<div class=\"tip\"><b>Tipp:</b> új Aldomain létrehozásához használja a fenti menüben az <span class=\"addnew\" onclick=\"javascript:Act('host','new')\">Új</span> gombot.<br />
			(a gomb akkor jelenik meg, ha az <b>Aldomainek</b> ikon fölé viszi az egérkurzort)</div>
		";

	}

	DBclose();
	pageclose();

}
