<?php

function startmain()
{
 global $CONFIG;
 global $adminlogin;
 global $adminlevel;
 global $clientid;
 global $FILTER;

 htmlheader();
 topmenu_start();
    sel_node();
    sel_client();
 topmenu_end();

 if ($_SESSION['sysadmin_logged']==true)
 {

    if (!($CONFIG['limit']['mysql_tables']>0)) { $CONFIG['limit']['mysql_tables']=100; }
    if (!($CONFIG['limit']['mysql_rows']>0)) { $CONFIG['limit']['mysql_rows']=100000; }
    if (!($CONFIG['limit']['mysql_data']>0)) { $CONFIG['limit']['mysql_data']=100; }

    //pending kiirasa
    if (get_pending('mysql_update')) {
        echo "<div class=\"pending\"><b>Figyelem!</b> Függőben levő változások: 1 percen belül életbe lépnek. (<a href=\"".$_SERVER['SCRIPT_NAME']."?f=mysql\">Frissít</a>)</div>";
    }

    $sql ="SELECT mysql.id AS myid,
		mysql.clientid AS myclientid,
		mysql.name AS myname,
		mysql.password AS mypassword,
		mysql.active AS myactive,
		IFNULL(stats_mysql.tables,0) AS stat_tables,
		IFNULL(stats_mysql.rows,0) AS stat_rows,
		IFNULL(stats_mysql.data,0) AS stat_data,
		IFNULL(stats_mysql.idx,0) AS stat_idx,
		(IFNULL(stats_mysql.data,0)+IFNULL(stats_mysql.idx,0)) AS stat_alldata,
		client.name AS clientname,
		client.node AS node
	    FROM mysql
	    LEFT JOIN client ON mysql.clientid=client.id
	    LEFT JOIN stats_mysql ON mysql.id=stats_mysql.mysqlid
	    WHERE 1 ";


    if (nonzero($FILTER['nodeid']))
    {
        $sql.="AND `client`.`node`=\"".$FILTER['nodeid']."\" ";
    }

	$sql.=enforce_mysql_access();

    if ($clientid != 0)
    {
	// enforced above
	//$sql.="AND client.id=\"$clientid\" ";
	$sql.="ORDER BY mysql.name ";
    } else {
	$sql.="ORDER BY client.name, mysql.name ";
    }

    $sql.=";";

    $Result=DBquery($sql);

    if ($Result->num_rows) {

		// display manage all button
	    if ($clientid != 0)
		{
			echo "<table><tr><td>";
			echo "<a href=\"javascript:Manage('mysql','0')\"><table><tr><td><img src=\"$CONFIG[rdir]/image/manage_mysql.png\"></td><td><h3>Minden adatbázis kezelése</h3></td></tr></table></a>";
			echo "</td></tr></table>";
		}

	//kiiras
    echo "<table class='data' id='datatable'>";
	echo "\n<thead><tr><th width='20px'>#</th>";
	if ($clientid==0) {echo "<th>Ügyfél</th>";}
	if ($CONFIG['nodes']>1) { echo "<th width='20px'>Szerver</th>";}
	echo "<th>Adatbázis</th>";
	echo "<th class='no-sort'>Login</th>";
	echo "<th>Jelszó</th>";
	echo "<th>Táblák</th>";
	echo "<th>Összes sor</th>";
	echo "<th>Tárhely</th>";
	echo "<th class='no-sort' width='20px'>Kezel</th>";
	echo "<th class='no-sort' width='20px'>Szerk</th>";
	echo "<th width='20px'>Aktív</th>";
	echo "<th class='no-sort' width='20px'>Töröl</th>";
	echo "</tr></thead>\n";

    } else {
	    echo "<table class='data' id='datatable'>";
		echo "<tr><td><h3>nincsenek adatbázisok</h3></td></tr>";
    }

    $i=1;
    while($Row=$Result->fetch_assoc())
    {
	if ($i%2 == 0) echo "<tr class=\"list-paros\">";
	else echo "<tr class=\"list-paratlan\">";

	$myid=$Row['myid'];
	$login=cli_pad($Row['myclientid'])."_".$Row['myname'];

	echo "<td>$i.</td>";

	if ($clientid==0) {echo "<td>$Row[clientname]</td>";}

	if ($CONFIG['nodes']>1) {
	    echo "<td ><center><b class='node' id='node".$Row['node']."' title='".$CONFIG['node'][$Row['node']]['ip']."'>".$Row['node']."</b></center></td>";
        }

	echo "<td>$login</td>";
	echo "<td>$login</td>";
	echo "<td>$Row[mypassword]</td>";

	echo "<td>".percentgraph($Row['stat_tables'], $CONFIG['limit']['mysql_tables'], "db")."</td>";
	echo "<td>".percentgraph($Row['stat_rows'], $CONFIG['limit']['mysql_rows'], "db")."</td>";
	echo "<td>".percentgraph($Row['stat_alldata'], $CONFIG['limit']['mysql_data'], "MB")."</td>";

	//echo "<td class=\"c\"><a href=\"javascript:Manage('mysql','$myid')\"><img src=\"$CONFIG[rdir]/image/manage_mysql.png\"></a></td>";
	echo "<td class=\"c\"><a href=\"javascript:Manage('mysql','$myid')\" class='icon manage_mysql'></a></td>";

	//echo "<td class=\"c\"><a href=\"javascript:Act('mysql','edit','$myid')\"><img src=\"$CONFIG[rdir]/image/edit.png\"></a></td>";
	echo "<td class=\"c\"><a href=\"javascript:Act('mysql','edit','$myid')\" class='icon edit'></a></td>";

#        echo "<td class=\"c\"><a href=\"javascript:Act('mysql','toggle','$myid',1)\">";
#        if ($Row['myactive']) { echo "<img src=\"$CONFIG[rdir]/image/ok.png\">";
#	} else { echo "<img src=\"$CONFIG[rdir]/image/off.png\">"; }
#        echo "</a></td>";

	echo "<td class=\"c\"><a href=\"javascript:Act('mysql','toggle','$myid',1)\" ";
	if ($Row['myactive']) { echo "class='icon ok'>1"; } else { echo "class='icon off'>0"; }
	echo "</a></td>";

	//echo "<td class=\"c\"><a href=\"javascript:Act('mysql','del','$myid',1)\"><img src=\"$CONFIG[rdir]/image/delete.png\"></a></td>\n";
	echo "<td class=\"c\"><a href=\"javascript:Act('mysql','del','$myid',1)\" class='icon delete'></a></td>\n";

        $i++;
        echo "</tr>\n";
    }

    echo "</table>\n";
    tablesorter();

    echo "
            <div class=\"tip\"><b>Tipp:</b> új MySQL adatbázis létrehozásához használja a fenti menüben az <span class=\"addnew\" onclick=\"javascript:Act('mysql','new')\">Új</span> gombot.<br />
            (a gomb akkor jelenik meg, ha a <b>MySQL adatbázisok</b> ikon fölé viszi az egérkurzort)</div>
        ";
 }

 DBclose();
 pageclose();

}
?>
