<?php

class User {

    function __construct() {
	if ((!(array_key_exists('sysadmin_logged', $_SESSION))) || ($_SESSION['sysadmin_logged'] != true))
	{
		$this->SessionDefaults();
	}
    }

    function SessionDefaults() {
	$_SESSION = array();
	$_SESSION['sysadmin_uid'] = -1;
	$_SESSION['sysadmin_adminlogin'] = 0;
	$_SESSION['sysadmin_adminlevel'] = 0;
	$_SESSION['sysadmin_username'] = '';
	$_SESSION['sysadmin_logged'] = false;
	$_SESSION['sysadmin_timeout']= false;
	$_SESSION['lastupdate']= 0;
	$_SESSION['lastip']= '';
    }

    function CheckLogin($username, $password) {

	# admin
	$sql = "(SELECT name, '0' AS id, level AS adminlevel, 1 AS adminlogin FROM admin WHERE name = '$username' AND password = PASSWORD('$password') AND active=1 )
		UNION
		(SELECT name, id, 0 AS adminlevel, 0 AS adminlogin FROM client WHERE name = '$username' AND password = '$password' AND active=1 AND suspend=0 ); ";

	$Result=DBquery($sql);
	$numrows=$Result->num_rows;

        if ( $numrows==1 ) {
    	    $this->SetSession($Result);
    	    return true;
        } else {
    	    $this->Logout();
    	    return false;
        }
    }

    function SetSession($Result) {
	$row=$Result->fetch_assoc();

	$_SESSION['sysadmin_uid'] = $row['id'];
	$_SESSION['sysadmin_adminlogin'] = $row['adminlogin'];
	$_SESSION['sysadmin_adminlevel'] = $row['adminlevel'];
	$_SESSION['sysadmin_username'] = $row['name'];
	$_SESSION['sysadmin_logged'] = true;
	$_SESSION['sysadmin_timeout']= false;
	$_SESSION['lastupdate']= time();
	$_SESSION['lastip']= $_SERVER["REMOTE_ADDR"];
    }

    function CheckSession()
    {
         if (
		$_SESSION['sysadmin_logged']==1 &&
		intval($_SESSION['lastupdate'])+3600 > time() &&
		$_SESSION['lastip'] == $_SERVER["REMOTE_ADDR"]
	    )
         {
		$_SESSION['lastupdate']=time();
         } else {
		$this->SessionDefaults();
		$_SESSION['sysadmin_timeout']=true;
         }
    }

    function Logout() {
         session_start();
         $this->SessionDefaults();
    }

}
